<?php echo modules::run('template/serve/admin_header'); ?>

<style>
    .banner-tile {
        height: 200px;
        overflow: hidden;
        width: 47.3%;
        margin:0px 10px;
        float:left;
        text-align: center;
        line-height: 13;
    }
    .banner-tile > .front, .banner-tile > .back {
        width: inherit;
        overflow: hidden;
        position: absolute;
        height: inherit;
        background: #ccc;
                backface-visibility: hidden;
            -ms-backface-visibility: hidden;
           -moz-backface-visibility: hidden;
        -webkit-backface-visibility: hidden;
                transition: transform .4s linear 0s;
            transition: -ms-transform .4s linear 0s;
           transition: -moz-transform .4s linear 0s;
        transition: -webkit-transform .4s linear 0s;
    }
    .banner-tile > .front img, .banner-tile > .back img {
        height: 100%;
        width: 100%;
    }
    .banner-tile > .front {
                transform: perspective(600px) rotateX(0deg);
            -ms-transform: perspective(600px) rotateX(0deg);
           -moz-transform: perspective(600px) rotateX(0deg);
        -webkit-transform: perspective(600px) rotateX(0deg);
    }
    .banner-tile > .back {
                transform: perspective(600px) rotateX(180deg);
            -ms-transform: perspective(600px) rotateX(180deg);
           -moz-transform: perspective(600px) rotateX(180deg);
        -webkit-transform: perspective(600px) rotateX(180deg);
    }
    .banner-tile > .frontTurn{
                transform: perspective(600px) rotateX(-180deg);
            -ms-transform: perspective(600px) rotateX(-180deg);
           -moz-transform: perspective(600px) rotateX(-180deg);
        -webkit-transform: perspective(600px) rotateX(-180deg);
    }
    .banner-tile > .backTurn{
                transform: perspective(600px) rotateX(0deg);
            -ms-transform: perspective(600px) rotateX(0deg);
           -moz-transform: perspective(600px) rotateX(0deg);
        -webkit-transform: perspective(600px) rotateX(0deg);
    }
</style>

<!-- navigation -->
<div class="c-panel" style="margin-top:2px">
    <div class="col-md-2 nopad navigationHolder">
        <div id="navigation">
            <div class="c-panel-title">Admin panel</div>
            <div class="notif">
                <div class="">
                    <div class="col-xs-12 col-sm-12 col-md-12 avatar">
                        <a href="<?php base_url() ?>edit"> <?php echo $avatar; ?> </a>
                    </div>
                    <div class="col-xs-12 col-sm-12 col-md-12">
                        <div class="sign-out" title="sing out">
                            <?php echo anchor(base_url().'panel/login', '<i class="icon ion-log-out"></i>'); ?>
                        </div>
                        <div class="welcome">Logged in, </div>
                        <div class="username"><?php echo $username; ?></div>
                    </div>
                    <div style="clear:both"></div>
                </div>
            </div>
            <div class="dashboard">
                Banner Dashboard
                <div class="dashboard-menu">
                    <ul>
                        <li>
                            <a data-toggle="modal" data-target="#add-banner">
                                <i class="fa fa-plus"></i> &nbsp ADD BANNER
                            </a>
                        </li>

                        <li>
                            <a href="<?php echo base_url() ?>panel/products">
                                <i class="fa fa-shopping-cart"></i> &nbsp VIEW PRODUCTS
                            </a>
                        </li>
                    </ul>
                </div>
            </div>
        </div>
    </div>
<div>
<!-- end of navigation -->

<!-- cotent -->
<div class="col-md-10" id="cotent">
    <div class="row">
        <!-- quick navigation icons with time -->
        <div class="col-md-12 nopad" style="height:49px">
            <div id="head">
                <div class="col-xs-6 col-sm-7 col-md-7 nopad" id="topnavicons">
                    <div class="head-nav">
                        <i class="fa fa-expand" id="fullscreen" data-toggle="tooltip" data-placement="top" title="fullscreen"></i>
                    </div>

                    <div class="head-nav">
                        <a href="<?php echo base_url(); ?>panel.html">
                            <i class="fa fa-home"></i>
                        </a>
                    </div>

                    <div class="head-nav">
                        <a href="<?php echo base_url(); ?>panel/banners.html">
                            <i class="fa fa-image"></i>
                        </a>
                    </div>

                    <div class="head-nav">
                        <a href="<?php echo base_url() ?>panel/products.html">
                            <i class="fa fa-shopping-cart"></i>
                        </a>
                    </div>

                    <div style="clear:both"></div>
                </div>
                <div class="col-xs-6 col-sm-5 col-md-5 nopad" id="timeanddate">
                    <div class="head-nav-right" id="time">
                        <div id="clock"></div>
                    </div>  
                    <div class="head-nav-right">
                        <div class="day"></div>
                        <div class="date">
                        </div>
                        <div style="clear:both"></div>
                    </div>
                </div>
            </div>
        </div>

        <!-- progress bar -->
        <div class="col-md-12">
            <div id="pdt-dis-progress" style="background:#C7B425;">
                <div id="pdt-dis-progress-bar">
                </div>
            </div>
        </div>

        <!-- Page title -->
        <div class="col-md-12">
            <div class="col-md-12">
                <div class="cotent-title">
                    <span class="pdt-title-top">
                        <i class="fa fa-image"></i> &nbsp BANNERS
                    </span>
                </div>
            </div>
        </div>
    </div>

    <!-- Banners display section -->
    <div class="col-md-12" style="margin-top:40px">
        <!-- Nav tabs -->
        <ul class="nav nav-tabs" role="tablist">
            <?php if (!isset($_SESSION)) { session_start(); } ?>
            <?php if (isset($_SESSION['banner_success'])): ?>
                <li class="active"><a href="#banners" role="tab" data-toggle="tab">Banners</a></li>
                <li><a href="#slideshow" role="tab" data-toggle="tab">Slideshow</a></li>
            <?php elseif (isset($_SESSION['slide_success'])): ?>
                <li><a href="#banners" role="tab" data-toggle="tab">Banners</a></li>
                <li class="active"><a href="#slideshow" role="tab" data-toggle="tab">Slideshow</a></li>
            <?php else: ?>
                <li class="active"><a href="#banners" role="tab" data-toggle="tab">Banners</a></li>
                <li><a href="#slideshow" role="tab" data-toggle="tab">Slideshow</a></li>
            <?php endif; ?>
        </ul>

        <!-- Tab panes -->
        <div class="tab-content">
            <?php if (!isset($_SESSION)) { session_start(); } ?>
            <?php if (isset($_SESSION['banner_success'])): ?>
                <div class="tab-pane active" id="banners">
            <?php elseif (isset($_SESSION['slide_success'])): ?>
                <div class="tab-pane" id="banners">
            <?php else: ?>
                <div class="tab-pane active" id="banners">
            <?php endif; ?>
            
                <br>
                <?php if (!isset($_SESSION)) { session_start(); } ?>
                <?php if (isset($_SESSION['banner_success'])): ?>
                    <?php if ($_SESSION['banner_success'] == true): ?>
                        <br/>
                        <div class="alert alert-success alert-dismissible" role="alert">
                            <button type="button" class="close" data-dismiss="alert"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
                            <h4>Image uploaded successfully</h4>
                        </div>
                    <?php elseif ($_SESSION['banner_success'] == "delete"): ?>
                        <br/>
                        <div class="alert alert-success alert-dismissible" role="alert">
                            <button type="button" class="close" data-dismiss="alert"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
                            <h4>Image successfully deleted</h4>
                        </div>
                    <?php elseif ($_SESSION['banner_success'] == false): ?>
                        <br/>
                        <div class="alert alert-danger alert-dismissible" role="alert">
                            <button type="button" class="close" data-dismiss="alert"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
                            <br/>
                            <h4>Image failed to upload</h4>
                            <ul>
                                <li>Make sure the file has a maximum file size of 2MB</li>
                                <li>Make sure the file is an image of type jpg, jpeg, png or gif</li>
                                <li>Check that the images have a minimum dimension of 400*200</li>
                                <li>Ensure that you have read/write access to the assets folder<br>
                                &nbsp To solve this, in the assets/images folder create a new folder called banner
                            </ul>
                        </div>
                    <?php endif; unset($_SESSION['banner_success']); session_destroy(); ?>
                <?php endif; ?>

                <div class="col-md-12">
                    <h3>
                        Banners &nbsp
                        <button class="btn btn-success btn-small" data-toggle="modal" data-target="#add-banner"><i class="fa fa-plus"></i></button>
                    </h3>
                    <hr/>
                    <br>
                </div>
                <div class="col-md-12">
                    <?php if ($banners == false): ?>
                        <div class="alert alert-warning">
                            <h4>You do not have any banners</h4>
                            <ul>
                                <li>Banners are images that advertise your products</li>
                                <li>Upload atleast one banner for each category</li>
                                <li>Random rotation will ensure all banners get displayed at some point</li>
                                <li>Banners will be cropped on upload to 400*200 for best results on the responsive home page design</li>
                            </ul>
                        </div>
                        <br>
                    <?php else: ?>
                        <div class="row">
                            <?php foreach ($banners as $key => $banner): ?>
                                <div class="col-sm-4 col-md-3 col-lg-3 banner-wrap">
                                    <div class="overview widget" style="height:auto;border-bottom-color:#888">
                                        <div class="titles">
                                            <i class="fa fa-close delete-banner" style="color:#d43f3a"></i>
                                            &nbsp
                                            <span class="banner-ID" style="display:none;"><?php echo $banner->id ?></span>
                                        </div>
                                        <img src="<?php echo base_url().$banner->banner ?>" style="width:100%;">
                                    </div>
                                </div>
                            <?php endforeach; ?>
                        </div>
                    <?php endif; ?>
                </div>
            </div>


            <?php if (!isset($_SESSION)) { session_start(); } ?>
            <?php if (isset($_SESSION['banner_success'])): ?>
                <div class="tab-pane" id="slideshow">
            <?php elseif (isset($_SESSION['slide_success'])): ?>
                <div class="tab-pane active" id="slideshow">
            <?php else: ?>
                <div class="tab-pane" id="slideshow">
            <?php endif; ?>
                <div class="row">
                    <br>
                    <div class="col-md-12">
                        <?php if (!isset($_SESSION)) { session_start(); } ?>
                        <?php if (isset($_SESSION['slide_success'])): ?>
                            <?php if ($_SESSION['slide_success'] == true): ?>
                                <br/>
                                <div class="alert alert-success alert-dismissible" role="alert">
                                    <button type="button" class="close" data-dismiss="alert"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
                                    <h4>Image uploaded successfully</h4>
                                </div>
                            <?php elseif ($_SESSION['slide_success'] == "delete"): ?>
                                <br/>
                                <div class="alert alert-success alert-dismissible" role="alert">
                                    <button type="button" class="close" data-dismiss="alert"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
                                    <h4>Image successfully deleted</h4>
                                </div>
                            <?php elseif ($_SESSION['slide_success'] == false): ?>
                                <br/>
                                <div class="alert alert-danger alert-dismissible" role="alert">
                                    <button type="button" class="close" data-dismiss="alert"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
                                    <br/>
                                    <h4>Image failed to upload</h4>
                                    <ul>
                                        <li>Make sure the file has a maximum file size of 2MB</li>
                                        <li>Make sure the file is an image of type jpg, jpeg, png or gif</li>
                                        <li>Check that the images have a minimum dimension of 1510*480</li>
                                        <li>Ensure that you have read/write access to the assets folder<br>
                                        &nbsp To solve this, in the assets/images folder create a new folder called slideshow
                                    </ul>
                                </div>
                            <?php endif; unset($_SESSION['slide_success']); session_destroy(); ?>
                        <?php endif; ?>
                        <div class="col-md-12">
                            <h3>
                                Slideshow images &nbsp
                            </h3>
                            <hr/>
                            <br>
                        </div>
                        <?php if ($slides == false): ?>
                            <br>
                            <div class="col-md-12">
                                <div class="alert alert-warning">
                                    <h4>You do not have any slideshow images</h4>
                                    <ul>
                                        <li>Slideshow images advertise your store, products or services</li>
                                        <li>Random rotation will ensure all images get displayed at some point</li>
                                        <li>Images will be cropped on upload to 400*200 for best results on the responsive home page design</li>
                                    </ul>
                                </div>
                            </div>
                            <br>
                        <?php else: ?>
                            <?php foreach ($slides as $key => $slide): ?>
                                <div class="col-sm-6 col-md-6 col-lg-4 banner-wrap">
                                    <div class="overview widget" style="margin-top:0;height:auto;border-bottom-color:#888">
                                        <div class="titles">
                                            <i class="fa fa-close delete-slide" slide-id="<?php echo $slide->id ?>" style="color:#d43f3a"></i>
                                            &nbsp
                                        </div>
                                        <img src="<?php echo base_url().$slide->image ?>" style="width:100%;">
                                    </div>
                                </div>
                            <?php endforeach; ?>
                        <?php endif; ?>
                        <div class="row">
                            <div class="col-sm-6 col-md-6 col-lg-4">
                                <?php echo form_open_multipart('panel/banners/add_slides'); ?>
                                    <div class="col-xs-12">
                                        <div class="image-upload-title">&nbsp Drag and drop image</div>
                                        <div class="col-xs-12">
                                            <div class="image-error-alert"></div>
                                        </div>
                                        <div class="file_btn">
                                            <input type="file" name="files[]" multiple id="file"/>
                                        </div>
                                        <button id="c-submit" type="submit">
                                            <i class="fa fa-upload"></i> &nbsp upload
                                        </button>
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<div style="clear:both"></div>

<!-- Add Banners Modal -->
<div class="modal fade" id="add-banner" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
                <h4 class="modal-title" id="myModalLabel">Add banners</h4>
            </div>
            <div class="modal-body">
                <?php echo form_open_multipart('panel/banners/add_banners'); ?>
                <div class="col-xs-12">
                    <div class="form-group">
                        <label style="" for="category">Banner category</label>
                        <select class="form-control" id="inputCategory" name="category" value="">
                            <option style="display:none" value=""></option>
                            <?php foreach ($categories as $key => $value): ?>
                                <option value="<?php echo $value->category; ?>">
                                    <?php echo $value->category; ?>
                                </option>
                            <?php endforeach; ?>
                        </select>
                    </div>
                </div>
                    <div class="col-xs-12">
                        <div class="image-upload-title">&nbsp Drag and drop images</div>
                        <div class="image-error-alert"></div>
                        <div class="file_btn">
                            <input type="file" name="files[]" multiple id="file"/>
                        </div>
                        <button id="c-submit" type="submit"> <i class="fa fa-upload"></i> upload </button>
                    </div>
                </form>
            </div>
            <div style="clear:both"></div>
            <div class="modal-footer">
            </div>
        </div>
    </div>
</div>

<!-- Add Slides Modal -->
<div class="modal fade" id="add-slides" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
                <h4 class="modal-title" id="myModalLabel">Add Slideshow images</h4>
            </div>
            <div class="modal-body">
                <?php echo form_open_multipart('panel/banners/add_slides'); ?>
                    <div class="col-xs-12">
                        <div class="form-group">
                            <label style="" for="category">image caption</label>
                            <input class="form-control" type="text" name="caption"/>
                        </div>
                    </div>
                    <div class="col-xs-12">
                        <div class="image-upload-title">&nbsp Drag and drop images</div>
                        <div class="image-error-alert"></div>
                        <div class="file_btn">
                            <input type="file" name="files[]" multiple id="file"/>
                        </div>
                        <button id="c-submit" type="submit"> <i class="fa fa-upload"></i> upload </button>
                    </div>
                </form>
            </div>
            <div style="clear:both"></div>
            <div class="modal-footer">
            </div>
        </div>
    </div>
</div>

<?php echo modules::run('template/serve/admin_footer'); ?>

<script type="text/javascript" src="<?php echo base_url()?>assets/js/banners.js"></script>

<!-- upload form -->
<script>
    var vadation_name = false;
    var file = $('#file');

    var error_color     = "#F99";
    var error_color_bg  = "#FDEAEA";
    var success_color   = "#F99";
    var submit_button   = $('#c-submit');
    var validation_file = false;

    submit_button.attr('disabled','disabled');

    function progressHandlingFunction(e)
    {
        if(e.lengthComputable)
        {
            $('.progress-bar').css('width', (e.loaded / e.total)*100+"%");
            $('.progress-bar').html((e.loaded / e.total)*100 + "%");
        }
    }
    // validate the upload file
    $.fn.checkFileType = function(options)
    {
        var defaults = {
            allowedExtensions: [],
            success: function() {},
            error: function() {}
        };
        options = $.extend(defaults, options);

        return this.each(function()
        {
            $(this).on('change', function()
            {
                var value = $(this).val(),
                file = value.toLowerCase(),
                extension = file.substring(file.lastIndexOf('.') + 1);

                if ($.inArray(extension, options.allowedExtensions) == -1)
                {
                    options.error();
                    $(this).focus();
                }
                else
                {
                    options.success();
                }
            });
        });
    };

    file.checkFileType({
        allowedExtensions: ['jpg', 'jpeg', 'png', 'gif'],
        success: function() {
            $('.image-error-alert').hide();
            $('#file').css('background-color', '1px solid green');
            validation_file = true;
            submit_button.removeAttr('disabled');
        },
        error: function() {
            validation_file = false;
            $('.image-error-alert').html('<div class="row"><div class="alert alert-danger fade in" role="alert"><button type="button" class="close" data-dismiss="alert"><span aria-hidden="true">×</span><span class="sr-only">Close</span></button><p>File type is not allowed</p></div>  </div>');
            submit_button.attr('disabled','disabled');
        }
    });
</script>

<!-- Delete -->
<script>
    $('.banner-ID').hide();

    $('.delete-banner').click(function() {
        var button  = $(this);
        var ID      = $.trim(button.parent('.titles').children('.banner-ID').html());
        $.ajax({
            url: "<?php echo base_url(); ?>panel/banners/delete_banner/"+ID,
            cache: true,
            beforeSend: function(){
                button.removeClass('fa-close');
                button.addClass('fa-spinner');
            },
            success: function(html){
                button.parent('.titles').parent('.widget').parent('.banner-wrap').hide('slow');
                $('#result').html(html);
            },
            error: function(){
                button.removeClass('fa-spinner');
                button.addClass('fa-warning');
                setTimeout(function(){
                    button.removeClass('fa-warning');
                    button.addClass('fa-close');
                }, 1000);
            }
        });
    });

    $('.delete-slide').click(function() {
        var button  = $(this);
        var ID      = $(this).attr('slide-id');
        $.ajax({
            url: "<?php echo base_url(); ?>panel/banners/delete_slide/"+ID,
            cache: true,
            beforeSend: function(){
                button.removeClass('fa-close');
                button.addClass('fa-spinner');
            },
            success: function(html){
                button.parent('.titles').parent('.widget').parent('.banner-wrap').hide('slow');
                $('#result').html(html);
            },
            error: function(){
                button.removeClass('fa-spinner');
                button.addClass('fa-warning');
                setTimeout(function(){
                    button.removeClass('fa-warning');
                    button.addClass('fa-close');
                }, 1000);
            }
        });
    });
</script>

</body>
</html>