<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

				use \PayPal\Api\Item;
class Cart extends MX_Controller
{
	public function __construct() {
		parent::__construct();
		$this->load->library('cart');
		// // 1. Autoload the SDK Package. This will include all the files and classes to your autoloader
		// $this->load->library('paypal');
		// // After Step 1
		// $apiContext = new \PayPal\Rest\ApiContext(
		//     new \PayPal\Auth\OAuthTokenCredential(
		//         'ATIwihZv8uYLwDWJI8yUGz9KX-aViTtrhtoy3YMe8dhh4UIZZiKVZFMn4hai9n_T-z1oqsernr6YJlPx',     // ClientID
		//         'ELiWUuZHsQI1XTEVbQaBuzLOauiNxWfT3tThcbN0kMO8iT9snAZ2jfRUYcnCCIuVhV9VoxmeV0AYkrmu'      // ClientSecret
		//     )
		// );
		// // After Step 2
		// $creditCard = new \PayPal\Api\CreditCard();
		// $creditCard->setType("visa")
		//     ->setNumber("4417119669820331")
		//     ->setExpireMonth("11")
		//     ->setExpireYear("2019")
		//     ->setCvv2("012")
		//     ->setFirstName("Joe")
		//     ->setLastName("Shopper");
		// // After Step 3
		// try {
		//     $creditCard->create($apiContext);
		//     var_dump($creditCard);
		// }
		// catch (\PayPal\Exception\PayPalConnectionException $ex) {
		//     var_dump($ex);
		// }
	}

	public function index()
	{
		$data['products'] = $this->cart->contents();

		if (empty($data['products']))
		{
			$data['products'] = false;
		}
		$data['total'] = $this->cart->total();

		$data['other'] = modules::run('productDB/get/products', 20);

		$this->load->view('cart_view', $data);
	}

	public function insert()
	{
		$data['id']      = $_GET['ID'];
		$data['qty']     = $_GET['quantity'];
		$data['price']   = $_GET['price'];
		$data['name']    = $_GET['name'];
		$data['options']['size']  = $_GET['size'];
		$data['options']['color'] = $_GET['color'];
		$data['options']['stock'] = $_GET['stock'];
		$data['options']['thumb'] = $_GET['thumb'];
		$data['options']['currency'] = "USD";

		$this->cart->insert($data);

		echo count($this->cart->contents());
	}

	public function update($ID = false)
	{
		if ($ID === false)
		{
			$rowidArray = $_POST['rowID'];
			$qtyArray   = $_POST['quantity'];
			$stockArray = $_POST['stock'];

			$data = array();

			foreach ($rowidArray as $key => $value)
			{
				$array = array(
					"rowid" => $value,
					"qty"   => $qtyArray[$key]
				);
				array_push($data, $array);
			}
			$this->cart->update($data);
			header("location: ".base_url()."cart");
		}
		else
		{
			$data = array(
               'rowid' => $ID,
               'qty'   => 0
            );
			$this->cart->update($data);
			header("location: ".base_url()."cart");
		}
	}

	public function checkout($slug = false)
	{
		if ($slug === false) {
			$this->load->model("payment_model");
			$this->payment_model->create();
		} else {
			if ($slug === 'failed') {
				$data['title'] = 'payment error';
				$this->load->view('payment_failed');
			}
			elseif ($slug === 'success') {
				$data['title'] = 'payment success';
				$this->load->view('payment_success');
			} else {
				show_404();
			}
		}
	}
}
