<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Display extends MX_Controller
{
	// prevent direct access
	function _remap()
	{
		show_404();
	}

	public function __construct()
	{
		parent::__construct();
		$this->load->library('session');
	}

	/*
	|--------------------------------------------------------------------------------------------------
	| display product categories page
	|--------------------------------------------------------------------------------------------------
	*/
	public function categories()
	{
		$pageData['title']		= 'Dvee';
		$pageData['avatar']		= '<img src="'.base_url().$this->session->userdata('avatar').'" />';
		$pageData['username']	= $this->session->userdata('username');

		$this->load->view('categories_view', $pageData);
	}

	/*
	|--------------------------------------------------------------------------------------------------
	| display product banners page
	|--------------------------------------------------------------------------------------------------
	*/
	public function banners()
	{
		$this->load->model('banner_model');

		$pageData['title']		= 'Dvee';
		$pageData['avatar']		= '<img src="'.base_url().$this->session->userdata('avatar').'" />';
		$pageData['username']	= $this->session->userdata('username');
		$pageData['banners']	= $this->banner_model->getBanners();

		$this->load->view('banners_view', $pageData);
	}
}