<?php echo modules::run('template/serve/admin_header'); ?>
    
    <!-- c-panel -->
    <div class="c-panel">
        <!-- navigation -->
        <div class="col-md-2 nopad navigationHolder">
            <div id="navigation">
                <div class="c-panel-title">Admin panel</div>
                <div class="notif">
                    <div class="">
                        <div class="col-xs-12 col-sm-12 col-md-12 avatar">
                            <a href="<?php base_url() ?>panel/settings/user.html"> <?php echo $avatar; ?> </a>
                        </div>
                        <div class="col-xs-12 col-sm-12 col-md-12">
                            <div class="sign-out" title="sing out">
                                <?php echo anchor(base_url().'panel/login', '<i class="fa fa-sign-out"></i>'); ?>
                            </div>
                            <div class="welcome">Logged in, </div>
                            <div class="username"><?php echo $username; ?></div>
                        </div>
                        <div style="clear:both"></div>
                    </div>
                </div>
                <div class="dashboard">
                    Product Dashboard
                    <div class="dashboard-menu">
                        <ul>
                            <li>
                                <a href="<?php echo base_url() ?>panel/products.html">
                                    <i class="fa fa-shopping-cart"></i> &nbsp PRODUCTS
                                </a>
                            </li>
                            <li>
                                <a href="<?php echo base_url() ?>panel/products/categories.html">
                                    <i class="fa fa-th"></i> &nbsp CATEGORIES
                                </a>
                            </li>
                            <li>
                                <a href="<?php echo base_url() ?>panel/products/banners.html">
                                    <i class="fa fa-image"></i> &nbsp BANNERS
                                </a>
                            </li>
                        </ul>
                    </div>
                </div>
            </div>
        </div>
        <!-- end of navigation -->

        <!-- cotent -->
        <div class="col-md-10 edit-product-form" id="cotent">
            <div class="row">
                <!-- quick navigation icons with time -->
                <div class="col-md-12 nopad" style="height:49px">
                    <div id="head">
                        <div class="col-xs-6 col-sm-7 col-md-7 nopad" id="topnavicons">
                            <div class="head-nav">
                                <i class="fa fa-bars" id="fullscreen" data-toggle="tooltip" data-placement="bottom" title="menu"></i>
                            </div>

                            <div class="head-nav">
                                <a href="<?php echo base_url(); ?>panel.html">
                                    <i class="fa fa-home" title="home"></i>
                                </a>
                            </div>

                            <div class="head-nav">
                                <a href="<?php echo base_url(); ?>panel/products.html">
                                    <i class="fa fa-shopping-cart" title="products"></i>
                                </a>
                            </div>

                            <div class="head-nav">
                                <a href="<?php echo base_url() ?>panel/products/categories.html">
                                    <i class="fa fa-th" title="categories"></i>
                                </a>
                            </div>

                            <div style="clear:both"></div>
                        </div>
                        <div class="col-xs-6 col-sm-5 col-md-5 nopad" id="timeanddate">
                            <div class="head-nav-right" id="time">
                                <div id="clock"></div>
                            </div>  
                            <div class="head-nav-right">
                                <div class="day"></div>
                                <div class="date">
                                </div>
                                <div style="clear:both"></div>
                            </div>
                        </div>
                    </div>
                </div>

                <!-- progress bar -->
                <div class="col-md-12">
                    <div id="pdt-dis-progress">
                        <div id="pdt-dis-progress-bar">
                        </div>
                    </div>
                </div>

                <!-- Page title -->
                <div class="col-md-12 text-center">
                    <h2>Add new product</h2>
                </div>
            </div>

            <?php if (!isset($_SESSION)): session_start(); ?>
                <?php if (isset($_SESSION['add_item_success'])): ?>
                    <?php if ($_SESSION['add_item_success'] == true): ?>
                        <div class="alert alert-success alert-dismissible" role="alert">
                            <button type="button" class="close" data-dismiss="alert"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
                            Item has been added. 
                            <a href="<?php echo base_url() ?>panel/products.html">View products</a>
                        </div>
                    <?php elseif ($_SESSION['add_item_success'] == 'failed to create tables'): ?>
                        <div class="alert alert-danger alert-dismissible" role="alert">
                            <button type="button" class="close" data-dismiss="alert"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
                            Database error occured. check your database configuration 
                            <a href="<?php echo base_url() ?>panel/products.html">View products</a>
                        </div>
                    <?php else: ?>
                        <div class="alert alert-danger alert-dismissible" role="alert">
                            <button type="button" class="close" data-dismiss="alert"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
                            Undefined Error occured
                            <a href="<?php echo base_url() ?>panel/products.html">View products</a>
                        </div>
                    <?php endif; ?>
                    <script>$('body').scrollTop(0);</script>
                <?php endif; ?>
            <?php endif; unset($_SESSION['add_item_success']); session_destroy();?>

            <!-- Products display section -->
            <?php echo form_open_multipart('inventory/add/product_details');?>
                <div class="row">
                    <div class="col-xs-12">
                        <div class="col-xs-12 text-right">
                            <a href="<?php echo base_url() ?>panel/products/add.html">
                                <br><br>
                                <button class="btn btn-danger">
                                    <i class="fa fa-close" id="cancel-form" title="cancel"></i>&nbsp
                                    cancel
                                </button>
                            </a>
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-8">
                        <div class="col-md-12 col-lg-11" style="margin:auto;float:none;">
                            <div class="row">
                                <div class="col-xs-12">
                                    <div class="row">
                                        <div class="col-xs-12 col-sm-6 col-md-8">
                                            <div class="form-group">
                                                <label style="" for="name">Product title</label>
                                                <input type="text" class="form-control" id="inputName" placeholder="" name="name" value=""/>
                                                <div class="alert alert-danger" id="inputNameError"></div>
                                            </div>
                                        </div>
                                        <div class="col-xs-12 col-sm-6 col-md-4">
                                            <div class="form-group">
                                                <label style="" for="price">Price (USD)</label>
                                                <input type="text" class="form-control" id="inputPrice" placeholder="" name="price" value="" />
                                                <div class="alert alert-danger" id="inputPriceError"></div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-xs-12 col-sm-12 col-md-12">
                                    <div class="form-group">
                                        <label style="" for="category">Product description</label>
                                        <textarea  rows="8" class="form-control text-left" name="description"></textarea>
                                        <div class="alert alert-danger" id="inputDescriptionError"></div>
                                    </div>
                                </div>
                                <div class="col-xs-12 col-sm-4 col-md-4">
                                    <div class="form-group">
                                        <label style="" for="category">Category</label>
                                        <select class="form-control" id="inputCategory" name="category" value="">
                                            <option style="display:none" value=""></option>
                                            <?php foreach ($categories as $key => $value): ?>
                                                <option value="<?php echo $value->category; ?>">
                                                    <?php echo $value->category; ?>
                                                </option>
                                            <?php endforeach; ?>
                                        </select>
                                        <div class="alert alert-danger" id="inputCategoryError"></div>
                                    </div>
                                </div>
                                <div class="col-xs-12 col-sm-4 col-md-4">
                                    <div class="form-group">
                                        <label style="" for="sub-category">Sub-category</label>
                                        <div id="sub-category-holder">
                                            <input type="text" class="form-control" placeholder="Select a category first" disabled="disabled" id="inputSubCategory" />
                                            <div class="alert alert-danger" id="inputSubCategoryError"></div>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-xs-12 col-sm-4 col-md-4">
                                    <div class="form-group">
                                        <label style="" for="type">Type</label>
                                        <div id="type-holder">
                                            <input type="text" class="form-control" placeholder="Select a sub-category first" disabled="disabled" id="inputType" />
                                            <div class="alert alert-danger" id="inputTypeError"></div>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-xs-12">
                                    <div class="form-group">
                                        <a href="<?php echo base_url() ?>panel/categories.html">
                                            <h4>Add or edit categories</h4>
                                        </a>
                                    </div>
                                </div>
                                <div class="col-xs-12" style="font-size:16px">
                                    <br>
                                    <span>Add the different sizes and colors of your product</span> &nbsp
                                    <i class="fa fa-info-circle" style="color:#428bca" data-toggle="modal" data-target="#add-size-help"></i>
                                </div>
                                <div class="col-xs-12">
                                    <div class="row">
                                        <div class="col-xs-4 col-sm-4 col-md-4">
                                            <div class="form-group">
                                                <label style="" for="type">Size</label>
                                                <input type="text" class="form-control" name="size[]" placeholder="Size" id="inputSize" />
                                                <div class="alert alert-danger" id="inputSizeError"></div>
                                            </div>
                                        </div>
                                        <div class="col-xs-4 col-sm-4 col-md-4">
                                            <div class="form-group">
                                                <label style="" for="type">Color</label>
                                                <input type="text" class="form-control" name="color[]" placeholder="Color" id="inputColor" />
                                                <div class="alert alert-danger" id="inputColorError"></div>
                                            </div>
                                        </div>
                                        <div class="col-xs-4 col-sm-4 col-md-4">
                                            <div class="form-group">
                                                <label style="" for="type">Quantity</label>
                                                <input type="text" class="form-control" name="quantity[]" placeholder="Quantity" id="inputQuantity" />
                                                <div class="alert alert-danger" id="inputQuantityError"></div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-12">
                                    <br>
                                    <div id="add-size-form"></div>
                                    <br>
                                </div>
                                <div class="col-xs-12 col-sm-12 col-md-12">
                                    <div class="form-group">
                                        <label style="" for=""></label>
                                        <button type="button" class="btn btn-success" id="add-size-btn"> <i class="fa fa-plus"></i> add quantity </button>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="col-md-4">
                        <div class="col-md-12">
                            <h4>
                                <label style="" for="">Add images</label>
                            </h4>
                            <div class="row" id="image-upload-display"></div>
                        </div>
                        <div style="clear:both"></div>
                        <div class="col-md-12">
                            <div id="image-error-alert" style="background:#f2dede;padding:0px;color:#a94442;"></div>
                            <div class="image-upload-title">
                                &nbsp Drag and drop images
                                &nbsp <i class="fa image-progress"></i>
                            </div>
                            <div class="file_btn">
                                <input type="file" name="files[]" multiple id="file"/>
                            </div>
                        </div>
                    </div>
                    <div class="col-md-12">
                        <hr>
                        <h4 style="text-align:center">
                            <label for="">Product attributes</label>
                        </h4>
                        <div id="form-attr-holder">
                            <div class="alert alert-warning">
                                Choose a category first
                            </div>
                        </div>
                    </div>
                </div>

                <div class="col-xs-12 text-center">
                    <br><br>
                    <button type="button" class="btn btn-lg btn-primary" id="save-btn">
                        <i class="fa fa-save" title="save" id="save-form"></i>&nbsp save changes
                    </button>
                </div>
            </form>
        </div>
    </div>

    <div style="clear:both"></div>

    <hr style="border-color:#DDD">
    <div class="col-xs-12" style="text-align:center;margin:50px 0px">
        &copy 2014 Dvee. All Rights Reserved.
    </div>

    <!-- adding quantity help Modal -->
    <div class="modal fade" id="add-size-help" tabindex="-1" role="dialog" aria-labelledby="add-size-help" aria-hidden="true">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal">
                        <span aria-hidden="true">&times;</span><span class="sr-only">Close</span>
                    </button>
                    <h4 class="modal-title" id="myModalLabel">
                        <i class="fa fa-info-circle"></i> &nbsp
                        Adding quantity
                    </h4>
                </div>
                <div class="modal-body">
                    Enter the product's size, an available color of this size and the quantity.
                    <br><br>
                    For example,<br>
                    <div class="row">
                        <div class="col-xs-4 col-sm-4 col-md-4">
                            <div class="form-group">
                                <label style="" for="">Size</label>
                                <input type="text" value="small" class="form-control" />
                            </div>
                        </div>
                        <div class="col-xs-4 col-sm-4 col-md-4">
                            <div class="form-group">
                                <label style="" for="">Color</label>
                                <input type="text" value="blue" class="form-control" />
                            </div>
                        </div>
                        <div class="col-xs-4 col-sm-4 col-md-4">
                            <div class="form-group">
                                <label style="" for="">Quantity</label>
                                <input type="text" value="10" class="form-control" />
                            </div>
                        </div>
                    </div>
                    <div style="clear:both"></div>
                    <br>
                    This indicates that you have 10 small sized blue items. <br>
                    Click Add more button to add more quantities. You should do this for every size and color.
                </div>
                <div class="modal-footer"></div>
            </div>
        </div>
    </div>

    <script src="<?php echo base_url()?>assets/js/bootstrap.min.js"></script>
    <script type="text/javascript" src="<?php echo base_url()?>assets/js/datatables/jquery.dataTables.js"></script>
    <script type="text/javascript" src="<?php echo base_url()?>assets/js/datatables/dataTables.bootstrap.js"></script>

    <!-- Fullscreen function -->
    <script>
        var isfullscreen;
        var fullscreenBtn = $('#fullscreen');
        fullscreen(false);

        fullscreenBtn.click(function(){
            if (isfullscreen) {
                fullscreen(false);
            }else{
                fullscreen(true);
            }
        });

        function fullscreen(mode){
            if (mode == true) {
                $('.header-m').hide();
                $('#cotent').removeClass('col-md-10');
                $('#cotent').removeClass('col-sm-10');
                $('#cotent').addClass('col-md-12');
                $('#navigation').addClass('hidden');
                $('#navigation').parent('div').removeClass('col-md-2');
                $('#navigation').parent('div').removeClass('col-sm-2');
                return isfullscreen = true;
            }else{
                $('.header-m').show();
                $('#cotent').addClass('col-md-10');
                $('#cotent').addClass('col-sm-10');
                $('#cotent').removeClass('col-md-12');
                $('#navigation').removeClass('hidden');
                $('#navigation').parent('div').addClass('col-md-2');
                $('#navigation').parent('div').addClass('col-sm-2');
                return isfullscreen = false;
            }
        }

        $('#save-form').click(function(){
            $(this).removeClass('fa-save');
            $(this).addClass('fa-spinner');
        });
        $('#cancel-form').click(function(){
            $(this).removeClass('fa-close');
            $(this).addClass('fa-spinner');
        });

        // Get sub-categories based on a given category
        $( "#inputCategory").change(function(){
            var value = $.trim($("#inputCategory option:selected").text());
            $.ajax({
                url: "<?php echo base_url(); ?>inventory/get_input/sub_categories/"+value,
                cache: true,
                beforeSend: function(){
                    $("#sub-category-holder").html('<input type="text" class="form-control" placeholder="Select a category first" disabled="disabled" id="inputSubCategory" />');
                    $("#type-holder").html('<input type="text" class="form-control" placeholder="Select a sub_category first" disabled="disabled" id="inputType" />');
                },
                success: function(html){
                    $("#sub-category-holder").html(html);
                },
                complete: function(){
                }
            });
        });

        // Add more sizes, colors and qauntity
        $('#add-size-btn').click(function() {
            $.ajax({
                url: '<?php echo base_url(); ?>inventory/add/fragment_quantity',
                beforeSend: function(){},
                error: function(){},
                success: function(html) {
                    $("#add-size-form").append(html);
                }
            });
        });

        // Form authentication
        $('#save-btn').click(function(){
            var name        = $.trim($("#inputName").val());
            var price       = $.trim($("#inputPrice").val());
            var size        = $.trim($("#inputSize").val());
            var color       = $.trim($("#inputColor").val());
            var quantity    = $.trim($("#inputQuantity").val());
            var category    = $.trim($("#inputCategory option:selected").text());
            var subCategory = $.trim($("#inputSubCategory option:selected").text());
            var type        = $.trim($("#inputType option:selected").text());

            var validate = true;

            if (name == "") {
                $('#inputNameError').html('&nbsp <i class="fa fa-warning"></i>&nbsp Enter product name');
                $('#inputNameError').stop().animate({
                    maxHeight: 100,
                    padding: 5
                }, 500);
                validate = false;
            };
            if (price == "") {
                $('#inputPriceError').html('&nbsp <i class="fa fa-warning"></i>&nbsp Enter product price');
                $('#inputPriceError').stop().animate({
                    maxHeight: 100,
                    padding: 5
                }, 500);
                validate = false;
            };
            if (isNaN(parseInt(price))) {
                $('#inputPriceError').html('&nbsp <i class="fa fa-warning"></i>&nbsp Price must be a numeric value');
                $('#inputPriceError').stop().animate({
                    maxHeight: 100,
                    padding: 5
                }, 500);
                validate = false;
            };
            if (category == "") {
                $('#inputCategoryError').html('&nbsp <i class="fa fa-warning"></i>&nbsp Enter category');
                $('#inputCategoryError').stop().animate({
                    maxHeight: 100,
                    padding: 5
                }, 500);
                validate = false;
            };
            if (subCategory == "") {
                $('#inputSubCategoryError').html('&nbsp <i class="fa fa-warning"></i>&nbsp Enter sub-category');
                $('#inputSubCategoryError').stop().animate({
                    maxHeight: 100,
                    padding: 5
                }, 500);
                validate = false;
            };
            if (type == "") {
                $('#inputTypeError').html('&nbsp <i class="fa fa-warning"></i>&nbsp Enter type');
                $('#inputTypeError').stop().animate({
                    maxHeight: 100,
                    padding: 5
                }, 500);
                validate = false;
            };
            if (size == "") {
                $('#inputSizeError').html('&nbsp <i class="fa fa-warning"></i>&nbsp Enter size');
                $('#inputSizeError').stop().animate({
                    maxHeight: 100,
                    padding: 5
                }, 500);
                validate = false;
            };
            if (color == "") {
                $('#inputColorError').html('&nbsp <i class="fa fa-warning"></i>&nbsp Enter color');
                $('#inputColorError').stop().animate({
                    maxHeight: 100,
                    padding: 5
                }, 500);
                validate = false;
            };
            if (quantity == "") {
                $('#inputQuantityError').html('&nbsp <i class="fa fa-warning"></i>&nbsp Enter quantity');
                $('#inputQuantityError').stop().animate({
                    maxHeight: 100,
                    padding: 5
                }, 500);
                validate = false;
            };
            if (validation_file == false) {
                $('#image-error-alert').html('<p>&nbsp</p> &nbsp <i class="fa fa-warning"></i>&nbsp Add a valid file <p>&nbsp</p>');
                validate = false;
            };

            // Validated. allow submission
            if (validate == true) {
                $('#save-btn').attr("type", "submit");
            }else{
                setTimeout(function(){
                    $('#save-form').removeClass('fa-spinner');
                    $('#save-form').addClass('fa-save');
                }, 500);
            }
        });
    
        // Clear Error messages
        $('#inputName').keyup(function(){
            $('#inputNameError').stop().animate({
                maxHeight: 0,
                padding: 0
            }, 300);
        });
        $('#inputPrice').keyup(function(){
            $('#inputPriceError').stop().animate({
                maxHeight: 0,
                padding: 0
            }, 300);
        });
        $('#inputCategory').change(function(){
            $('#inputCategoryError').stop().animate({
                maxHeight: 0,
                padding: 0
            }, 300);
        });
        $('#inputSize').keyup(function(){
            $('#inputSizeError').stop().animate({
                maxHeight: 0,
                padding: 0
            }, 300);
        });
        $('#inputColor').keyup(function(){
            $('#inputColorError').stop().animate({
                maxHeight: 0,
                padding: 0
            }, 300);
        });
        $('#inputQuantity').keyup(function(){
            $('#inputQuantityError').stop().animate({
                maxHeight: 0,
                padding: 0
            }, 300);
        });






var file = $("#file");
var validation_file = false;
$(':file').change(function(){
    var file = this.files[0];
    var name = file.name;
    var size = file.size;
    var type = file.type;
});
function progressHandlingFunction(e)
{
    if (e.lengthComputable) {
            // $('progress').attr({value:e.loaded,max:e.total});
            $('.progress-bar').css('width', (e.loaded / e.total)*100+"%");
            $('.progress-bar').html((e.loaded / e.total)*100 + "%");
        }
    }
    // validate the upload file
    $.fn.checkFileType = function(options) {
        var defaults = {
            allowedExtensions: [],
            success: function() {},
            error: function() {}
        };
        options = $.extend(defaults, options);

        return this.each(function() {

            $(this).on('change', function() {
                var value = $(this).val(),
                file = value.toLowerCase(),
                extension = file.substring(file.lastIndexOf('.') + 1);

                if ($.inArray(extension, options.allowedExtensions) == -1) {
                    options.error();
                    $(this).focus();
                } else {
                    options.success();
                }
            });
        });
    };
    file.checkFileType({
        allowedExtensions: ['jpg', 'jpeg', 'png', 'gif'],
        success: function() {
            $('#image-error-alert').html('');
            $('#file').css('background-color', '1px solid green');
            validation_file = true;
            var formData = new FormData($('form')[0]);
            $.ajax({
                url: '<?php echo base_url(); ?>inventory/add/temp_image',
                type: 'POST',
                xhr: function() {  // Custom XMLHttpRequest
                    var myXhr = $.ajaxSettings.xhr();
                    if(myXhr.upload){ // Check if upload property exists
                        myXhr.upload.addEventListener('progress',progressHandlingFunction, false);
                    }
                    return myXhr;
                },
                beforeSend: function(){
                    $('#file').attr('disabled', 'disabled');
                },
                error: function(){
                    console.log(formData);
                    $('#image-error-alert').html('<p>&nbsp</p> &nbsp <i class="fa fa-warning"></i>&nbsp an error occured. <p>&nbsp</p>');
                    setTimeout(function(){
                        $('#image-error-alert').html('');
                    }, 3000);
                    $('#file').removeAttr('disabled');
                    $('.image-progress').removeClass('fa-spinner');
                    $('.image-progress').addClass('fa-warning');
                    setTimeout(function(){$('.image-progress').removeClass('fa-warning');}, 2500);
                },
                success: function(html){
                    $('#file').removeAttr('disabled');
                    $('.image-progress').removeClass('fa-spinner');
                    $('.image-progress').addClass('fa-check');
                    setTimeout(function(){$('.image-progress').removeClass('fa-check');}, 2500);
                    $('#image-upload-display').append(html);
                },
                // Form data
                data: formData,
                //Options to tell jQuery not to process data or worry about content-type.
                cache: false,
                contentType: false,
                processData: false
            });
        },
        error: function() {
            validation_file = false;
            $('#image-error-alert').html('<p>&nbsp</p> &nbsp <i class="fa fa-warning"></i>&nbsp Wrong file type <p>&nbsp</p>');
        }
    });
    </script>


</body>
</html>