<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Banners extends MX_Controller
{
	public function __construct()
	{
		parent::__construct();
		$this->load->library('session');
	}

	public function index()
	{
		// Ensure that the user is logged in
		if ($this->session->userdata('isLoggedIn') == false) {
			header('location: '.base_url().'panel/login');
		}else {
			echo modules::run("banner/banner/index");
		}
	}

	public function add_banners()
	{
		echo modules::run("banner/banner/add_banners");
	}

	public function delete_banner($ID = false)
	{
		echo modules::run("banner/banner/delete_banner", $ID);
	}

	public function add_slides()
	{
		echo modules::run("banner/banner/add_slides");
	}

	public function delete_slide($ID = false)
	{
		echo modules::run("banner/banner/delete_slide", $ID);
	}
}