<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Mail_box extends MX_Controller
{
	public function __construct() {
		parent::__construct();
		$this->load->helper(array('form', 'url'));
		$this->load->library('session');
	}

	public function index()
	{
		// Ensure that the user is logged in
		if ($this->session->userdata('isLoggedIn') == false) {
			echo modules::run("panel/login/index", $redirect = "messages");
		} else {
			echo modules::run("support/messages/index");
		}
	}

	public function open($ID = FALSE)
	{
		echo modules::run("support/messages/open", $ID);
	}

	public function inbox()
	{
		echo modules::run("support/messages/inbox");
	}

	public function sent()
	{
		echo modules::run("support/messages/sent");
	}

	public function deleted()
	{
		echo modules::run("support/messages/deleted");
	}

	public function trash($ID = FALSE)
	{
		echo modules::run("support/messages/trash", $ID);
	}

	public function delete($ID = FALSE)
	{
		echo modules::run("support/messages/delete", $ID);
	}

	public function restore($ID = FALSE)
	{
		echo modules::run("support/messages/restore", $ID);
	}
}