
<?php echo modules::run('template/serve/header'); ?>

<hr style="margin:0"/>

<div class="container">
	<div class="row">
		<div class="col-xs-12">
			<button class="visible-xs well" id="filter-btn">
				<i class="fa fa-sort"></i> &nbsp Filter
			</button>
		</div>
		<div class="col-xs-12">
			<div class="row">
				<div class="col-xs-12 col-sm-8 col-md-3" id="filter-page" style="margin-top:20px">
					<div class="">
						<div>
				            <?php foreach ($categories as $key => $item): ?>
							<div class="panel panel-default" style="border:0">
								<h4 class="text-center"><?php echo $item['category']; ?></h4>
				                <div class="panel-heading text-center" style="background:0;color:#333;">
					                Filter departments
				                </div>
				                <div class="panel-body" style="padding:0">
				                    <div class="col-xs-12">
				                    	<div class="panel-group" id="<?php echo $item['category']; ?>">
				                        <?php for ($i=0; $i < count($item); $i++): ?>
											<?php if (isset($item[$i]['sub_category'])): ?>
											<?php
											// change character that jquery can't interpret
											$subCatId = str_replace(" ", "-", $item[$i]['sub_category']);
											$subCatId = str_replace("'", "-", $subCatId);
											$subCatId = str_replace("_", "-", $subCatId);
											 ?>
											<div class="panel panel-default">
												<div class="panel-heading">
													<div class="panel-title text-primary" style="text-transform:uppercase">
														<div data-toggle="collapse" data-parent="#<?php echo $item['category']; ?>" href="#<?php echo $subCatId; ?>">
															<i class="fa fa-shopping-cart"></i> &nbsp
															<?php echo $item[$i]['sub_category']; ?>
															<span class="pull-right">
																<i class="fa fa-sort"></i>
															</span>
														</div>
													</div>
												</div>
													<div id="<?php echo $subCatId; ?>" class="panel-collapse collapse">
													<div class="panel-body">
														<?php for ($x=0; $x < count($item[$i]); $x++): ?>
															<?php if (isset($item[$i][$x])): ?>
																<a href="<?php echo base_url().'category/'.$item['category'].'_'.$item[$i]['sub_category'].'_'.$item[$i][$x]; ?>">
																	<form>
																		<button type="button" class="select off"><?php echo ($item[$i][$x]); ?></button>
																	</form>
																</a>
															<?php endif ?>
														<?php endfor ?>
													</div>
												</div>
											</div>
											<?php endif ?>
				                        <?php endfor; ?>
										</div>
				                    </div>
				                </div>
				            </div>
				            <?php endforeach; ?>
						</div>
					</div>
					<div class="text-center visible-md visible-lg" style="margin-top:10px">
		                <img src="<?php echo base_url() ?>assets/images/banner_pp.gif">
		            </div>
				</div>
				<div class="visible-sm col-xs-12 col-sm-4 col-md-9">
					<div class="text-center" style="margin-top:10px">
		                <img src="<?php echo base_url() ?>assets/images/banner_pp.gif">
		            </div>
				</div>
				<div class="col-xs-12 col-sm-12 col-md-9">
					<div class="row">
						<div class="visible-sm"><hr></div>
						<div class="col-xs-4 col-sm-4 col-md-3">
							<?php if (isset($latest) AND !empty($latest)): ?>
								<div id="carousel" class="carousel slide" data-ride="carousel">
						            <div class="carousel-inner text-center" role="listbox">
						                <?php foreach ($latest as $key => $slide): ?>
						                    <?php if ($key == 0): ?>
						                            <div class="item active">
						                    <?php else: ?>
						                        <div class="item">
						                    <?php endif ?>
							                    <a href="<?php echo base_url().'product/details/'.$slide->product_id ?>">
							                    	<br>
													<img class="img" src="<?php echo base_url().$slide->thumb ?>" style="width:auto;height:auto">
							                    </a>
						                    </div>
						                <?php endforeach ?>
						            </div>
						        </div>
							<?php endif ?>
						</div>
						<?php if (isset($latest) AND !empty($latest)): ?>
						<div class="col-xs-8 col-sm-8 col-md-9">
							<br>
							<h4>New <?php echo $latest[0]->type." ".$latest[0]->sub_category ?></h4>
							<br>
						</div>
						<div class="col-xs-12 col-sm-8 col-md-9">
							Enjoy an exciting shopping experiences. Get a great price for new
							<?php echo $latest[0]->type." ".$latest[0]->sub_category ?>
							<br> <br>
						</div>
						<div class="col-xs-8 col-sm-8 col-md-9">
							<a href="<?php echo base_url().'category/'.$latest[0]->category.'_'.$latest[0]->sub_category.'_'.$latest[0]->type ?>">
								<button class="btn btn-lg btn-success">
									<i class="fa fa-shopping-cart"></i>&nbsp
									Shop Now
								</button>
							</a>
						</div>
						<?php endif ?>

						<div class="col-xs-12 col-sm-12 col-md-12">
							<?php if (isset($products) AND !empty($products)): ?>
								<hr> <br>
								<h4>Featured in women</h4>
								<?php echo modules::run("template/serve/product_tiles", $products, 'carousel'); ?>
								<hr>
							<?php else: ?>
								<div class="text-center" style="margin-top:0px;border:1px solid #ddd;padding:50px 0;">
									<h4>No items in the <?php echo $item['category']; ?> category</h4>
									<img src="<?php echo base_url() ?>assets/images/empty_box.jpg" alt="">
								</div>
							<?php endif ?>
						</div>
						<div class="col-xs-12 col-sm-12 col-md-12">
							<h4>Other categories</h4>
							<div class="row">
								<?php foreach ($other as $key => $item): ?>
									<div class="col-xs-6 col-sm-4 col-md-3 pdt-cat">
			                            <a href="<?php echo base_url().'category/'.$item['category'] ?>">
			                                <div style="position:relative">
			                                    <?php echo modules::run("template/serve/product_tiles", $item['products'], 'carousel-single', 'nil'); ?>
			                                    <div class="caption-float">
			                                        <?php echo $item['category'] ?>
			                                    </div>
			                                </div>
			                            </a>
			                        </div>
						        <?php endforeach ?>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>

<div class="container">
	<hr> <br>
	<h4>More from our store</h4>
	<?php echo modules::run("template/serve/product_tiles", $more); ?>
</div>





<script>
	$('#filter-btn').click(function(){
		toggleFilter($('#filter-page'));
	});

	function toggleFilter(page) {
		if (page.hasClass('toggle')) {
			page.stop().animate({maxHeight:0}, 500);
			page.removeClass('toggle');
		} else {
			page.stop().animate({maxHeight:1000}, 500);
			page.addClass('toggle');
		}
	}
</script>
<script>
    width = $('.store-ad-wrap').width();
    $('.store-ad-wrap').css('height', width);
</script>

<?php echo modules::run('template/serve/footer'); ?>