<?php
class User_model extends CI_Model
{

	protected $database;

	public function __construct()
	{
		$this->load->database();
	}
	
	public function get()
	{
		$user = $this->db->get('store')->result();
		
		if (!empty($user)) {
			return $user[0];
		} else {
			return false;
		}
	}

	public function update()
	{
		if (isset($_FILES)) {

			$uploadPath = "./assets/images/store/";
			
			// Delete images in upload folder
			$images = glob($uploadPath.'*');
			foreach ($images as $key => $image) {
				if (is_file($image)) {
					unlink($image);
				}
			}
			if (!file_exists($uploadPath)) {
				if (!mkdir($uploadPath, 0777, true)) {
					return 'create directory "assets/images/store" and retry';
				}
			}
			$config['upload_path'] 		= $uploadPath;
	        $config['allowed_types']	= 'gif|jpg|png';
	        $config['max_width'] 		= 0;
	        $config['max_height'] 		= 0;
	        $config['max_size'] 		= 0;
			$config['remove_spaces'] 	= FALSE;
	        $config['encrypt_name'] 	= TRUE;
	        $config['overwrite'] 		= TRUE;
	        $this->load->library('upload', $config);

			if (!$this->upload->do_upload()) {
				return $this->upload->display_errors();
			} else {
				$imageData = $this->upload->data();

				// Resize store logo to a smaller image
				$imageUrl = './assets/images/store/'.$imageData['file_name'];
				$path = str_replace("./", "", $imageUrl);

				$config['image_library'] 	= 'gd2';
				$config['source_image']		= $imageUrl;
				$config['file_name']		= $imageUrl;
				$config['create_thumb'] 	= FALSE;
				$config['maintain_ratio'] 	= TRUE;
				$config['width']	 		= 150;
				$config['height']			= 150;

				$this->load->library('image_lib');
				$this->image_lib->initialize($config);
				$this->image_lib->resize($config);

				$this->db->update('store', array('logo', $path));
			}
		}
		if (isset($_POST)) {
			$store['name ']		= $this->input->post("username");
			$store['email'] 	= $this->input->post("mail");
			$store['home'] 		= $this->input->post("location");
			$store['slogan ']	= $this->input->post('slogan');
			$store['phone1']	= $this->input->post('phone1');
			$store['phone2'] 	= $this->input->post('phone2');
			$store['twitter'] 	= $this->input->post('twitter');
			$store['facebook'] 	= $this->input->post('facebook');
			$store['google'] 	= $this->input->post('google');
		}
	}
}

?>