<?php
class Support_model extends CI_Model {

	public function __construct()
	{
		// initialize the CI database driver with these configurations
		$config['hostname'] = "localhost";
		$config['username'] = "root";
		$config['password'] = "root";
		$config['database'] = 'dvee';
		$config['dbdriver'] = "mysql";
		$config['dbprefix'] = "";
		$config['pconnect'] = FALSE;
		$config['db_debug'] = TRUE;
		$config['cache_on'] = FALSE;
		$config['cachedir'] = "";
		$config['char_set'] = "utf8";
		$config['dbcollat'] = "utf8_general_ci";
		$this->database = $this->load->database($config, TRUE);
	}


	/*
	|--------------------------------------------------------------------------
	| log messages in database
	|--------------------------------------------------------------------------
	*/
	public function add_message($ref = FALSE, $type = FALSE)
	{
		// set current date
						date_default_timezone_set("Africa/Nairobi");
		$current_date = date("Ymd");

		// Add User's information to the store table
		$user_data = array(
			'type'			 => $type,
			'reference'		 => $ref,
			'folder'		 => "inbox",
			'title' 		 => $this->input->post('title'),
			'name' 			 => $this->input->post('name'),
			'phone' 		 => $this->input->post('phone'),
			'email' 		 => $this->input->post('email'),
			'location'		 => $this->input->post('location'),
			'order_quantity' => $this->input->post('order_quantity'),
			'target_price' 	 => $this->input->post('target_price'),
			'message' 	 	 => $this->input->post('inquiry'),
			'date_added' 	 => $current_date
		);
		$this->database->insert('message', $user_data);
	}
}