
<div class="col-md-12" style="padding-top:10px">
    <div class="col-md-12 nopad">
        <div class="row messages-nav no-print">
            <div class="col-xs-12 col-sm-7 col-md-7 nopad" id="topnavicons">
                <div class="head-nav">
                    <i class="fa fa-close delete-message" data-toggle="tooltip" title="delete" message-number="<?php echo $message->message_id ?>"></i>
                </div>

                <div class="head-nav">
                    <i class="fa fa-print" data-toggle="tooltip" title="print" onClick=" window.print();"></i>
                </div>
                <?php if ($message->folder == 'deleted'): ?>
                    <div class="head-nav">
                        <i class="fa fa-recycle restore-message" data-toggle="tooltip" title="restore" message-number="<?php echo $message->message_id ?>"></i>
                    </div>
                <?php else: ?>
                    <div class="head-nav">
                        <i class="fa fa-mail-reply" data-toggle="tooltip" title="reply"></i>
                    </div>
                <?php endif ?>

                <div style="clear:both"></div>
            </div>
            <div class="col-xs-12 col-sm-5 col-md-5 nopad" style="text-align:right">
                <form method="post" action="">
                    <input type="text" placeholder="search keyword" id="search_query" name="search" autocomplete="off"><button type="" class="search"> <i class="fa fa-search"></i> </button>
                    <div style="clear:both"></div>
                </form>
            </div>
        </div>
        <hr style="margin:10px 0px">
    </div>
    <div class="col-md-12 nopad" id="display-messages" style="padding:10px 0px">
        <h4 style="text-align:center">Inquiry</h4>
        <?php if ($product !== false): ?>
            <a href="<?php echo base_url() ?>panel/products/edit/<?php echo $product->product_id ?>" class="no-print">
                <div class="col-sm-2 col-md-3">
                    <img src="<?php echo base_url().$product->thumb ?>" alt="" style="width:100%;">
                    <div style="text-align:center;">
                        <?php echo $product->name ?>
                    </div>
                    <div style="text-align:center;">
                        USD <?php echo $product->price ?>
                    </div>
                </div>
            </a>
            <div class="col-sm-2 col-md-3 show-print"  style="text-align:center;">
                <img src="<?php echo base_url().$product->thumb ?>" alt="" style="margin:auto;">
                <div>
                    <?php echo $product->name ?>
                </div>
                <div>
                    USD <?php echo $product->price ?>
                </div>
            </div>
        <?php endif ?>
        <?php if ($product !== false): ?>
            <div class="col-sm-10 col-md-9" style="">
        <?php else: ?>
            <div class="col-sm-12 col-md-12" style="">
        <?php endif; ?>
            <div class="col-md-12" style="padding:10px 0px">
               <?php echo $message->message ?>
           </div>
           <div class="col-md-12" style="text-align:right;margin-top:20px;padding:10px 0px">
               <div><?php echo $message->name ?>&nbsp <i class="fa fa-user"></i></div>
               <div><?php echo $message->phone ?>&nbsp <i class="fa fa-phone"></i></div>
               <div><?php echo $message->email ?>&nbsp <i class="fa fa-envelope"></i></div>
               <div><?php echo $message->location ?>&nbsp <i class="fa fa-map-marker"></i></div>
           </div>
        </div>
    </div>
</div>

<?php if ($message->folder == 'deleted'): ?>
    <script>
        $('.restore-message').click(function(){
            var button = $(this);
            var message_id = $(this).attr('message-number');
            $.ajax({
                url: "<?php echo base_url() ?>panel/mail_box/restore/"+message_id,
                cache: true,
                beforeSend: function()
                {
                    button.removeClass('fa-recycle');
                    button.addClass('fa-spinner');
                    display.animate({
                        opacity: 0.2
                    }, 1000);
                },
                success: function()
                {
                    display.stop().animate({
                        opacity: 1
                    }, 1000);
                    display.html('<br/><div class="alert alert-success alert-dismissible" role="alert"><button type="button" class="close" data-dismiss="alert"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>message restored</div>');
                },
                complete: function(){},
                error: function(){
                    display.stop().animate({
                        opacity: 1
                    }, 1000);
                    button.removeClass('fa-spinner');
                    button.addClass('fa-warning');
                    setTimeout(function(){
                        button.removeClass('fa-warning');
                        button.addClass('fa-recycle');
                    }, 1000);
                }
            });
        });

        $('.delete-message').click(function(){
            var button = $(this);
            var message_id = $(this).attr('message-number');
            $.ajax({
                url: "<?php echo base_url() ?>panel/mail_box/delete/"+message_id,
                cache: true,
                beforeSend: function()
                {
                    button.removeClass('fa-close');
                    button.addClass('fa-spinner');
                    display.animate({
                        opacity: 0.2
                    }, 1000);
                },
                success: function()
                {
                    display.stop().animate({
                        opacity: 1
                    }, 1000);
                    display.html('<br/><div class="alert alert-success alert-dismissible" role="alert"><button type="button" class="close" data-dismiss="alert"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>message permanently deleted</div>');
                },
                complete: function(){},
                error: function(){
                    display.stop().animate({
                        opacity: 1
                    }, 1000);
                    button.removeClass('fa-spinner');
                    button.addClass('fa-warning');
                    setTimeout(function(){
                        button.removeClass('fa-warning');
                        button.addClass('fa-close');
                    }, 2500);
                }
            });
        });
    </script>
<?php else: ?>
    <script>
        $('.delete-message').click(function(){
            var button = $(this);
            var message_id = $(this).attr('message-number');
            $.ajax({
                url: "<?php echo base_url() ?>panel/mail_box/trash/"+message_id,
                cache: true,
                beforeSend: function()
                {
                    button.removeClass('fa-close');
                    button.addClass('fa-spinner');
                    display.animate({
                        opacity: 0.2
                    }, 1000);
                },
                success: function()
                {
                    display.stop().animate({
                        opacity: 1
                    }, 1000);
                    display.html('<br/><div class="alert alert-success alert-dismissible" role="alert"><button type="button" class="close" data-dismiss="alert"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>message trashed</div>');
                },
                complete: function(){},
                error: function(){
                    display.stop().animate({
                        opacity: 1
                    }, 1000);
                    button.removeClass('fa-spinner');
                    button.addClass('fa-warning');
                    setTimeout(function(){
                        button.removeClass('fa-warning');
                        button.addClass('fa-close');
                    }, 2500);
                }
            });
        });
    </script>
<?php endif ?>