<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Serve extends MX_Controller
{
	function _remap()
	{
		show_404();
	}
	public function __construct()
	{
		parent::__construct();
		
		$this->load->model('template_model');
		$this->load->helper('form');
	}

	public function header()
	{
		$this->load->library('cart');
		$data['title'] 	     = 'Dvee';
		$data['menu'] 	     = $this->template_model->menu();
		$data['cart_number'] = count($this->cart->contents());
		$data['store'] 		 = $this->template_model->store();

		$this->load->view('header', $data);
	}
	public function footer()
	{
		$data['store'] = $this->template_model->store();
		$this->load->view('footer', $data);
	}
	public function product_tiles($products = false, $option = false, $size = false)
	{
		$data['products'] 	= $products;
		$data['option'] 	= $option;
		$data['size'] 		= $size;

		$this->load->view('product_tiles', $data);
	}
	
	public function admin_header()
	{
		$data['title']    = 'Dvee';
		$data['avatar']   = '<img src="'.base_url().$this->session->userdata('avatar').'" />';
		$data['username'] = $this->session->userdata('username');
		$this->load->view('admin_header', $data);
	}


	public function admin_footer()
	{
		$this->load->view('admin_footer');
	}


	public function admin_error($data = FALSE)
	{
		$this->load->view('admin_error', $data);
	}
}
