<!DOCTYPE html>
<html lang="en">
<head>
    <title><?php echo $title; ?></title>
    <link rel="shortcut icon" href="<?php echo base_url()?>assets/images/favicon.icon" type="image/png" />
    <link rel="shortcut icon" type="image/png" href="<?php echo base_url()?>assets/images/favicon.icon" />
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1"/>
    <link rel="stylesheet" type="text/css" href="<?php echo base_url()?>assets/css/animate.css" />
    <link rel="stylesheet" type="text/css" href="<?php echo base_url()?>assets/css/bootstrap.css" />
    <link rel="stylesheet" type="text/css" href="<?php echo base_url()?>assets/css/font-awesome.min.css" />
    <link rel="stylesheet" type="text/css" href="<?php echo base_url()?>assets/css/panel.css" />
    <link rel="stylesheet" type="text/css" href="<?php echo base_url()?>assets/css/datatables/dataTables.bootstrap.css" rel="stylesheet"/>
    <link rel="stylesheet" type="text/css" href="<?php echo base_url()?>assets/css/panel-print.css" media="print"> 


    <script type="text/javascript" src="<?php echo base_url()?>assets/js/jquery.js"></script>

    <script>
        function startTime() {
            var today=new Date();
            var h=today.getHours();
            var m=today.getMinutes();
            var s=today.getSeconds();
            m = checkTime(m);
            s = checkTime(s);
            document.getElementById('clock').innerHTML = h+":"+m+":"+s;
            var t = setTimeout(function(){startTime()},500);
        }

        function checkTime(i) {
            if (i<10) {i = "0" + i};  // add zero in front of numbers < 10
            return i;
        }
    </script>
</head>

<body onload="startTime()">

    <!-- header -->
    <div class="no-print">
        <div class="header-m">
            <div class="col-xs-6 col-sm-6 col-md-6">
                <a href="<?php echo base_url() ?>panel">
                    DVEE
                </a>
            </div>
            <div class="col-xs-6 col-sm-6 col-md-6">
                <div class="right">
                    <div class="dropdown">
                        <div class="dropdown-toggle" type="button" id="dropdownMenu1" data-toggle="dropdown">
                            <?php echo $avatar; ?> &nbsp <?php echo $username; ?> &nbsp <i class="fa fa-caret-down"></i>
                        </div>
                        <ul class="dropdown-menu" role="menu" aria-labelledby="dropdownMenu1">
                            <li role="presentation">
                                <a role="menuitem" tabindex="-1" href="#">Account <i class="fa fa-user"></i></a>
                            </li>
                            <li role="presentation">
                                <a role="menuitem" tabindex="-1" href="<?php echo base_url(); ?>panel/messages">
                                    Messages <i class="fa fa-envelope"></i>
                                </a>
                            </li>
                            <li role="presentation">
                                <a role="menuitem" tabindex="-1" href="<?php echo base_url(); ?>panel">Logout <i class="fa fa-sign-out"></i></a>
                            </li>
                        </ul>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div style="margin-top:2px"></div>