<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Welcome extends MX_Controller {

	public function __construct()
	{
		parent::__construct();		
	}

	public function index()
	{
		$this->load->database();

		// check if store table exists
		if ( ! $this->db->table_exists('store'))
		{
			// the database dvee exists
			// but the store table doesn't exists
			$this->load->view('welcome_view');
		}
		else
		{
			if ($this->db->table_exists('product'))
			{
				$products = $this->db->get('product')->result();

				if ( is_array($products) && count($products) == 0 || empty($products))
				{
					// The product table exist but has no records
					// redirect to the admin panel to add products
					header("location: ".base_url()."panel/products");
				}
				else
				{
					// The product table exist and has records
					echo modules::run('home/home/index');
				}
			}
			else
			{
				// The product table does not exist
				// redirect to the admin panel to add products
				header("location: ".base_url()."panel/login");
			}
		}
	}
}
