$(function()
{
    var delay = 1000;
    var tiles = $('.banner-tile').length;
    
    function flipTiles(number)
    {
        if ($(".banner-tile:nth-child("+number+") .front").parent().hasClass("flipped") === false
        && $(".banner-tile:nth-child("+number+") .front").parent().hasClass("pause") === false) {
            $(".banner-tile:nth-child("+number+") .front").parent().find( ".front" ).addClass( "frontTurn" );
            $(".banner-tile:nth-child("+number+") .front").parent().find( ".back" ).addClass( "backTurn" );
            $(".banner-tile:nth-child("+number+") .front").parent().addClass( "flipped" );
        } else if ($(".banner-tile:nth-child("+number+") .back").parent().hasClass("flipped") === true
        && $(".banner-tile:nth-child("+number+") .back").parent().hasClass("pause") === false) {
            $(".banner-tile:nth-child("+number+") .back").parent().find( ".front" ).removeClass( "frontTurn" );
            $(".banner-tile:nth-child("+number+") .back").parent().find( ".back" ).removeClass( "backTurn" );
            $(".banner-tile:nth-child("+number+") .back").parent().removeClass( "flipped" );
        }
    }
    $(".banner-tile .front").mouseover(function()
    {
        $(this).parent().addClass("pause");
    }).mouseout(function()
    {
        $(this).parent().removeClass("pause");
    });

    $(".banner-tile .back").mouseover(function()
    {
        $(this).parent().addClass("pause");
    }).mouseout(function()
    {
        $(this).parent().removeClass("pause");
    });

    function execute()
    {
        setInterval(function(){
            flipTiles(Math.floor((Math.random() * tiles) + 1));
        }, delay);
    }
    $(execute);
});