
// ============================ the  gallery ====================================
$('.tile').click(function(){
    $('#img_display').html($(this).html()).hide().show('slow');
});


// ============================== load the modals ==============================
$('#return_policy').click(function(){
    show_modal();
    $('#modal_close').css('z-index', '10');
    $.ajax({
        type: "POST",
        url: "app/view/templates/modal.php",
        data: {fetch: "return_policy"},
        cache: true,
        beforeSend: function(){},
        success: function(html){
            $('#modal_load').hide();
            $("#modal_stuff").html(html);
        },
        complete: function(){}
    });
});
$('#gaurantee').click(function(){
    show_modal();
    $('#modal_close').css('z-index', '10');
    $.ajax({
        type: "POST",
        url: "app/view/templates/modal.php",
        data: {fetch: "gaurantee"},
        cache: false,
        beforeSend: function(){},
        success: function(html){
            $('#modal_load').hide();
            $("#modal_stuff").html(html);
        },
        complete: function(){}
    });
});

// ============================== stuff for the form ==============================
$('#stock').hide();
$('#price_error').hide();
$('#price_display').hide();

$('#quantity').click(function(){
    // initialize varaibles
    var price = $('#pdt-price').html();
    $('#price').html(price);
    var stock = $('#stock_holder').html();
    var color = $('#color_holder').html();
    var size  = $('#size_holder').html();
    var id  = $('#id_holder').html();
    
    // size and color vaiables are set
    if (size !== '' && color !== '') {

        // stock number is initially not set, set it!
        if ($('#stock-number').html() == '') {
            $.ajax({
                type: "POST",
                url: "app/model/getQuantity.php",
                data: { color: color, size: size, id : id},
                cache: false,
                beforeSend: function(){
                    $('#form_load').show();
                },
                success: function(html){

                    // if the ajax request returns nothing
                    if (html !== '') {
                        $('#form_load').hide();
                        $('#stock_holder').html(html);
                        $('#stock-number').html(html);
                        $('#stock').show();
                        $('#price_display').show();
                    }else{
                        $('#form_load').hide();
                        $('#quantity').val('');
                        $('#quantity').attr('disabled' , 'disabled');
                        $('#quantity').attr('placeholder' , 'Out of stock');
                        $('#quantity').css('border', '1px solid #FFA8A8');
                    };
                }
            });
        }
        // stock number is set
        else {
            var quantity = $('#quantity').val();
            price_total = quantity * price;
            // round off to two decimals
            price_total = Math.round(price_total*100)/100;
            stock_total = stock - quantity;

            // if a quantity is set
            if (quantity > 0) {
                $('#price_error').html('');
                $('#price_error').hide();
                // quantity exceeds the stock number
                if(stock_total < 0){
                    $('#stock').hide();
                    $('#price_display').hide();
                    $('#price_error').show();
                    $('#price_error').html('This quantity is not in stock');
                }
                // quantity is in scope of stock
                else {
                    $('#stock').show();
                    $('#price_display').show();
                    $('#stock-number').html(stock_total);
                    $('#price').html(price_total);
                }
            }
            // quantity is set to negatives or zero
            else {
                $('#stock').hide();
                $('#price_display').hide();
                $('#price_error').show();
                $('#price_error').html('quantity is invalid');
            }
        }   
    }
    // size and color variables not set
    else {
        $('#quantity').attr('disabled', 'disabled');
        $('#quantity').val('');
        $('#quantity').attr('placeholder', 'Choose both a color and a size');
        $('#quantity').css('border', '1px solid #FFA8A8');
    }
}).keyup(function(){
    // initialize varaibles
    var price = $('#pdt-price').html();
    $('#price').html(price);
    var stock = $('#stock_holder').html();
    var color = $('#color_holder').html();
    var size  = $('#size_holder').html();
    var id  = $('#id_holder').html();
    
    // size and color vaiables are set
    if (size !== '' && color !== '') {

        // stock number is initially not set, set it!
        if ($('#stock-number').html() == '') {
            $.ajax({
                type: "POST",
                url: "app/model/getQuantity.php",
                data: { color: color, size: size, id : id},
                cache: false,
                beforeSend: function(){
                    $('#form_load').show();
                },
                success: function(html){

                    // if the ajax request returns nothing
                    if (html !== '') {
                        $('#form_load').hide();
                        $('#stock_holder').html(html);
                        $('#stock-number').html(html);
                        $('#stock').show();
                        $('#price_display').show();
                    }else{
                        $('#form_load').hide();
                        $('#quantity').val('');
                        $('#quantity').attr('disabled' , 'disabled');
                        $('#quantity').attr('placeholder' , 'Out of stock');
                        $('#quantity').css('border', '1px solid #FFA8A8');
                    };
                }
            });
        }
        // stock number is set
        else {
            var quantity = $('#quantity').val();
            price_total = quantity * price;
            // round off to two decimals
            price_total = Math.round(price_total*100)/100;
            stock_total = stock - quantity;

            // if a quantity is set
            if (quantity > 0) {
                $('#price_error').html('');
                $('#price_error').hide();
                // quantity exceeds the stock number
                if(stock_total < 0){
                    $('#stock').hide();
                    $('#price_display').hide();
                    $('#price_error').show();
                    $('#price_error').html('This quantity is not in stock');
                }
                // quantity is in scope of stock
                else {
                    $('#stock').show();
                    $('#price_display').show();
                    $('#stock-number').html(stock_total);
                    $('#price').html(price_total);
                }
            }
            // quantity is set to negatives or zero
            else {
                $('#stock').hide();
                $('#price_display').hide();
                $('#price_error').show();
                $('#price_error').html('quantity is invalid');
            }
        }   
    }
    // size and color variables not set
    else {
        $('#quantity').attr('disabled', 'disabled');
        $('#quantity').val('');
        $('#quantity').attr('placeholder', 'Choose both a color and a size');
        $('#quantity').css('border', '1px solid #FFA8A8');
    }
});