
<?php echo modules::run('template/serve/header'); ?>

<hr style="margin:0"/>

<div class="container">
	<div class="col-md-12" style="margin:30px 0px;text-align:center">
		<h1>My cart</h1>
	</div>
	<?php if ($products == false) { ?>
		<div class="col-md-12" style="color:#888;text-align:center">
			<h3>Your cart is empty</h3>
			<br>
			<button id="go-to-other" class="btn btn-primary">Check out other products</button>
		</div>
	<?php } else { ?>
		<div class="col-md-12" style="margin-top:20px">
			<?php echo form_open('cart/update'); ?>
				<div class="table-responsive">
				    <table id="cart-table" class="table">
				        <thead>
				            <tr>
				                <th>Image</th>
				                <th>Name</th>
				                <th class="text-center">Unit Price</th>
				                <th class="text-center">Quantity</th>
				                <th class="text-center">Sub-total</th>
				                <th class="text-center">Remove</th>
				            </tr>
				        </thead>
				        <tbody>
				            <?php foreach ($products as $key => $product){ ?>
				            <tr>
				                <td><img src="<?php echo base_url().$product['options']['thumb']; ?>" alt=""></td>
				                <td class="data"><?php echo $product['name']; ?></td>
				                <td class="text-center"><?php echo $product['price']; ?></td>
				                <td class="text-center">
				                	<input type="hidden" name="stock[]" value="<?php echo $product['options']['stock']; ?>" class="stock" />
				                	<input type="hidden" name="rowID[]" value="<?php echo $product['rowid']; ?>" />
				                	<input type="number" name="quantity[]" value="<?php echo $product['qty']; ?>" max="<?php echo $product['options']['stock']; ?>" class="quantity"/>
				                	<div class="feedback" style="height:0px;overflow:hidden"></div>
				                </td>
				                <td class="text-center"><?php echo $product['subtotal']; ?></td>
				                <td class="data" style="text-align:center">
				                	<a href="<?php echo base_url(); ?>cart/update/<?php echo $product['rowid'] ?>">
					                	<i class="text-danger fa fa-times-circle" style="font-size:30px;cursor:pointer"></i>
				                	</a>
				                </td>
				            </tr>
				            <?php } ?>
				        </tbody>
				    </table>
				</div>
			    <hr>
			    <div class="col-md-12" style="	text-align:right">
			    	<button type="submit" class="btn btn-default">Update cart</button>
			    </div>
		    </form>
		</div>
	<?php } ?>
</div>

<div class="col-md-12" style="margin-top:20px">
	<hr class="visible-xs">
	<div class="row">
<!-- 		<div class="col-md-4" style="padding-top:50px">
			<h4 style="text-align:center">Estimate Shipping</h4>
			<p  style="text-align:center">Enter your destination to get a shipping estimate</p>
			<form action="" role="form">
				<div class="row">
					<div class="col-md-6">
						<label for="country">Country</label>
						<select style="width:90%" class="form-control" name="country" id=""></select>
					</div>
					<div class="col-md-6">
						<label for="country">State/Province</label>
						<select style="width:90%" class="form-control" name="country" id=""></select>
					</div>
					<div class="col-md-12" style="text-align:center">
						<br>
						<button class="btn btn-default" type="button">Get a Quota</button>
					</div>
				</div>
			</form>
		</div>

		<div class="col-md-4 text-center" style="text-align:center;height:250px;padding-top:50px">
			<h4>Discount Codes</h4>
			<br>	
			<p>Enter your coupon code if you have one</p>
			<input class="form-control" type="text" placeholder="Enter coupon code" name="coupon" style="width:auto;display:inline-block;position:relative;top:2px">
			<button type="button" class="btn btn-default">Use coupon</button>
			<p>
				<br>
				<u><a class="text-primary" href="">How do i get a coupon code</a></u>
			</p>
		</div> -->

		<div class="col-md-4 text-center" style="padding-top:50px">
			<h4>Checkout</h4>
			<br>
			<h3>Grand total: USD <?php echo $total; ?></h3>
			<br>
				<button type="button" class="btn btn-default">Check out</button>
		</div>
	</div>
	<hr>
</div>
	
<div class="container">
	<div style="margin-top:100px">
	    <div class="col-md-12">
	        <h4 style="text-align:center" id="other">Check out other products</h4>
	        <br>
	    </div>
		<div>
			<?php echo modules::run("template/serve/product_tiles", $other); ?>
		</div>
		</div>
	</div>
</div>


<script>
	$('#go-to-other').click(function(){
        $('html,body').animate({
            scrollTop: $("#other").offset().top-10
        }, 1000);
    });

	$('.quantity').keyup(function()
	{
		var stock = $(this).parent(".data").children(".stock").val();
		var qty   = $(this).val();
		var alert = $(this).parent(".data").children(".feedback");
		if (stock - qty < 0)
		{
			alert.html('<div class="alert alert-danger">Sorry '+stock+' available</div>');
			alert.animate({
				height: 50
			}, 500);
		}else
		{
			alert.animate({
				height: 0
			}, 500);
		}
	});

</script>

<?php echo modules::run('template/serve/footer'); ?>