<!DOCTYPE html>
<html lang="en">
<head>
    <title>DVEE</title>
    <link rel="shortcut icon" href="<?php echo base_url()?>assets/images/logo.min.png" type="image/png">
    <link rel="shortcut icon" type="image/png" href="<?php echo base_url()?>assets/images/log.min.png" />
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" type="text/css" href="<?php echo base_url()?>assets/css/bootstrap.css" />
    <link rel="stylesheet" type="text/css" href="<?php echo base_url()?>assets/css/font-awesome.min.css" />
    <link rel="stylesheet" type="text/css" href="<?php echo base_url()?>assets/css/welcome.css" />
    <script src="<?php echo base_url()?>assets/js/jquery.js"></script>
    <script src="<?php echo base_url()?>assets/js/bootstrap.min.js"></script>
    <script src="<?php echo base_url()?>assets/js/velocity.js"></script>
</head>

<body>
    <div class="container">
        <?php echo form_open_multipart('create/upload'); ?>
            <div class="row login_box">
                <div class="col-md-12 col-xs-12" align="center">
                    <div class="row">
                        <div class="col-md-12">
                            <?php session_start(); ?>
                            <?php if (isset($_SESSION["errors"])): ?>
                                <?php foreach ($_SESSION["errors"] as $error): ?>
                                    <?php if ($_SESSION["errors"] !== ""): ?>
                                        <?php echo $error; ?>
                                    <?php endif; ?>
                                <?php endforeach; ?>
                            <?php endif ?>
                            <?php unset($_SESSION["errors"]); session_destroy(); ?>
                        </div>
                    </div>   
                    <h1>Create a store</h1>
                </div>

                <div class="col-md-12 col-xs-12 login_control">
                    
                    <div class="row">
                        <div class="col-md-12 animated fadeIn">
                            <br><br>                            
                            <div class="col-md-12">
                                <div class="row">
                                    <div class="col-sm-6 col-md-6">
                                        <label for="">
                                            <i class="fa fa-user"></i> &nbsp
                                            Store name
                                        </label>
                                        <input class="form-control" type="text" id="i-name" name="name">
                                        <div class="error" id="i-name-e"></div>
                                    </div>
                                    <div class="col-sm-6 col-md-6">
                                        <label for="">
                                            <i class="fa fa-file"></i> &nbsp
                                            slogan
                                        </label>
                                        <input class="form-control" type="text" id="i-slogan" name="slogan">
                                        <div class="error" id="i-slogan-e"></div>
                                    </div>
                                </div>
                            </div>

                            <div class="col-md-12">
                                <div class="row">
                                    <div class="col-sm-6 col-md-6">
                                        <label for="">
                                            <i class="fa fa-lock"></i> &nbsp
                                            Password
                                        </label>
                                        <input class="form-control" type="password" id="i-password" name="password1">
                                        <div class="error" id="i-password-e"></div>
                                    </div>
                                    <div class="col-sm-6 col-md-6">
                                        <label for="">
                                            <i class="fa fa-lock"></i> &nbsp
                                            Confirm password
                                        </label>
                                        <input class="form-control" type="password" id="i-password2" name="password2">
                                        <div class="error" id="i-password2-e"></div>
                                    </div>
                                </div>
                            </div>

                            <div class="col-md-12">
                                <div class="row">
                                    <div class="col-sm-6 col-md-6">
                                        <label for="">
                                            <i class="fa fa-phone"></i> &nbsp
                                            Phone number
                                        </label>
                                        <input class="form-control" type="text" id="phone1" name="phone1">
                                        <div class="error" id="i-phone1-e"></div>
                                    </div>
                                    <div class="col-sm-6 col-md-6">
                                        <label for="">
                                            <i class="fa fa-phone"></i> &nbsp
                                            Phone number
                                        </label>
                                        <input class="form-control" type="text" id="phone2" name="phone2">
                                        <div class="error" id="i-phone2-e"></div>
                                    </div>
                                </div>
                            </div>

                            <div class="col-md-12">
                                <div class="row">
                                    <div class="col-sm-6 col-md-6">
                                        <label for="">
                                            <i class="fa fa-envelope"></i> &nbsp
                                            email address
                                        </label>
                                        <input class="form-control" type="email" id="i-mail" name="mail">
                                        <div class="error" id="i-mail-e"></div>
                                    </div>
                                    <div class="col-sm-6 col-md-6">
                                        <label for="">
                                            <i class="fa fa-twitter"></i> &nbsp
                                            Twitter account name
                                        </label>
                                        <input class="form-control" type="text" id="twitter" name="twitter">
                                        <div class="error" id="i-twitter-e"></div>
                                    </div>
                                </div>
                            </div>

                            <div class="col-md-12">
                                <div class="row">
                                    <div class="col-sm-6 col-md-6">
                                        <label>
                                            <i class="fa fa-facebook"></i> &nbsp
                                            Facebook account name
                                        </label>
                                        <input class="form-control" type="text" id="facebook" name="facebook">
                                        <div class="error" id="i-facebook-e"></div>
                                    </div>
                                    <div class="col-sm-6 col-md-6">
                                        <label>
                                            <i class="fa fa-google-plus"></i> &nbsp
                                            google-plus account name
                                        </label>
                                        <input class="form-control" type="text" id="google-plus" name="google">
                                        <div class="error" id="i-google-e"></div>
                                    </div>
                                </div>
                            </div>

                            <div class="col-md-12">
                                <div class="row">
                                    <div class="col-sm-6 col-md-6">
                                        <label>
                                            <i class="fa fa-home"></i> &nbsp
                                            Physical address
                                        </label>
                                        <br>
                                        <input class="form-control" type="text" id="home" name="home">
                                        <div class="error" id="i-home-e"></div>
                                    </div>
                                </div>
                            </div>

                            <div class="col-md-12">
                                <h2>Upload a logo</h2>
                                <div id="image-error-alert"  style="padding: 0 20px;"></div>
                                <input name="userfile" type="file" id="file" />
                                <div class="progress" style="display:none;">
                                    <div class="progress-bar" role="progressbar" aria-valuenow="60" aria-valuemin="0" aria-valuemax="100"></div>
                                </div>
                                <br>
                            </div>
                        </div>
                    </div>
                <div class="col-md-12 text-center">
                    <div class="btn-hld">
                        <button type="button" id="c-submit" class="btn btn-orange">
                            Continue
                        </button>
                    </div>
                </div>
            </form>
                    <div class="text-right" style="color:#333;margin:10px;">
                        &copy;  &nbspDvee &nbsp 2015
                    </div>
                </div>
            </div>
        </form>
    </div>

<script>
    var input_name = $('#i-name');
    var input_password1 = $('#i-password');
    var input_password2 = $('#i-password2');
    var input_email = $('#i-mail');
    var input_name_error = $('#i-name-e');
    var input_email_error = $('#i-mail-e');
    var input_password1_error = $('#i-password-e');
    var input_password2_error = $('#i-password2-e');
    var file = $('#file');

    var error_color = "#F99";
    var error_color_bg = "#FDEAEA";
    var success_color = "#F99";

    var submit_button = $('#c-submit');

    var validation = false;
    var validation_name = false;
    var validation_mail = false;
    var validation_password = false;
    var validation_file = false;

    input_name.keyup(function(){
        input_name_error.html('');
        $(this).css('border-color', '#ccc');
        $(this).css('background-color', '#FFF');
    });

    input_password1.keyup(function(){
        $(this).css('border-color', '#ccc');
        input_password1_error.html('');
        $(this).css('background-color', '#FFF');
    });

    input_password2.keyup(function(){
        input_password2_error.html('');
        $(this).css('border-color', '#ccc');
        $(this).css('background-color', '#FFF');
    });

    input_email.keyup(function(){
        input_email_error.html('');
        $(this).css('border-color', '#ccc');
        $(this).css('background-color', '#FFF');
    });

    file.click(function(){
        $(this).css('border-color', '#ccc');
        $(this).css('background-color', '#FFF');
    });
    function isValidEmailAddress(emailAddress) {
        var pattern = new RegExp(/^(("[\w-+\s]+")|([\w-+]+(?:\.[\w-+]+)*)|("[\w-+\s]+")([\w-+]+(?:\.[\w-+]+)*))(@((?:[\w-+]+\.)*\w[\w-+]{0,66})\.([a-z]{2,6}(?:\.[a-z]{2})?)$)|(@\[?((25[0-5]\.|2[0-4][\d]\.|1[\d]{2}\.|[\d]{1,2}\.))((25[0-5]|2[0-4][\d]|1[\d]{2}|[\d]{1,2})\.){2}(25[0-5]|2[0-4][\d]|1[\d]{2}|[\d]{1,2})\]?$)/i);
        return pattern.test(emailAddress);
    };

    $(':file').change(function(){
        var file = this.files[0];
        var name = file.name;
        var size = file.size;
        var type = file.type;
    });

    // validate the upload file
    $.fn.checkFileType = function(options) {
        var defaults = {
            allowedExtensions: [],
            success: function() {},
            error: function() {}
        };
        options = $.extend(defaults, options);

        return this.each(function() {

            $(this).on('change', function() {
                var value = $(this).val(),
                file = value.toLowerCase(),
                extension = file.substring(file.lastIndexOf('.') + 1);

                if ($.inArray(extension, options.allowedExtensions) == -1) {
                    options.error();
                    $(this).focus();
                } else {
                    options.success();
                }
            });
        });
    };
    file.checkFileType({
        allowedExtensions: ['jpg', 'jpeg', 'png', 'gif'],
        success: function() {
            $('#image-error-alert').hide();
            $('#file').css('background-color', '1px solid green');
            validation_file = true;
        },
        error: function() {
            validation_file = false;
            $('#image-error-alert').html('<div class="row"><div class="alert alert-danger fade in" role="alert"><button type="button" class="close" data-dismiss="alert"><span aria-hidden="true">×</span><span class="sr-only">Close</span></button><p>File type is not allowed</p></div>  </div>');
        }
    });


    submit_button.click(function(){
        var name = input_name.val();
        if (name.length < 4) {
            input_name.css('border-color', error_color);
            input_name.css('background-color', error_color_bg);
            input_name_error.html('name should have a minimum of 4 characters');
            validation_name = false;
        }else{
            validation_name = true;
        };

        if (!isValidEmailAddress(input_email.val())) {
            input_email.css('border-color', error_color);
            input_email.css('background-color', error_color_bg);
            input_email_error.html('enter a valid email');
            validation_mail = false;
        }else{
            validation_mail = true;

        }

        var password  = input_password1.val();
        var password2 = input_password2.val();
        if (password2 !== password) {
            input_password1.css('background-color', error_color_bg);
            input_password2.css('background-color', error_color_bg);
            input_password1_error.html('');
            input_password2_error.html('passwords do not match');
            validation_password = false;
        }else{
            if (password === "") {
                input_password1.css('border-color', error_color);
                input_password1.css('background-color', error_color_bg);
                input_password1_error.html('please enter a password');
                validation_password = false;
            }else{
                validation_password = true;
            }
        };
        if (validation_file == false) {
            $('#file').css('border', '1px solid '+error_color);
            $('#file').css('background-color', error_color_bg);
            validation_file = false;
        };

        if (validation_name == false || validation_mail == false || validation_password == false || validation_file == false) {
            validation = false;
        }else{
            validation = true;
        }

        if (validation === true) {
            submit_button.attr('type', 'submit');
        };
    });
</script>

</body>
</html>