<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Home extends MX_Controller
{

	// prevent direct access to this module
	// it is still available to views and controllers
	function _remap()
	{
		show_404();
	}

	public function __construct()
	{
		parent::__construct();
		
		$this->load->model('fetch');
	}

	public function index()
	{
		$store = $this->fetch->store();

		$data['products'] 	= $this->fetch->products(5);
		$data['banners'] 	= $this->fetch->banners();
		$data['images'] 	= $this->fetch->slides();
		$data['category'] 	= $this->fetch->categories();
		$data['latitude'] 	= $store["latitude"];
		$data['longitude'] 	= $store["longitude"];
		$data['location'] 	= $store["location"];
		$data['store'] 		= $store;
		
		$this->load->view('home_view', $data);
	}
}
