<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Delete extends MX_Controller {

	public function __construct() {
		parent::__construct();
		$this->load->model('delete_model');
		$this->load->library('session');
	}

	/*
	|--------------------------------------------------------------------------------------------------
	| delete product category
	|--------------------------------------------------------------------------------------------------
	*/
	public function category($value)
	{

		if( $this->session->userdata('isLoggedIn') == false )
		{
			die('You are not logged in');
		}
		else
		{
			if ($this->delete_model->category($value) == TRUE)
			{
				return TRUE;
			}
			else
			{
				return FALSE;
			}
		}
	}

	/*
	|--------------------------------------------------------------------------------------------------
	| delete product subCategory
	|--------------------------------------------------------------------------------------------------
	*/
	public function subCategory($value)
	{
		if( $this->session->userdata('isLoggedIn') == false )
		{
			die('You are not logged in');
		}
		else
		{
			$array 		 		 = explode("_", $value);
			$category 	 		 = $array[0];
			$subCategory 		 = $array[1];

			if ($this->delete_model->subCategory($category, $subCategory) == TRUE)
			{
				return TRUE;
			}
			else
			{
				return FALSE;
			}
		}
	}

	/*
	|--------------------------------------------------------------------------------------------------
	| delete product tpye
	|--------------------------------------------------------------------------------------------------
	*/
	public function type($value)
	{

		if( $this->session->userdata('isLoggedIn') == false )
		{
			die('You are not logged in');
		}
		else
		{
			$array 		  = explode("_", $value);
			$category 	  = $array[0];
			$subCategory  = $array[1];
			$type 		  = $array[2];

			if ($this->delete_model->type($category, $subCategory, $type) == TRUE)
			{
				return TRUE;
			}
			else
			{
				return FALSE;
			}
		}
	}

	/*
	|--------------------------------------------------------------------------------------------------
	| delete a product type attribute value
	|--------------------------------------------------------------------------------------------------
	*/
	public function attribute_value($value)
	{
		if( $this->session->userdata('isLoggedIn') == false )
		{
			die('You are not logged in');
		}
		else
		{
			$array 		  = explode("_", $value);
			$typeID 	  = $array[0];
			$attribute 	  = $array[1];
			$string 	  = $array[2];

			if($this->delete_model->attribute_value($typeID, $attribute, $string) == TRUE)
			{
				return TRUE;
			}
			else
			{
				return FALSE;
			}
		}
	}

	/*
	|--------------------------------------------------------------------------------------------------
	| delete a product type attribute
	|--------------------------------------------------------------------------------------------------
	*/
	public function mainAttribute($value)
	{
		if( $this->session->userdata('isLoggedIn') == false )
		{
			die('You are not logged in');
		}
		else
		{
			$array 		  = explode("_", $value);
			$typeID 	  = $array[0];
			$attribute 	  = $array[1];

			if($this->delete_model->mainAttribute($typeID, $attribute) == TRUE)
			{
				return TRUE;
			}
			else
			{
				return FALSE;
			}
		}
	}

	/*
	|--------------------------------------------------------------------------------------------------
	| delete product image
	|--------------------------------------------------------------------------------------------------
	*/
	public function product_image($ID)
	{
		if( $this->session->userdata('isLoggedIn') == false )
		{
			die('You are not logged in');
		}
		else
		{
			$this->delete_model->delete_product_image($ID);
		}
	}

	/*
	|--------------------------------------------------------------------------------------------------
	| delete temp product image
	|--------------------------------------------------------------------------------------------------
	*/
	public function temp_image()
	{
		$name = "./assets/images/products/temp/".$_POST['image'];
		var_dump($name);
		unlink($name);
	}

	/*
	|--------------------------------------------------------------------------------------------------
	| delete a product entry
	|--------------------------------------------------------------------------------------------------
	*/
	public function product($ID)
	{
		if( $this->session->userdata('isLoggedIn') == false )
		{
			die('You are not logged in');
		}
		else
		{
			$this->delete_model->deleteProduct($ID);
		}
	}

	/*
	|--------------------------------------------------------------------------------------------------
	| delete a product entry
	|--------------------------------------------------------------------------------------------------
	*/
	public function product_redirect($ID)
	{
		if( $this->session->userdata('isLoggedIn') == false )
		{
			die('You are not logged in');
		}
		else
		{
			$this->delete_model->deleteProduct($ID);
		}
		header("location: ".base_url()."panel/products");
	}

	/*
	|--------------------------------------------------------------------------------------------------
	| delete a task
	|--------------------------------------------------------------------------------------------------
	*/
	public function task($ID)
	{
		if( $this->session->userdata('isLoggedIn') == false )
		{
			die('You are not logged in');
		}
		else
		{
			$this->delete_model->delete_task($ID);
		}
	}
	/*
	|--------------------------------------------------------------------------------------------------
	| delete a banner
	|--------------------------------------------------------------------------------------------------
	*/
	public function banner($ID)
	{
		$this->load->model("banner_model");
		
		$this->banner_model->delete($ID);
	}
}