<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Update extends MX_Controller
{	
	public function __construct()
	{
		parent::__construct();
		$this->load->library('session');
		$this->load->model('update_model');
	}

	/*
	|--------------------------------------------------------------------------------------------------
	| Update product details
	|--------------------------------------------------------------------------------------------------
	*/
	public function product_details()
	{
		if( $this->session->userdata('isLoggedIn') == false )
		{
			die('You are not logged in');
		}
		else
		{
			$this->update_model->update_product_details();

			if (!isset($_SESSION)) {
				session_start();
			}
			$_SESSION['product_edit'] = true;
			session_write_close();
			$ID = $this->input->post("product_id");
			header("location: ".base_url()."panel/products/edit/".$ID);
		}
	}

	/*
	|--------------------------------------------------------------------------------------------------
	| Update product details
	|--------------------------------------------------------------------------------------------------
	*/
	public function product_thumbnail($ID)
	{
		if( $this->session->userdata('isLoggedIn') == false )
		{
			die('You are not logged in');
		}
		else
		{
			$this->update_model->update_product_thumbnail($ID);
		}
	}

	/*
	|--------------------------------------------------------------------------------------------------
	| Update product details
	|--------------------------------------------------------------------------------------------------
	*/
	public function product_images()
	{
		if( $this->session->userdata('isLoggedIn') == false )
		{
			die('You are not logged in');
		}
		else
		{
			$images = $this->update_model->update_product_images();

			if (is_array($images) && !empty($images))
			{
				$data["images"] = $images;

				$this->load->view("input_widgets/image_update.php", $data);
			}

		}
	}
}