<?php echo modules::run('template/serve/admin_header'); ?>

    <!-- navigation -->
    <div class="c-panel" style="margin-top:2px">
        <div class="col-md-2 nopad navigationHolder">
            <div id="navigation">
                <div class="c-panel-title">Admin panel</div>
                <div class="notif">
                    <div class="">
                        <div class="col-xs-12 col-sm-12 col-md-12 avatar">
                            <a href="<?php base_url() ?>edit"> <?php echo $avatar; ?> </a>
                        </div>
                        <div class="col-xs-12 col-sm-12 col-md-12">
                            <div class="sign-out" title="sing out">
                                <?php echo anchor(base_url().'panel/login', '<i class="icon ion-log-out"></i>'); ?>
                            </div>
                            <div class="welcome">Logged in, </div>
                            <div class="username"><?php echo $username; ?></div>
                        </div>
                        <div style="clear:both"></div>
                    </div>
                </div>
                <div class="dashboard">
                    Categories Dashboard
                    <div class="dashboard-menu">
                        <ul>
                            <li>
                                <a href="<?php echo base_url() ?>panel/products">
                                    <i class="fa fa-shopping-cart"></i> &nbsp PRODUCTS
                                </a>
                            </li>
                            <li>
                                <a href="<?php echo base_url() ?>panel/products/add">
                                    <i class="fa fa-plus"></i> &nbsp PRODUCTS
                                </a>
                            </li>
                            <li>
                                <a href="<?php echo base_url() ?>panel/products/banners">
                                    <i class="fa fa-image"></i> &nbsp BANNERS
                                </a>
                            </li>
                        </ul>
                    </div>
                </div>
            </div>
        </div>
    <div>
    <!-- end of navigation -->

    <!-- cotent -->
    <div class="col-md-10" id="cotent">
        <div class="row">
            <!-- quick navigation icons with time -->
            <div class="col-md-12 nopad" style="height:49px">
                <div id="head">
                    <div class="col-xs-6 col-sm-7 col-md-7 nopad" id="topnavicons">
                        <div class="head-nav">
                            <i class="fa fa-bars" id="fullscreen" data-toggle="tooltip" data-placement="top" title="menu"></i>
                        </div>

                        <div class="head-nav">
                            <a href="<?php echo base_url(); ?>panel">
                                <i class="fa fa-home" title="home"></i>
                            </a>
                        </div>

                        <div class="head-nav">
                            <a href="<?php echo base_url() ?>panel/products">
                                <i class="fa fa-shopping-cart" title="products"></i>
                            </a>
                        </div>

                        <div style="clear:both"></div>
                    </div>
                    <div class="col-xs-6 col-sm-5 col-md-5 nopad" id="timeanddate">
                        <div class="head-nav-right" id="time">
                            <div id="clock"></div>
                        </div>  
                        <div class="head-nav-right">
                            <div class="day"></div>
                            <div class="date">
                            </div>
                            <div style="clear:both"></div>
                        </div>
                    </div>
                </div>
            </div>

            <!-- progress bar -->
            <div class="col-md-12">
                <div id="pdt-dis-progress">
                    <div id="pdt-dis-progress-bar">
                    </div>
                </div>
            </div>

            <!-- Page title -->
            <div class="col-md-12">
                <div class="col-md-12">
                    <div class="cotent-title">
                        <span class="pdt-title-top">
                            <i class="fa fa-th"></i> &nbsp CATEGORIES
                        </span>
                    </div>
                </div>
            </div>

            <div class="col-md-12">
                <div class="col-md-12">
                    <div class="col-md-12">
                        <h4>Add or remove product categories, sub-categories and types &nbsp
                        <i class="fa fa-info-circle text-primary" data-toggle="modal" data-target="#categories-help"></i> </h4>
                    </div>
                </div>
            </div>

            <!-- Display add_product progress  -->
            <div class="col-md-12">
                <div class="col-md-12">
                    <div class="col-md-12" >
                        <div id="addProgress-cat"><b>CATEGORY:</b></div>
                        <div id="addProgress"></div>
                    </div>
                </div>
            </div>

        </div>

        <!-- Categories display section -->
        <div class="row">
            <div class="col-md-12" id="areaDLHolder">
                <br>
                <div id="widgetTitle" style="text-align:center"></div>
                <div id="areaDL">
                    <?php echo modules::run('inventory/get/category'); ?>
                </div>
            </div>
        </div>
    </div>


    <!-- categories help -->
    <div class="modal fade" id="categories-help" tabindex="-1" role="dialog" aria-labelledby="add-size-help" aria-hidden="true">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal">
                        <span aria-hidden="true">&times;</span><span class="sr-only">Close</span>
                    </button>
                    <h4 class="modal-title" id="myModalLabel">
                        <i class="fa fa-info-circle"></i> &nbsp
                        Managing categories
                    </h4>
                </div>
                <div class="modal-body">
                    Categories mainly differentiate your items. They are also used in search, filtering and sorting.
                    <br><br>
                    3 classes are used to categorize an item:
                    <br><br>
                    category &nbsp
                    <i class="fa fa-chevron-right"></i>
                    sub-category &nbsp
                    <i class="fa fa-chevron-right"></i>
                    type &nbsp
                    <br>
                    <span class="text-primary">an example:</span>
                    <br>
                    <span class="text-primary">
                    men &nbsp
                    <i class="fa fa-chevron-right"></i>
                    bottoms &nbsp
                    <i class="fa fa-chevron-right"></i>
                    shorts &nbsp
                    </span>
                    <br><br>
                    At any class, you can delete or add categories. Click a cateogry tile to continue to the next class.
                </div>
                <div class="modal-footer"></div>
            </div>
        </div>
    </div>
<?php echo modules::run('template/serve/admin_footer'); ?>