<?php
/*
|--------------------------------------------------------------------------
| categories widget: Edit product categories
|--------------------------------------------------------------------------
*/
?>

<?php if (!isset($fragment)): ?>
<div class="">
    <div class="col-sm-12 col-md-12 col-lg-12 animated fadeIn">	

        <div id="form">
        	<h2>Click a category to continue to sub-categories</h2>
        	<br>
			<div class="col-md-12" id="cat-DL">
				<?php endif; ?>

	            <?php foreach ($categories as $key => $value): ?>
	            	<div class="col-xs-12 col-sm-4 col-md-3 catHolder">
			            <i class="fa fa-close deleteCatBtn" data-value="<?php echo $value->category; ?>"></i>
						<div class="overview big catbtns" data-value="<?php echo $value->category; ?>">
							<div class="catbtnsVal">
								<?php echo $value->category; ?>
								<i class="fa indicator"></i>
							</div>
						</div>
					</div>
	            <?php endforeach; ?>

	            <?php if (!isset($fragment)): ?>
				<div id="add-cat-new-holder"></div>
				<div class="col-xs-12 col-sm-4 col-md-3" id="add-cat-new-spinner" style="display:none">
					<div class="overview big">
						<i class="fa fa-spinner"></i>
					</div>
				</div>
				<div class="col-xs-12 col-sm-4 col-md-3 animated fadeIn" id="add-form" style="display:none">
					<div class="overview big">
		            	<i class="fa fa-close" id="catformclose"></i>
			            <form role="form">
							<div class="form-group">
							    <input type="text" class="form-control" id="add-form-text" placeholder="New category">
							</div>
						</form>
					</div>
		            <br><br>
	            </div>
	            <div class="col-xs-12 col-sm-4 col-md-3">
					<div class="overview big" style="background:#5cb85c;color:#FFF" id="addCategory">
		            	<i class="fa fa-plus"></i>
					</div>
		            <br><br>
	            </div>
	            <br><br>
			</div>
        </div>
    </div>
</div>
<?php endif; ?>

<script>
	$('#pdt-dis-progress-bar').css('width', "0%");

	// delete category tiles
	$('.deleteCatBtn').click(function(){
		var button  = $(this);
		var value 	= $(this).attr('data-value');
		button.find('.indicator').hide();

		$.ajax({
	        url: "<?php echo base_url(); ?>inventory/delete/category/"+value,
	        cache: true,
	        beforeSend: function(){
				$(this).prop('disabled', true);
                button.removeClass('fa-close');
                button.removeClass('deleteCatBtn');
                button.addClass('fa-spinner');
	        },
	        success: function(html){
		        button.parent('.catHolder').hide('slow');
	        },
	        complete: function(){
				$(this).prop('disabled', false);
	        },
            error: function(){
                button.removeClass('fa-spinner');
                button.addClass('fa-warning');
                setTimeout(function(){
                    button.removeClass('fa-warning');
                    button.addClass('fa-close');
	                button.addClass('deleteCatBtn');
                } , 1000);
                button.find('.indicator').show();
            }
	    });
	});
	// get sub_categories of a category
	$('.catbtns').click(function(){
		var value 	= $(this).attr('data-value');
        var button 	= $(this);

		$.ajax({
	        url: "<?php echo base_url(); ?>inventory/get/sub_category/"+value,
	        cache: true,
	        beforeSend: function(){
	        	button.find('.indicator').addClass('fa-spinner');
	        },
	        success: function(html){
	            $("#addProgress").html('<span id="category">'+value+'</span>');
	            $("#areaDL").html(html);
	        },
	        error: function(){
                button.find('.indicator').removeClass('fa-spinner');
                button.find('.indicator').addClass('fa-warning');
                button.find('.indicator').css('color', '#d43f3a');
                setTimeout(function(){
                	button.find('.indicator').removeClass('fa-warning');
                }, 1000);
	        }
	    });
	});

	<?php if (!isset($fragment)): ?>
		// add category form
	    $('#addProgress').html('');
		$('#addCategory').click(function(){
			$('#add-form').show();
		});
		$('#catformclose').click(function(){
			$('#add-form').hide();
		});
		$('#add-form-text').keypress(function (e) {
			if (e.which == 13)
			{
				var value = $(this).val();
				if (value !== '') {
					$.ajax({
				        url: "<?php echo base_url(); ?>inventory/add/category/"+value,
				        cache: true,
				        beforeSend: function(){
							$(this).prop('disabled', true);
				            $("#add-cat-new-spinner").show();
				        },
				        success: function(html){
				            $("#add-cat-new-spinner").hide();
				            $("#add-cat-new-holder").append(html);
				        },
				        error: function(){
				        	$("#add-cat-new-spinner").children('.overview').html('<i class="fa fa-warning" style="color:#d43f3a"></i>');
				        	setTimeout(function(){
					        	$("#add-cat-new-spinner").hide();
		                } , 1000);
				        },
				        complete: function(){
							$(this).prop('disabled', false);
				        }
				    });
				};

				$(this).val('');
				$('#add-form').hide();

				return false;
			}
		});
	<?php endif; ?>

</script>
