<?php
/*
|--------------------------------------------------------------------------
| types widget: Edit product types
|--------------------------------------------------------------------------
*/
?>

<?php if (!isset($fragment)): ?>
<div class="">
    <div class="col-sm-12 col-md-12 col-lg-12 animated fadeIn">	

        <div id="form">
        	<h2>Click a Type to edit its attributes</h2>
			<div class="col-md-12">
				<div class="col-md-12 add-nav-icon">
					<div class="button" id="backastep">
	            		<i class="fa fa-chevron-left"></i>
					</div>
            		<a href="<?php echo base_url(); ?>panel/products">
            			<div class="button">
		            		<i class="fa fa-close"></i>
            			</div>
            		</a>
            		<div style="clear:both"></div>
            	</div>
        	</div>
			<div class="col-md-12">
				<?php endif; ?>

				<?php if (is_array($types)): ?>
		            <?php foreach ($types as $key => $value): ?>
		            	<div class="col-xs-12 col-sm-4 col-md-3 catHolder">
				            <i class="fa fa-close deleteCatBtn" id="add-form-close" data-value="<?php echo $value->type; ?>"></i>
							<div class="overview big typecatbtns" data-value="<?php echo $value->type; ?>">
								<div class="">
									<?php echo $value->type; ?>
									<i class="fa indicator"></i>
								</div>
							</div>
						</div>
		            <?php endforeach; ?>
		        <?php else: ?>
		        	<div class="col-xs-12 col-sm-4 col-md-3 catHolder">
			            <i class="fa fa-close deleteCatBtn" id="add-form-close" data-value="<?php echo $types; ?>"></i>
						<div class="overview big typecatbtns" data-value="<?php echo $types; ?>">
							<div class="">
								<?php echo $types; ?>
								<i class="fa indicator"></i>
							</div>
						</div>
					</div>
		        <?php endif; ?>
				
				<?php if (!isset($fragment)): ?>

	            <div id="add-sub-cat-new-holder"></div>
				
				<div class="col-xs-12 col-sm-4 col-md-3" id="add-cat-new-spinner" style="display:none">
					<div class="overview big">
						<i class="fa fa-spinner"></i>
					</div>
				</div>

				<div class="col-xs-12 col-sm-4 col-md-3 animated fadeIn" id="add-form" style="display:none">
					<div class="overview big">
		            	<i class="fa fa-close" id="typeformclose"></i>
			            <form role="form">
							<div class="form-group">
							    <input type="text" class="form-control" id="add-form-text" placeholder="New Type">
							</div>
						</form>
					</div>
		            <br><br>
	            </div>
	            
	            <div class="col-xs-12 col-sm-4 col-md-3">
					<div class="overview big" style="background:#5cb85c;color:#FFF">
		            	<i class="fa fa-plus" id="addType"></i>
					</div>
		            <br><br>
	            </div>
	            <br><br>
			</div>
        </div>
    </div>
</div>
<?php endif; ?>


<script>
	$('#pdt-dis-progress-bar').css('width', "0%");
	
	// delete category tiles
	$('.deleteCatBtn').click(function(){
        var button = $(this);
        var categ = $('#addProgress').find('#category').html();
        var subca = $('#addProgress').find('#sub-category').html();
		var value = $(this).attr('data-value');
		$.ajax({
	        url: "<?php echo base_url(); ?>inventory/delete/type/"+categ+"_"+subca+"_"+value,
	        cache: true,
	        beforeSend: function(){
				$(this).prop('disabled', true);
				button.removeClass('fa-close');
                button.removeClass('deleteCatBtn');
                button.addClass('fa-spinner');
	        },
	        success: function(html){
		        button.parent('.catHolder').hide('slow');
	        },
	        complete: function(){
				$(this).prop('disabled', false);
	        },
            error: function(){
                button.removeClass('fa-spinner');
                button.addClass('fa-warning');
                setTimeout(function(){
                    button.removeClass('fa-warning');
                    button.addClass('fa-close');
	                button.addClass('deleteCatBtn');
                } , 1000);
            }
	    });
	});
	
		// get attributes of type
	$('.typecatbtns').click(function(){
        
        var button = $(this);
        var type   = $(this).attr('data-value');
		
		var categ = $.trim($('#addProgress').find('#category').html());
        var subca = $.trim($('#addProgress').find('#sub-category').html());

    	$.ajax({
	        url: "<?php echo base_url(); ?>inventory/get/attr/"+categ+"_"+subca+"_"+type,
	        cache: true,
	        beforeSend: function(){
	        	button.find('.indicator').addClass('fa-spinner');
	        },
	        success: function(html){
	            $("#areaDL").html(html);
		        $("#addProgress").html('<span id="category">'+categ+'</span><span id="sub-category">'+subca+'</span><span id="type">'+type+'</span>');
	        },
	        error: function(){
                button.find('.indicator').removeClass('fa-spinner');
                button.find('.indicator').addClass('fa-warning');
                button.find('.indicator').css('color', '#d43f3a');
                setTimeout(function(){
                	button.find('.indicator').removeClass('fa-warning');
                }, 1000);
	        }
	    });
	});

</script>

<?php if (!isset($fragment)): ?>
	<script>
		// back button
		var category =  $('#addProgress').find('#category').html();
	    
	    $('#backastep').click(function(){
	    	var button = $(this);
	    	$.ajax({
		        url: "<?php echo base_url(); ?>inventory/get/sub_category/"+category,
		        cache: true,
		        beforeSend: function(){
		        	button.children('.fa').removeClass('fa-chevron-left');
		        	button.children('.fa').addClass('fa-spinner');
		        },
		        success: function(html){
		        	$('#addProgress').html('<span> <i id="category">'+category+'</i> </span>');
		            $("#areaDL").html(html);
		        },
		        error: function(){
		        	button.children('.fa').removeClass('fa-spinner');
		        	button.children('.fa').addClass('fa-warning');
		        	setTimeout(function(){
			        	button.children('.fa').removeClass('fa-warning');
			        	button.children('.fa').addClass('fa-chevron-left');
		        	}, 1000);
	            }
		    });
	    });

		// add type form
		$('#addType').click(function(){
			$('#add-form').show();
		});
		$('#typeformclose').click(function(){
			$('#add-form').hide();
		});
		$('#add-form-text').keypress(function (e) {
			if (e.which == 13)
			{
				var value    = $(this).val();
				var categ 	 = $('#addProgress').find('#category').html();
				var subcateg = $('#addProgress').find('#sub-category').html();
	            $.ajax({
			        url: "<?php echo base_url(); ?>inventory/add/type/"+categ+"_"+subcateg+"_"+value,
			        cache: true,
			        beforeSend: function(){
						$(this).prop('disabled', true);
						$("#add-cat-new-spinner").show();
			        },
			        success: function(html){
			        	$("#add-cat-new-spinner").hide();
			            $("#add-sub-cat-new-holder").append(html);
			        },
			        error: function(){
			        	$("#add-cat-new-spinner").children('.overview').html('<i class="fa fa-warning" style="color:#d43f3a"></i>');
			        	setTimeout(function(){
				        	$("#add-cat-new-spinner").hide();
	                } , 1000);
			        },
			        complete: function(){
						$(this).prop('disabled', false);
			        }
			    });

				$(this).val('');
				$('#add-form').hide();

				return false;
			}
		});
	</script>
<?php endif; ?>