<?php echo modules::run('template/serve/admin_header'); ?>
    
    <!-- c-panel -->
    <div class="c-panel">
        <!-- navigation -->
        <div class="col-md-2 nopad navigationHolder">
            <div id="navigation">
                <div class="c-panel-title">Admin panel</div>
                <div class="notif">
                    <div class="">
                        <div class="col-xs-12 col-sm-12 col-md-12 avatar">
                            <a href="<?php base_url() ?>edit"> <?php echo $avatar; ?> </a>
                        </div>
                        <div class="col-xs-12 col-sm-12 col-md-12">
                            <div class="sign-out" title="sing out">
                                <?php echo anchor(base_url().'panel/login', '<i class="fa fa-sign-out"></i>'); ?>
                            </div>
                            <div class="welcome">Logged in, </div>
                            <div class="username"><?php echo $username; ?></div>
                        </div>
                        <div style="clear:both"></div>
                    </div>
                </div>
                <div class="dashboard">
                    Product Dashboard
                    <div class="dashboard-menu">
                        <ul>
                            <li>
                                <a href="<?php echo base_url() ?>panel/products">
                                    <i class="fa fa-shopping-cart"></i> &nbsp VIEW PRODUCT
                                </a>
                            </li>
                            <li>
                                <a href="<?php echo base_url() ?>panel/products/add">
                                    <i class="fa fa-plus"></i> &nbsp ADD PRODUCT
                                </a>
                            </li>
                            <li>
                                <a href="<?php echo base_url() ?>panel/products/categories">
                                    <i class="fa fa-th"></i> &nbsp CATEGORIES
                                </a>
                            </li>
                            <li>
                                <a href="<?php echo base_url() ?>panel/products/banners">
                                    <i class="fa fa-image"></i> &nbsp VIEW BANNERS
                                </a>
                            </li>
                        </ul>
                    </div>
                </div>
            </div>
        </div>
        <!-- end of navigation -->

        <!-- cotent -->
        <div id="typeID" style="display:none"><?php echo $typeID; ?></div>
        <div class="col-md-10" id="cotent" style="margin-bottom:50px">
            <div class="row">
                <!-- quick navigation icons with time -->
                <div class="col-md-12 nopad" style="height:49px">
                    <div id="head">
                        <div class="col-xs-6 col-sm-7 col-md-7 nopad" id="topnavicons">
                            <div class="head-nav">
                                <i class="fa fa-bars" id="fullscreen" title="menu"></i>
                            </div>

                            <div class="head-nav">
                                <a href="<?php echo base_url(); ?>panel.html">
                                    <i class="fa fa-home" title="home"></i>
                                </a>
                            </div>

                            <div class="head-nav">
                                <a href="<?php echo base_url() ?>panel/products.html">
                                    <i class="fa fa-shopping-cart" title="products"></i>
                                </a>
                            </div>

                            <div class="head-nav">
                                <a href="<?php echo base_url() ?>panel/products/add.html">
                                    <i class="fa fa-plus add-new-pdt-btn" title="add item"></i>
                                </a>
                            </div>

                            <div style="clear:both"></div>
                        </div>
                        <div class="col-xs-6 col-sm-5 col-md-5 nopad" id="timeanddate">
                            <div class="head-nav-right" id="time">
                                <div id="clock"></div>
                            </div>  
                            <div class="head-nav-right">
                                <div class="day"></div>
                                <div class="date">
                                </div>
                                <div style="clear:both"></div>
                            </div>
                        </div>
                    </div>
                </div>

                <!-- progress bar -->
                <div class="col-md-12">
                    <div id="pdt-dis-progress" style="background:#2DB1C3;">
                        <div id="pdt-dis-progress-bar">
                        </div>
                    </div>
                </div>

                <!-- Page title -->
                <div class="col-md-12">
                    <div class="col-md-12">
                        <div class="cotent-title">
                            <span class="pdt-title-top">
                                <i class="fa fa-edit"></i> &nbsp EDIT PRODUCT
                            </span>
                        </div>
                    </div>
                </div>
            </div>

            <!-- Product edit section -->
            <div class="row">
                <div class="col-md-12 animated fadeIn">
                    <div class="edit-image-header">
                        <hr>
                        <img src="<?php echo base_url().$product['thumb']; ?>" alt="" class="img-circle">
                    </div>
                    
                    <?php if (!isset($_SESSION)){session_start();} ?>
                    <?php if (isset($_SESSION['product_edit'])): ?>
                        <div class="alert-message"  style="height:100px;overflow:hidden">
                            <div class="col-xs-12 alert-message">
                                <div class="alert alert-success alert-dismissible" role="alert">
                                    <button type="button" class="close" data-dismiss="alert">
                                        <span aria-hidden="true">&times;</span><span class="sr-only">Close</span>
                                    </button>
                                    Changes have been saved
                                </div>
                            </div>
                        </div>
                    <?php endif; ?>
                    
                    <?php if (!isset($_SESSION)){session_start();} ?>
                    <?php if (isset($_SESSION['product_edit_images'])): ?>
                        <div class="alert-message"  style="height:100px;overflow:hidden">
                            <div class="col-xs-12 alert-message">
                                <div class="alert alert-success alert-dismissible" role="alert">
                                    <button type="button" class="close" data-dismiss="alert">
                                        <span aria-hidden="true">&times;</span><span class="sr-only">Close</span>
                                    </button>
                                    new images added
                                </div>
                            </div>
                        </div>
                    <?php endif; session_destroy(); ?>
                </div>
                
                <?php echo form_open("inventory/delete/product_redirect/".$product['ID']);?>
                    <div class="col-xs-12">
                        <div class="col-xs-12 text-right">
                            <button type="submit" class="btn btn-danger">
                                <i class="fa fa-close" title="delete"></i>&nbsp
                                delete item
                            </button>
                            <br><br>
                        </div>
                    </div>
                </form>
                <?php echo form_open('inventory/update/product_details');?>
                    <div class="col-md-7">
                        <div id="window">
                            <input type="hidden" value="<?php echo $product['ID'] ?>" style="display:none" name="product_id" />
                            <div class="col-xs-12 col-sm-6 col-md-6">
                                <div class="form-group">
                                    <label style="" for="name">name</label>
                                    <input type="text" class="form-control" id="inputName" name="name" value="<?php echo $product['name'] ?>"/>
                                </div>
                            </div>
                            <div class="col-xs-12 col-sm-6 col-md-6">
                                <div class="form-group">
                                    <label style="" for="price">price</label>
                                    <input type="text" class="form-control" id="inputPrice" name="price" value="<?php echo $product['price'] ?>" />
                                </div>
                            </div>
                            <div class="col-xs-12">
                                <div class="form-group">
                                    <label style="" for="price">description</label>
                                    <textarea class="form-control text-left" name="description" rows="5"><?php echo $product['describe'] ?></textarea>
                                </div>
                            </div>
                            <div class="col-xs-12 col-sm-6 col-md-4">
                                <div class="form-group">
                                    <label style="" for="category">category</label>
                                    <select class="form-control" id="inputCategory" name="category">
                                            <option value="<?php echo $product['category'] ?>" style="display:none"><?php echo $product['category'] ?></option>
                                        <?php foreach ($categories as $key => $value): ?>
                                            <option value="<?php echo $value->category ?>"><?php echo $value->category ?></option>
                                        <?php endforeach ?>
                                    </select>
                                </div>
                            </div>
                            <div class="col-xs-12 col-sm-6 col-md-4">
                                <div class="form-group">
                                    <label style="" for="sub-category">sub-category</label>
                                    <div id="sub-category-holder">
                                        <select class="form-control" id="inputSubCategory" placeholder="" name="sub_category">
                                                <option value="<?php echo $product['sub_category'] ?>" style="display:none"><?php echo $product['sub_category'] ?></option>
                                            <?php foreach ($sub_categories as $key => $value): ?>
                                                <option value="<?php echo $value->sub_category ?>"><?php echo $value->sub_category ?></option>
                                            <?php endforeach ?>
                                        </select>
                                    </div>
                                </div>
                            </div>
                            <div class="col-xs-12 col-sm-6 col-md-4">
                                <div class="form-group">
                                    <label style="" for="type">type</label>
                                    <div id="type-holder">
                                        <select class="form-control" id="inputType" placeholder="" name="type">
                                                <option value="<?php echo $product['type'] ?>" style="display:none"><?php echo $product['type'] ?></option>
                                            <?php foreach ($types as $key => $value): ?>
                                                <option value="<?php echo $value->type ?>"><?php echo $value->type ?></option>
                                            <?php endforeach ?>
                                        </select>
                                    </div>
                                </div>
                            </div>

                            <div class="col-xs-12">
                                <h4>
                                    <a href="<?php echo base_url() ?>panel/products/categories">
                                        go to edit categories
                                    </a>
                                </h4>
                                <br><br>
                            </div>

                            <div class="col-xs-12 col-sm-12 col-md-12">
                                <div class="form-group">
                                    <label>Quantity is based on size and color &nbsp
                                    <i class="fa fa-info-circle" style="color:#428bca" data-toggle="modal" data-target="#add-size-help"></i>
                                </label>
                                </div>
                            </div>
                            <div class="col-xs-12">
                                <?php foreach ($product["quantity"] as $key => $value): ?>
                                    <div class="row quantity-form">
                                        <div class="col-xs-10">
                                            <div class="row">
                                                <div class="col-xs-12 col-sm-6 col-md-4">
                                                    <div class="form-group">
                                                        <input type="text" class="form-control" placeholder="" name="size[]" value="<?php echo $value->product_size; ?>" />
                                                    </div>
                                                </div>
                                                <div class="col-xs-12 col-sm-6 col-md-4">
                                                    <div class="form-group">
                                                        <input type="text" class="form-control" placeholder="" name="color[]" value="<?php echo $value->product_color; ?>" />
                                                    </div>
                                                </div>
                                                <div class="col-xs-12 col-sm-6 col-md-4">
                                                    <div class="form-group">
                                                        <input type="text" class="form-control" placeholder="" name="quantity[]" value="<?php echo $value->quantity; ?>" />
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="col-xs-1">
                                            <button type="button" class="btn btn-sm btn-danger delete-quantity">
                                                <i class="fa fa-close"></i>
                                            </button>
                                        </div>
                                    </div>
                                <?php endforeach ?>
                                
                                <div id="add-quantity-display"></div>

                                <div class="row">
                                    <div class="col-xs-12">
                                        <button type="button" class="btn btn-success" id="add-quantity"> <i class="fa fa-plus"></i> add quantity </button>
                                    </div>
                                </div>

                                <div class="row">
                                    <div class="col-xs-12">
                                        <hr>
                                    </div>
                                </div>
                                
                            </div>

                            <div class="col-xs-12">
                                <div class="row">
                                    <div class="col-md-12">
                                        <br>
                                        <h4>Edit attributes</h4>
                                        <br>
                                        <div class="row">
                                            <?php foreach ($attributes as $key => $value) { ?>
                                                <div class="col-xs-12 col-sm-6 col-md-4">
                                                    <div class="form-group">
                                                        <label><?php echo $value['attribute_title'] ?></label>
                                                        <select class="form-control" class="inputAttribute" placeholder="" name="attributes[]">
                                                            <?php if ( count($value) == 1 ): ?>
                                                                <option value="">not set</option>
                                                            <?php endif ?>
                                                            <?php for ($i=0; $i < count($value)-1; $i++): ?>
                                                                <?php $field = str_replace(" ", "_", $value['attribute_title']); ?>
                                                                <?php $field = str_replace("-", "_", $field); ?>
                                                                <?php if (isset($product["description"][$field])): ?>
                                                                <option value="<?php echo $value['attribute_title']."_".$product["description"][$field]; ?>" style="display:none">
                                                                    <?php echo $product["description"][$field]; ?>
                                                                </option>
                                                                <?php else: ?>
                                                                <option style="display:none">
                                                                </option>
                                                                <?php endif; ?>
                                                                <option value="<?php echo $value['attribute_title']."_".$value[$i]['attribute_value']; ?>">
                                                                    <?php echo $value[$i]['attribute_value']; ?>
                                                                </option>
                                                            <?php endfor; ?>
                                                        </select>
                                                    </div>
                                                </div>
                                            <?php } ?>
                                        </div>
                                    </div>    
                                </div>
                            </div>

                            <div class="col-xs-12">
                                <h4>
                                    <a href="<?php echo base_url() ?>panel/products/categories">
                                        go to categories
                                    </a>
                                    to edit attributes
                                </h4>
                                <br><br>
                            </div>

                        </div>
                    </div>
                    <div class="col-md-5">
                        <div id="images-form" class="clearfix">
                            <div class="col-xs-12" style="position:relative;z-index:10;">
                                <h4>Edit images &nbsp <i class="fa fa-info-circle clearfix" data-toggle="modal" data-target="#edit-image-help" style="color:#398BD2"></i> </h4>
                                <br>
                            </div>
                            <?php foreach ($product["images"] as $key => $image) { ?>
                                <div class="col-sm-4 col-md-6 col-lg-4">
                                    <div class="overview widget" style="margin-top:0;height:auto;border-bottom-color:#888">
                                        <div class="titles">
                                            <?php if ($image->image_url == $thumbnail){ ?>
                                                <i class="fa fa-image icon-label make-thumb-nail" style="color: #6ADA6A" title="thumbnail"></i>
                                                <i class="fa fa-close delete-image" style="color:#FF534D;display:none"></i>
                                            <?php }else{ ?>
                                                <i class="fa fa-close delete-image" style="color:#FF534D"></i>
                                                <i class="fa fa-image icon-label make-thumb-nail" style="color: #DDD" title="use as thumbnail"></i>
                                            <?php } ?>
                                            &nbsp
                                            <span class="image-number" style="display:none;"><?php echo $image->product_image_id; ?></span>
                                        </div>
                                        <img src="<?php echo base_url().$image->image_url ?>" style="width:100%;padding:5px;">
                                    </div>
                                </div>
                            <?php } ?>
                            <div id="image-upload-display"></div>
                            
                            <div class="col-md-12">
                                <br>
                                <br>
                                <div id="image-error-alert" style="background: #f2dede;padding: 0px;color:#a94442;"></div>
                                <div class="image-upload-title">
                                    &nbsp Drag and drop images
                                    &nbsp <i class="fa image-progress"></i>
                                </div>
                                <div class="file_btn">
                                    <input type="file" name="files[]" multiple id="file"/>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="col-xs-12 text-center">
                        <div style="clear:both"></div>
                        <br> <br><br> <br>
                        <button type="submit" class="btn btn-primary btn-lg" id="save-btn">
                            <i class="fa fa-save" id="save-form"></i>&nbsp
                            save changes
                        </button>
                    </div>
                </form>
            </div>
        </div>
    </div>

    <!-- adding sizes help Modal -->
    <div class="modal fade" id="add-size-help" tabindex="-1" role="dialog" aria-labelledby="add-size-help" aria-hidden="true">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal">
                        <span aria-hidden="true">&times;</span><span class="sr-only">Close</span>
                    </button>
                    <h4 class="modal-title" id="myModalLabel">
                        <i class="fa fa-info-circle"></i> &nbsp
                        Adding quantity
                    </h4>
                </div>
                <div class="modal-body">
                    Enter the product's size, an available color of this size and the quantity.
                    <br><br>
                    For example,<br>
                    <div class="row">
                        <div class="col-xs-4 col-sm-4 col-md-4">
                            <div class="form-group">
                                <label style="" for="">Size</label>
                                <input type="text" value="small" class="form-control" />
                            </div>
                        </div>
                        <div class="col-xs-4 col-sm-4 col-md-4">
                            <div class="form-group">
                                <label style="" for="">Color</label>
                                <input type="text" value="blue" class="form-control" />
                            </div>
                        </div>
                        <div class="col-xs-4 col-sm-4 col-md-4">
                            <div class="form-group">
                                <label style="" for="">Quantity</label>
                                <input type="text" value="10" class="form-control" />
                            </div>
                        </div>
                    </div>
                    <div style="clear:both"></div>
                    <br>
                    This indicates that you have 10 small sized blue items. <br><br>
                    Click <button type="button" class="btn btn-success" disabled="disabled"> <i class="fa fa-plus"></i> add quantity </button> to add more quantities. You should do this for every size and color.
                </div>
                <div class="modal-footer"></div>
            </div>
        </div>
    </div>

    <!-- edditing images help Modal -->
    <div class="modal fade" id="edit-image-help" tabindex="-1" role="dialog" aria-labelledby="edit-image-help" aria-hidden="true">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal">
                        <span aria-hidden="true">&times;</span><span class="sr-only">Close</span>
                    </button>
                    <h4 class="modal-title" id="myModalLabel">Editing images</h4>
                </div>
                <div class="modal-body">
                    <i class="fa fa-image icon-label" style="color: #4cae4c" title="thumbnail"></i>
                    &nbsp
                    icon indicates that the image is also used as a thumbnail. A thumbnail will always be displayed in product tiles, search queries and other places.
                    <br><br>
                    <i class="fa fa-image icon-label" style="color: #DDD" title="make thumbnail"></i>
                    &nbsp
                    icon indicates that the image is not a thumbnail. To make an image a thumbnail, click this icon that appears on top of that image.
                    <br><br>
                    <i class="fa fa-close icon-label" style="color: #d43f3a" title="delete"></i>
                    &nbsp
                    Click this icon to delete the image where the icon appears, Note that  a thumbnail image can not be deleted. This is because a product must have atleast one image
                    <br><br>
                    Use the drag and drop field to add new images
                    <br>
                    <ul>
                        <li>
                            Navigate to images on your local disk. To selete multiple images; click your prefered images while you press <code>ctrl</code>.
                            Drag the selected images and drop them in the target field
                        </li>
                        <li>
                            You can also click the target field to open your local directory/ folder.
                        </li>
                    </ul>
                </div>
                <div class="modal-footer"></div>
            </div>
        </div>
    </div>

<?php echo modules::run('template/serve/admin_footer'); ?>

<script>
    fullscreen(false);
    $('[data-toggle="tooltip"]').tooltip({'placement': 'right'});
    $('[data-toggle="popover"]').popover({trigger: 'hover','placement': 'top'});
</script>
<!-- Get sub-categories based on a given category -->
<script>
    $( "#inputCategory").change(function(){
        var value = $.trim($("#inputCategory option:selected").text());
        $.ajax({
            url: "<?php echo base_url(); ?>inventory/get_input/sub_categories/"+value,
            cache: true,
            beforeSend: function(){
                $("#sub-category-holder").html('<input type="text" class="form-control" placeholder="Select a category first" disabled="disabled" id="inputSubCategory" />');
                $("#type-holder").html('<input type="text" class="form-control" placeholder="Select a sub_category first" disabled="disabled" id="inputType" />');
            },
            success: function(html){
                $("#sub-category-holder").html(html);
            },
            complete: function(){}
        });
    });
</script>
<!-- Get types based on a given sub-category -->
<script>
    $( "#inputSubCategory").change(function(){
        var value = $.trim($("#inputSubCategory option:selected").text());
        
        $.ajax({
            url: "<?php echo base_url(); ?>inventory/get/type/"+value,
            cache: true,
            beforeSend: function(){
                $("#type-holder").html('');
            },
            success: function(html){
                $("#type-holder").html(html);
            },
            complete: function(){
            }
        });
    });
</script>

<!-- Delete or Add quantity -->
<script>
    $(".delete-quantity").click(function(){
        $(this).parent('div').parent('.quantity-form').hide();
        $(this).parent('div').parent('.quantity-form').html("");
    });
    $("#add-quantity").click(function() {
        $.ajax({
            url: '<?php echo base_url(); ?>inventory/add/fragment_quantity',
            beforeSend: function(){
                $('#file').attr('disabled', 'disabled');
            },
            error: function(){},
            success: function(html) {
                $("#add-quantity-display").append(html);
            }
        });
    });
</script>


<!-- image upload -->
<script>
var file = $("#file");
var validation_file = false;
$(':file').change(function(){
    var file = this.files[0];
    var name = file.name;
    var size = file.size;
    var type = file.type;
});
function progressHandlingFunction(e){
    if(e.lengthComputable){
            // $('progress').attr({value:e.loaded,max:e.total});
            $('.progress-bar').css('width', (e.loaded / e.total)*100+"%");
            $('.progress-bar').html((e.loaded / e.total)*100 + "%");
        }
    }
    // validate the upload file
    $.fn.checkFileType = function(options) {
        var defaults = {
            allowedExtensions: [],
            success: function() {},
            error: function() {}
        };
        options = $.extend(defaults, options);

        return this.each(function() {

            $(this).on('change', function() {
                var value = $(this).val(),
                file = value.toLowerCase(),
                extension = file.substring(file.lastIndexOf('.') + 1);

                if ($.inArray(extension, options.allowedExtensions) == -1) {
                    options.error();
                    $(this).focus();
                } else {
                    options.success();
                }
            });
        });
    };
    file.checkFileType({
        allowedExtensions: ['jpg', 'jpeg', 'png', 'gif'],
        success: function() {
            $('#image-error-alert').html('');
            $('#file').css('background-color', '1px solid green');
            validation_file = true;
            var formData = new FormData($('form')[0]);
            $.ajax({
                url: '<?php echo base_url(); ?>inventory/update/product_images',
                type: 'POST',
                data: {product_id: "<?php echo $product['ID'] ?>"},
                xhr: function() {  // Custom XMLHttpRequest
                    var myXhr = $.ajaxSettings.xhr();
                    if(myXhr.upload){ // Check if upload property exists
                        myXhr.upload.addEventListener('progress',progressHandlingFunction, false); // For handling the progress of the upload
                    }
                    return myXhr;
                },
                beforeSend: function(){
                    $('#file').attr('disabled', 'disabled');
                    $('.image-progress').addClass('fa-spinner');
                },
                error: function(){
                    $('#image-error-alert').html('<p>&nbsp</p> &nbsp <i class="fa fa-warning"></i>&nbsp an error occured. <p>&nbsp</p>');
                    setTimeout(function(){
                        $('#image-error-alert').html('');
                    }, 3000);
                    $('#file').removeAttr('disabled');
                    $('.image-progress').removeClass('fa-spinner');
                    $('.image-progress').addClass('fa-warning');
                    setTimeout(function(){$('.image-progress').removeClass('fa-warning');}, 2500);
                },
                success: function(html){
                    $('#file').removeAttr('disabled');
                    $('.image-progress').removeClass('fa-spinner');
                    $('.image-progress').addClass('fa-check');
                    setTimeout(function(){$('.image-progress').removeClass('fa-check');}, 2500);
                    $('#image-upload-display').append(html);
                },
                // Form data
                data: formData,
                //Options to tell jQuery not to process data or worry about content-type.
                cache: false,
                contentType: false,
                processData: false
            });
        },
        error: function() {
            validation_file = false;
            $('#image-error-alert').html('<p>&nbsp</p> &nbsp <i class="fa fa-warning"></i>&nbsp Wrong file type <p>&nbsp</p>');
        }
    });
</script>

<!-- image script -->
<script>
    $(".make-thumb-nail").click(function(){
        var button  = $(this);
        var imageID = button.parent(".titles").children(".image-number").html();


        $.ajax({
            url: "<?php echo base_url(); ?>inventory/update/product_thumbnail/"+imageID,
            cache: true,
            beforeSend: function(){
                button.removeClass("fa-image");
                button.addClass("fa-spinner");
            },
            success: function(html){
                $(".icon-label").css('color', '#DDD');
                $(".icon-label").attr('title', 'set as thumbnail');
                $(".icon-label").parent(".titles").children('.fa-close').show();
                $(".icon-label").addClass('make-thumb-nail');

                button.removeClass("fa-spinner");
                button.addClass("fa-image");
                button.css('color', '#4cae4c');
                button.parent(".titles").children('.fa-close').hide();
                if (button.hasClass('make-thumb-nail')) {
                    button.removeClass('make-thumb-nail');
                };
            },
            error: function(){
                button.removeClass('fa-spinner');
                button.addClass('fa-warning');
                setTimeout(function(){
                    button.removeClass('fa-warning');
                    button.addClass('fa-image');
                } , 1000);
            }
        });
    });
    $(".delete-image").click(function(){
        var button      = $(this);
        var imageID     = button.parent(".titles").children(".image-number").html();
        var container   = button.parent(".titles").parent(".widget").parent('div');
        $.ajax({
            url: "<?php echo base_url(); ?>inventory/delete/product_image/"+imageID,
            cache: true,
            beforeSend: function(){
                button.removeClass("fa-close");
                button.removeClass('delete-image');
                button.addClass("fa-spinner")
            },
            success: function(){
                container.hide('slow');
            },
            complete: function(){},
            error: function(){
                button.removeClass('fa-spinner');
                button.addClass('fa-warning');
                setTimeout(function(){
                    button.removeClass('fa-warning');
                    button.addClass('fa-close');
                    button.addClass('delete-image');
                } , 1000);
            }
        });
    });
</script>

</body>
</html>
