<?php foreach ($images as $key => $image) { ?>
	<div class="col-sm-4 col-md-6">
	    <div class="overview widget" style="margin-top:0;height:auto;border-bottom-color:#888">
	        <div class="titles">
                <i class="fa fa-close delete-image" style="color:#d43f3a"></i>
                <i class="fa fa-image icon-label make-thumb-nail" style="color: #DDD" title="use as thumbnail"></i>
	            &nbsp
	            <span class="image-number" style="display:none;"><?php echo $image->product_image_id; ?></span>
	        </div>
	        <img src="<?php echo base_url().$image->image_url ?>" style="width:100%;">
	    </div>
	</div>
<?php } ?>

<!-- image script -->
<script>
    $(".make-thumb-nail").click(function(){
        var button  = $(this);
        var imageID = button.parent(".titles").children(".image-number").html();


        $.ajax({
            url: "<?php echo base_url(); ?>inventory/update/product_thumbnail/"+imageID,
            cache: true,
            beforeSend: function(){
                button.removeClass("fa-image");
                button.addClass("fa-spinner");
            },
            success: function(html){
                $(".icon-label").css('color', '#DDD');
                $(".icon-label").attr('title', 'set as thumbnail');
                $(".icon-label").parent(".titles").children('.fa-close').show();
                $(".icon-label").addClass('make-thumb-nail');

                button.removeClass("fa-spinner");
                button.addClass("fa-image");
                button.css('color', '#4cae4c');
                button.parent(".titles").children('.fa-close').hide();
                if (button.hasClass('make-thumb-nail')) {
                    button.removeClass('make-thumb-nail');
                };
            },
            error: function(){
                button.removeClass('fa-spinner');
                button.addClass('fa-warning');
                setTimeout(function(){
                    button.removeClass('fa-warning');
                    button.addClass('fa-image');
                } , 1000);
            }
        });
    });
    $(".delete-image").click(function(){
        var button      = $(this);
        var imageID     = button.parent(".titles").children(".image-number").html();
        var container   = button.parent(".titles").parent(".widget").parent('div');
        $.ajax({
            url: "<?php echo base_url(); ?>inventory/delete/product_image/"+imageID,
            cache: true,
            beforeSend: function(){
                button.removeClass("fa-close");
                button.removeClass('delete-image');
                button.addClass("fa-spinner")
            },
            success: function(){
                container.hide('slow');
            },
            complete: function(){},
            error: function(){
                button.removeClass('fa-spinner');
                button.addClass('fa-warning');
                setTimeout(function(){
                    button.removeClass('fa-warning');
                    button.addClass('fa-close');
                    button.addClass('delete-image');
                } , 1000);
            }
        });
    });
</script>