<?php foreach ($tasks as $key => $value): ?>
    <div class="attr" style="margin-left:0">
        <div style="display:none" class="task-id"><?php echo $value['id']; ?></div>
        <i class="fa fa-close right delete-task"></i>
        <span class="value"><?php echo $value['task'] ?></span>
        &nbsp
        <?php if ($value['duration'] == 0): ?>
            <span class="label label-success">
                <i class="fa fa-clock-o"></i>
            today
            </span>
        <?php elseif ($value['duration'] > 30): ?>
            <span class="label label-danger">
                <i class="fa fa-clock-o"></i>
            <?php echo $value['duration'] ?> days
            </span>
        <?php else: ?>
            <span class="label label-primary">
                <i class="fa fa-clock-o"></i>
            <?php echo $value['duration'] ?> days
            </span>
        <?php endif ?>
    </div>
<?php endforeach ?>


<script>
	$('.delete-task').click(function(){
        var button = $(this);
        var taskID = $.trim(button.parent('div').children('.task-id').html());
        $.ajax({
            url: "<?php echo base_url(); ?>inventory/delete/task/"+taskID,
            cache: true,
            beforeSend: function(){
                button.removeClass('fa-close');
                button.addClass('fa-spinner');
                button.removeClass('delete-task');
            },
            success: function(html){
                button.parent('div').hide('slow');
                button.parent('div').html('');
                var tasksNumber  = parseInt($.trim($('#no-of-tasks').html()));
                console.log(tasksNumber);
                $('#no-of-tasks').html(tasksNumber-1);
            },
            error: function(){
                button.removeClass('fa-spinner');
                button.addClass('fa-warning');
                setTimeout(function(){
                    button.removeClass('fa-warning');
                    button.addClass('fa-close');
                    button.addClass('delete-task');
                } , 1000);
            }
        });
    });
</script>