<?php echo modules::run('template/serve/admin_header'); ?>

    <div style="margin-top:2px"></div>
    
    <!-- c-panel -->
    <div class="c-panel">
        <!-- navigation -->
        <div class="col-md-2 nopad navigationHolder">
            <div id="navigation">
                <div class="c-panel-title">Admin panel</div>
                <div class="notif">
                    <div class="">
                        <div class="col-xs-12 col-sm-12 col-md-12 avatar">
                            <a href="<?php base_url() ?>panel/settings/user.html"> <?php echo $avatar; ?> </a>
                        </div>
                        <div class="col-xs-12 col-sm-12 col-md-12">
                            <div class="sign-out" title="sing out">
                                <?php echo anchor(base_url().'panel/login', '<i class="fa fa-sign-out"></i>'); ?>
                            </div>
                            <div class="welcome">Logged in, </div>
                            <div class="username"><?php echo $username; ?></div>
                        </div>
                        <div style="clear:both"></div>
                    </div>
                </div>
                <div class="dashboard">
                    Dashboard
                    <div class="dashboard-menu">
                        <ul>
                            <li>
                                <a href="<?php echo base_url() ?>panel/products/add.html">
                                    <i class="fa fa-plus"></i> &nbsp PRODUCT
                                </a>
                            </li>
                            <li>
                                <a href="<?php echo base_url() ?>panel/products/categories.html">
                                    <i class="fa fa-th"></i> &nbsp CATEGORIES
                                </a>
                            </li>
                            <li>
                                <a href="<?php echo base_url() ?>panel/sales.html">
                                    <i class="fa fa-tags"></i> &nbsp SALES
                                </a>
                            </li>
                            <li>
                                <a href="<?php echo base_url() ?>panel/banners.html">
                                    <i class="fa fa-image"></i> &nbsp BANNERS
                                </a>
                            </li>
                        </ul>
                    </div>
                </div>
            </div>
        </div>
        <!-- end of navigation -->

        <!-- cotent -->
        <div class="col-md-10" id="cotent">
            <div class="row">
                <!-- quick navigation icons with time -->
                <div class="col-md-12 nopad" style="height:49px">
                    <div id="head">
                        <div class="col-xs-6 col-sm-7 col-md-7 nopad" id="topnavicons">
                            <div class="head-nav">
                                <i class="fa fa-bars" id="fullscreen" data-toggle="tooltip" data-placement="top" title="fullscreen"></i>
                            </div>

                            <div class="head-nav">
                                <a href="<?php echo base_url(); ?>panel.html">
                                    <i class="fa fa-home"></i>
                                </a>
                            </div>

                            <div class="head-nav">
                                <a href="<?php echo base_url(); ?>panel/products/add.html">
                                    <i class="fa fa-plus add-new-pdt-btn"></i>
                                </a>
                            </div>

                            <div class="head-nav">
                                <a href="<?php echo base_url() ?>panel/products/categories.html">
                                    <i class="fa fa-th"></i>
                                </a>
                            </div>

                            <div class="head-nav">
                                <a href="<?php echo base_url() ?>panel/banners.html">
                                    <i class="fa fa-image"></i>
                                </a>
                            </div>

                            <div style="clear:both"></div>
                        </div>
                        <div class="col-xs-6 col-sm-5 col-md-5 nopad" id="timeanddate">
                            <div class="head-nav-right" id="time">
                                <div id="clock"></div>
                            </div>  
                            <div class="head-nav-right">
                                <div class="day"></div>
                                <div class="date">
                                </div>
                                <div style="clear:both"></div>
                            </div>
                        </div>
                    </div>
                </div>

                <!-- progress bar -->
                <div class="col-md-12">
                    <div id="pdt-dis-progress" style="background:#2DB1C3;">
                        <div id="pdt-dis-progress-bar">
                        </div>
                    </div>
                </div>

                <!-- Page title -->
                <div class="col-md-12">
                    <div class="col-md-12">
                        <div class="cotent-title">
                            <span class="pdt-title-top">
                                <i class="fa fa-shopping-cart"></i> &nbsp PRODUCTS
                            </span>
                            <span class="pdt-btn">
                                <a href="<?php echo base_url() ?>panel/products/add.html">
                                    <button class="btn btn-success btn-small add-new-pdt-btn"><i class="fa fa-plus"></i></button>
                                </a>
                            </span>
                        </div>
                    </div>
                </div>
            </div>

            <!-- Display add_product progress  -->
            <div class="row">
                <div class="col-md-12">
                    <div class="col-md-12" id="addProgress">
                    </div>
                </div>
            </div>

            <!-- Products display section -->
            <div class="row">
                <div class="col-md-12" id="areaDLHolder">
                    <div id="areaDL">
                        <?php
                        if ($products == FALSE) { ?>
                            <h4 style="text-align:center;color:#777">
                                <br><br>
                                <i class="fa fa-info-circle"></i> &nbsp &nbsp
                                YOU HAVE NO PRODUCTS
                                <br><br>
                                <img src="<?php echo base_url(); ?>assets/images/empty_box.jpg" alt="">
                            </h4>
                            <br><br>
                        <?php } else { ?>
                            <div class="col-md-12" style="margin-top:20px">
                                <table id="item-table" class="table table-striped table-hover">
                                    <thead>
                                        <tr>
                                            <th>Image</th>
                                            <th>Name</th>
                                            <th>price (USD)</th>
                                            <th style="text-align:center">Edit</th>
                                            <th style="text-align:center">Delete</th>
                                        </tr>
                                    </thead>

                                    <tbody>
                                        <?php foreach ($products as $key => $product){ ?>
                                        <tr>
                                            <td><img src="<?php echo base_url().$product->thumb; ?>" alt=""></td>
                                            <td><?php echo $product->name; ?></td>
                                            <td><?php echo $product->price; ?></td>
                                            <td style="text-align:center;color:#428bca">
                                                <a href="<?php echo base_url() ?>panel/products/edit/<?php echo $product->product_id; ?>.html">
                                                    <i class="fa fa-edit"></i>
                                                </a>
                                            </td>
                                            <td style="text-align:center;color:#AD0000">
                                                <i class="fa fa-close del-pdt"></i>
                                                <div class="pdtID" style="display:none"><?php echo $product->product_id; ?></div>
                                            </td>
                                        </tr>
                                        <?php } ?>
                                    </tbody>
                                </table>
                            </div>
                        <?php } ?>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <script type="text/javascript" src="<?php echo base_url()?>assets/js/datatables/jquery.dataTables.js"></script>
    <script type="text/javascript" src="<?php echo base_url()?>assets/js/datatables/dataTables.bootstrap.js"></script>

    <script type="text/javascript" language="javascript" class="init">
        $(document).ready(function() {
            // Data table
            $('#item-table').dataTable({
                "bPaginate": true,
                "bLengthChange": true,
                "bFilter": true,
                "bSort": true,
                "bInfo": true,
                "bAutoWidth": false
            });

            fullscreen(false);

            deleteProduct.click(function(){
                var ID   = $.trim($(this).parent('td').find('.pdtID').html());
                var item = $(this).parent('td').parent('tr');
                var button = $(this);
                $.ajax({
                    url: "<?php echo base_url(); ?>inventory/delete/product/"+ID,
                    cache: true,
                    beforeSend: function(){
                        button.removeClass('fa-close');
                        button.removeClass('del-pdt');
                        button.addClass('fa-spinner');
                    },
                    success: function(){
                        item.hide('slow');
                        button.addClass('fa-close');
                        button.addClass('fa-spinner');
                    },
                    error: function(){
                        button.removeClass('fa-spinner');
                        button.addClass('fa-warning');
                        setTimeout(function(){
                            button.removeClass('fa-warning');
                            button.addClass('fa-close');
                            button.addClass('del-pdt');
                        } , 1000);
                    },
                    complete: function(){}
                });
            });
        });
    </script>

<?php echo modules::run('template/serve/admin_footer'); ?>
