<!DOCTYPE html>
<html lang="en">
<head>
    <title>DVEE</title>
    <link rel="shortcut icon" href="<?php echo base_url()?>assets/images/logo.min.png" type="image/png">
    <link rel="shortcut icon" type="image/png" href="<?php echo base_url()?>assets/images/log.min.png" />
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" type="text/css" href="<?php echo base_url()?>assets/css/bootstrap.css" />
    <link rel="stylesheet" type="text/css" href="<?php echo base_url()?>assets/css/panel-login.css" />
</head>

<body>
    <div class="container">
        <?php
        if(isset($redirect) && $redirect !== false) {
            $url = '/'.$redirect;
        } else {
            $url = '';
        } 
        ?>
        <?php echo form_open_multipart('panel/login/authenticate');?>
            <div class="row login_box">
                <div class="col-md-12 col-xs-12" align="center">
                    <div class="line">
                        <h3 id="clock"></h3>
                    </div>
                    <div class="row">
                        <?php if(isset($redirect) && $redirect !== false): ?>
                        <div class="col-xs-12">
                            <div class="alert alert-warning">
                                Your session has expired
                            </div>
                        </div>
                        <?php endif; ?>
                        <div class="col-xs-12">
                            <?php if(isset($error)): ?>
                            <div class="alert alert-danger">
                                <p><?php echo $error; unset($error);?></p>
                            </div>
                            <?php endif; ?>
                        </div>
                    </div>

                    <div class="outter">
                        <img src="<?php echo base_url() ?>assets/images/user.png" class="image-circle"/>
                    </div>   
                    <h1>Hi, Welcome</h1>
                </div>

                <div class="col-md-12 col-xs-12 login_control">
                    <div class="control">
                        <label class="label" for="Username">Username</label>
                        <input type="text" name="username" class="form-control" value=""/>
                    </div>

                    <div class="control">
                        <label class="label" for="Password">Password</label>
                        <input type="password" name="password" class="form-control" value=""/>
                    </div>
                    <div align="center" style="margin:20px;">
                        <button type="submit" class="btn btn-default btn-lg">LOGIN</button>
                    </div>
                    <div class="text-right" style="color:#333;margin:10px;">
                        &copy;  &nbspDvee &nbsp 2015
                    </div>
                </div>
            </div>
        </form>
    </div>
</body>

</html>