<!DOCTYPE html>
<html lang="en">
<head>
    <title><?php echo $title; ?></title>
    <link rel="shortcut icon" href="<?php echo base_url()?>assets/images/logo.min.png" type="image/png">
    <link rel="shortcut icon" type="image/png" href="<?php echo base_url()?>assets/images/log.min.png" />
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" type="text/css" href="<?php echo base_url()?>assets/css/animate.css" />
    <link rel="stylesheet" type="text/css" href="<?php echo base_url()?>assets/css/bootstrap.css" />
    <link rel="stylesheet" type="text/css" href="<?php echo base_url()?>assets/css/bootstrap-tour.min.css" />
    <link rel="stylesheet" type="text/css" href="<?php echo base_url()?>assets/css/font-awesome.min.css" />
    <link rel="stylesheet" type="text/css" href="<?php echo base_url()?>assets/css/panel.css" />
    <link rel="stylesheet" type="text/css" href="<?php echo base_url()?>assets/css/morris.css" />
    <link rel="stylesheet" type="text/css" href="<?php echo base_url()?>assets/lib/owl/owl.carousel.css" />
    <link rel="stylesheet" type="text/css" href="<?php echo base_url()?>assets/lib/owl/owl.theme.css" />

    <link rel="stylesheet" type="text/css" href="<?php echo base_url()?>assets/css/datatables/dataTables.bootstrap.css" rel="stylesheet"/>

    <script type="text/javascript" src="<?php echo base_url()?>assets/js/jquery.js"></script>

    <script type="text/javascript" src="<?php echo base_url()?>assets/js/raphael.js"></script>
    <script type="text/javascript" src="<?php echo base_url()?>assets/js/morris.min.js"></script>
    <script type="text/javascript" src="<?php echo base_url()?>assets/lib/jvectormap/jquery-jvectormap-1.2.2.min.js"></script>
    <script type="text/javascript" src="<?php echo base_url()?>assets/lib/jvectormap/jquery-jvectormap-world-mill-en.js"></script>
    <script>
        function startTime() {
            var today=new Date();
            var h=today.getHours();
            var m=today.getMinutes();
            var s=today.getSeconds();
            m = checkTime(m);
            s = checkTime(s);
            document.getElementById('clock').innerHTML = h+":"+m+":"+s;
            var t = setTimeout(function(){startTime()},500);
        }

        function checkTime(i) {
            if (i<10) {i = "0" + i};  // add zero in front of numbers < 10
            return i;
        }
    </script>
</head>

<body onload="startTime()" id="body">

    <!-- header -->
    <div>
        <div class="header-m">
            <div class="col-xs-6 col-sm-6 col-md-6">
                DVEE
            </div>
            <div class="col-xs-6 col-sm-6 col-md-6">
                <div class="right">
                    <div class="dropdown">
                        <div class="dropdown-toggle" type="button" id="dropdownMenu1" data-toggle="dropdown">
                            <?php echo $avatar; ?> &nbsp <?php echo $username; ?> &nbsp <i class="fa fa-caret-down"></i>
                        </div>
                        <ul class="dropdown-menu" role="menu" aria-labelledby="dropdownMenu1">
                            <li role="presentation">
                                <a role="menuitem" tabindex="-1" href="<?php echo base_url(); ?>panel/settings/user.html">
                                    Account <i class="fa fa-user"></i>
                                </a>
                            </li>
                            <li role="presentation">
                                <a role="menuitem" tabindex="-1" href="<?php echo base_url(); ?>panel/mail_box.html">
                                    Messages <i class="fa fa-envelope"></i>
                                </a>
                            </li>
                            <li role="presentation">
                                <a role="menuitem" tabindex="-1" href="<?php echo base_url(); ?>panel.html">
                                    Logout <i class="fa fa-sign-out"></i>
                                </a>
                            </li>
                        </ul>
                    </div>
                </div>
            </div>
        </div>
    </div>
    
    <!-- c-panel -->
    <div class="c-panel">
        <!-- navigation -->
        <div class="col-md-2 nopad navigationHolder">
            <div id="navigation">
                <div class="c-panel-title">Admin panel</div>
                <div class="notif">
                    <div class="">
                        <div class="col-xs-12 col-sm-12 col-md-12 avatar">
                            <a href="<?php base_url() ?>panel/settings/user.html"> <?php echo $avatar; ?> </a>
                        </div>
                        <div class="col-xs-12 col-sm-12 col-md-12">
                            <div class="sign-out" title="sing out">
                                <?php echo anchor(base_url().'panel/login.html', '<i class="fa fa-sign-out"></i>'); ?>
                            </div>
                            <div class="welcome">Logged in, </div>
                            <div class="username"><?php echo $username; ?></div>
                        </div>
                        <div style="clear:both"></div>
                    </div>
                </div>
                <div class="dashboard">
                    Dashboard
                    <div class="dashboard-menu">
                        <ul>
                            <li>
                                <a href="<?php echo base_url(); ?>panel/mail_box.html">
                                    <i class="fa fa-envelope"></i> &nbsp
                                    <span class="vanishIcon">Messages</span>
                                    <span style="" class="badge pull-right">
                                        <?php echo $num_of_messages ?>
                                    </span>
                                </a>
                            </li>
                            <li>
                                <a href="<?php echo base_url(); ?>panel/products/categories.html">
                                    <i class="fa fa-th"></i> &nbsp
                                    <span class="vanishIcon">Categories</span>
                                </a>
                            </li>
                            <li>
                                <a href="<?php echo base_url(); ?>panel/products/add.html">
                                    <i class="fa fa-shopping-cart"></i> &nbsp
                                    <span class="vanishIcon">Add products</span>
                                </a>
                            </li>
                            <li>
                                <a href="<?php echo base_url(); ?>panel/banners.html">
                                    <i class="fa fa-image"></i> &nbsp
                                    <span class="vanishIcon">Banners</span>
                                </a>
                            </li>
                        </ul>
                    </div>
                </div>
            </div>
        </div>
        <!-- end of navigation -->

        <!-- cotent -->
        <div class="col-md-10 nopad" id="cotent" style="background:">
            <div id="head">
                <div class="col-xs-6 col-sm-7 col-md-7 nopad" id="topnavicons">
                    <div class="head-nav">
                        <i class="fa fa-bars" id="fullscreen" data-toggle="tooltip" data-placement="top" title="fullscreen"></i>
                    </div>

                    <div class="head-nav">
                        <a href="<?php echo base_url(); ?>panel.html">
                            <i class="fa fa-home"></i>
                        </a>
                    </div>

                    <div class="head-nav">
                        <a href="<?php echo base_url(); ?>panel/mail_box.html">
                            <i class="fa fa-envelope"></i> 
                            <span class="badge"><?php echo $num_of_messages ?></span>
                        </a>
                    </div>

                    <div class="head-nav">
                        <a href="<?php echo base_url(); ?>panel/settings.html">
                            <i class="fa fa-cog"></i> 
                        </a>
                    </div>

                    <div style="clear:both"></div>
                </div>
                <div class="col-xs-6 col-sm-5 col-md-5 nopad" id="timeanddate">
                    <div class="head-nav-right" id="time">
                        <div id="clock"></div>
                    </div>  
                    <div class="head-nav-right">
                        <div class="day"></div>
                        <div class="date">
                        </div>
                        <div style="clear:both"></div>
                    </div>
                </div>
            </div>

            <div class="row rowz">
                <!-- overview -->
                <div class="row rowz landing animatedParent">
                    <div class="col-xs-6 col-sm-6 col-md-3" id="tour-categories">
                        <a href="<?php echo base_url() ?>panel/products/categories.html">
                            <div class="overview" style="border-bottom-color:#c72a25" >
                                <br>
                                <i class="fa fa-th big-icon"></i>
                                <div class="title">Categories</div>
                                <div class="number">&nbsp</div>
                            </div>
                        </a>
                    </div>
                    <div class="col-xs-6 col-sm-6 col-md-3" id="tour-messages">
                        <a href="<?php echo base_url() ?>panel/mail_box.html">
                            <div class="overview" style="border-bottom-color:#B653AE">
                                <br>
                                <i class="fa fa-envelope big-icon"></i>
                                <div class="title">Messages</div>
                                <div class="number"><?php echo $num_of_messages ?></div>
                            </div>
                        </a>
                    </div>
                    <div class="col-xs-6 col-sm-6 col-md-3" id="tour-products">
                        <a href="<?php echo base_url() ?>panel/products.html">
                            <div class="overview" style="border-bottom-color:#2DB1C3">
                                <br>
                                <i class="fa fa-shopping-cart big-icon"></i>
                                <div class="title">Products</div>
                                <div class="number"><?php echo $num_of_items ?></div>
                            </div>
                        </a>
                    </div>
                    <div class="col-xs-6 col-sm-6 col-md-3"  id="tour-banners">
                        <a href="<?php echo base_url() ?>panel/banners.html">
                            <div class="overview" style="border-bottom-color:#C7B425">
                                <br>
                                <i class="fa fa-image big-icon"></i>
                                <div class="title">Banners</div>
                                <div class="number"><?php echo $num_of_banners ?></div>
                            </div>
                        </a>
                    </div>
                </div>
                <!-- end of overview -->
            </div>

            <div class="row rowz">
                <!-- sales stats -->
                <div class="col-sm-12 col-md-12 col-lg-7 animated fadeIn">
                    <div class="overview widget" style="border-bottom-color:#28AD83">
                        <div class="titles">
                            <i class="fa fa-bar-chart" id="sales-bar-btn"></i>
                            <i class="fa fa-area-chart activeIcon" id="sales-line-btn"></i>

                            <i class="fa fa-briefcase icon-label"></i>
                            Sales
                        </div>
                        <div id="sales-line-chart" style="width:100%;height: 250px;"></div>
                        <div id="sales-bar-chart" style="width:100%;height: 250px;"></div>
                    </div>
                </div>
                <script type="text/javascript">
                    new Morris.Line({
                        resize: true,
                      element: 'sales-line-chart',
                      data: [
                        { month: '2010', value: 50 },
                        { month: '2011', value: 200 },
                        { month: '2012', value: 100 },
                        { month: '2013', value: 150 },
                        { month: '2014', value: 200 }
                      ],
                      lineColors: ['#333333'],
                      xkey: 'month',
                      ykeys: ['value'],
                      labels: 'Sales value'
                    });

                    Morris.Bar({
                        resize: true,
                        element: 'sales-bar-chart',
                        data: [
                            { month: 'jan', a: 200 },
                            { month: 'feb', a: 100 },
                            { month: 'march', a: 50 },
                            { month: 'april', a: 50 },
                            { month: 'may', a: 200 }
                        ],
                        barColors: ['#333333'],
                        xkey: 'month',
                        ykeys: 'a',
                        labels: 'Sales a'
                    });


                    $('#sales-line-chart').css('display','none');

                    $('#sales-bar-btn').click(function(){
                        $('#sales-line-chart')
                        .animate(
                            "transition.slideDownOut", 100, function(){
                                $('#sales-bar-chart').css('display','block');
                                $('#sales-bar-chart').css('opacity','1');
                                $('#sales-bar-chart').css('height','250px');
                                $('#sales-line-chart').css('display','none');
                            })
                        .delay(50)
                        .animate({ opacity: 0 }, 500)
                        $('#sales-line-btn').removeClass('activeIcon');
                        $(this).addClass('activeIcon');
                    });

                    $('#sales-line-btn').click(function(){
                        $('#sales-bar-chart')
                        .animate(
                            "transition.slideDownOut", 100, function(){
                                $('#sales-line-chart').css('display','block');
                                $('#sales-line-chart').css('opacity','1');
                                $('#sales-line-chart').css('height','250px');
                                $('#sales-bar-chart').css('display','none');
                            })
                        .delay(50)
                        .animate({ opacity: 0 }, 500)
                        $('#sales-bar-btn').removeClass('activeIcon');
                        $(this).addClass('activeIcon');
                    });
                </script>

                <!-- Admin tasks -->
                <div class="col-sm-12 col-md-6 col-lg-5 animated fadeIn" id="tour-tasks">
                    <div class="overview widget" style="border-bottom-color:#2DB1C3">
                        <div class="titles">
                            <i class="fa fa-file-o icon-label"></i>
                            Tasks <i class="fa fa-plus" id="add-task-btn"></i>
                            <span class="badge badge-success" id="no-of-tasks"><?php echo count($tasks); ?></span>
                        </div>
                        <div id="task-display">
                            <div id="add-task" style="max-height:0;overflow:hidden">
                                <input type="text" style="width:100%;padding-right:22px;height:34px" />
                                <i class="fa fa-close remove-input" style="z-index:10;cursor:pointer;top:59px;"></i>
                            </div>
                            <div id="added-task"></div>
                            <?php if ($tasks == NULL): ?>
                                <?php // no tasks found ?>
                            <?php else: ?>
                                <?php foreach ($tasks as $key => $value): ?>
                                    <div class="attr" style="margin-left:0">
                                        <div style="display:none" class="task-id"><?php echo $value['id']; ?></div>
                                        <i class="fa fa-close right delete-task"></i>
                                        <span class="value"><?php echo $value['task'] ?></span>
                                        &nbsp
                                        <?php if ($value['duration'] == 0): ?>
                                            <span class="label label-success">
                                                <i class="fa fa-clock-o"></i>
                                            today
                                            </span>
                                        <?php elseif ($value['duration'] > 30): ?>
                                            <span class="label label-danger">
                                                <i class="fa fa-clock-o"></i>
                                            <?php echo $value['duration'] ?> days ago
                                            </span>
                                        <?php elseif ($value['duration'] == 1): ?>
                                            <span class="label label-primary">
                                                <i class="fa fa-clock-o"></i>
                                            <?php echo $value['duration'] ?> day ago
                                            </span>
                                        <?php else: ?>
                                            <span class="label label-primary">
                                                <i class="fa fa-clock-o"></i>
                                            <?php echo $value['duration'] ?> days ago
                                            </span>
                                        <?php endif ?>
                                    </div>
                                <?php endforeach ?>
                            <?php endif; ?>
                        </div>
                    </div>
                </div>
                <script>
                    $('.remove-input').hide();
                    $('#add-task-btn').click(function(){
                        showTaskInput();
                    });
                    $('.remove-input').click(function(){
                        hideTaskInput();
                    });
                    $('#add-task input').keypress(function (e)
                    {
                        if (e.which == 13)
                        {
                            var value  = $('#add-task input').val();
                            if (value !== '') {

                                $(this).parent('.addAttrForm').css('height', '0px');
                                $(this).val('');
                                $.ajax({
                                    data: {task: value},
                                    url: "<?php echo base_url(); ?>inventory/add/task/",
                                    cache: true,
                                    beforeSend: function(){
                                        $('.remove-input').removeClass('fa-close');
                                        $('.remove-input').addClass('fa-spinner');
                                        $('#add-task input').attr('disabled', 'disabled');
                                    },
                                    success: function(html){
                                        $('#added-task').append(html);
                                        $('.remove-input').removeClass('fa-spinner');
                                        $('.remove-input').addClass('fa-close');
                                        $('#add-task input').removeAttr('disabled');
                                        var tasksNumber  = parseInt($.trim($('#no-of-tasks').html()));
                                        $('#no-of-tasks').html(tasksNumber+1);
                                        hideTaskInput();
                                    },
                                    error: function(){
                                        $('.remove-input').removeClass('fa-spinner');
                                        $('.remove-input').addClass('fa-close');
                                        $('#add-task input').attr('placeholder', 'Sorry an error was encountered');
                                    }
                                });
                            };
                        }
                    });
                    $('.delete-task').click(function(){
                        var button = $(this);
                        var taskID = $.trim(button.parent('div').children('.task-id').html());
                        $.ajax({
                            url: "<?php echo base_url(); ?>inventory/delete/task/"+taskID,
                            cache: true,
                            beforeSend: function(){
                                button.removeClass('fa-close');
                                button.addClass('fa-spinner');
                                button.removeClass('delete-task');
                            },
                            success: function(html){
                                button.parent('div').hide('slow');
                                button.parent('div').html('');
                                var tasksNumber  = parseInt($.trim($('#no-of-tasks').html()));
                                $('#no-of-tasks').html(tasksNumber-1);
                            },
                            error: function(){
                                button.removeClass('fa-spinner');
                                button.addClass('fa-warning');
                                setTimeout(function(){
                                    button.removeClass('fa-warning');
                                    button.addClass('fa-close');
                                    button.addClass('delete-task');
                                } , 500);
                            }
                        });
                    });

                    function showTaskInput(){
                        $('#add-task').animate({
                            maxHeight: 100,
                        }, 300);
                        $('#add-task input').focus();
                        $('.remove-input').show();
                    }
                    function hideTaskInput(){
                        $('#add-task').animate({
                            maxHeight: 0,
                        }, 300);
                        $('#add-task input').val('');
                        $('#add-task input').removeAttr('disabled');
                        $('#add-task input').removeAttr('placeholder');
                        $('.remove-input').hide();
                    }
                </script>

                <!-- Visitors map -->
                <div class="col-sm-12 col-md-6 col-lg-6 animated fadeIn">
                    <div class="overview" style="border-bottom-color:#333">
                        <div class="titles">
                            <i class="fa fa-globe icon-label"></i>
                            Visitors
                        </div>
                        <div id="map" style="width:100%;height: 250px;"></div>
                    </div>
                </div>

                <script type="text/javascript">
                    $('#map').vectorMap();
                </script>

                <!-- reviews -->
                <div class="col-sm-12 col-md-12 col-lg-6 animated fadeIn">
                    <div class="overview widget" style="border-bottom-color:#B653AE;">
                        <div class="titles">
                            <i class="fa fa-comments-o icon-label"></i>
                            Reviews
                        </div>
                        <div class="col-md-12 reviews" style="overflow:auto;height:86%;text-align:left">
                            <?php for ($i=0; $i < 5; $i++) { ?>
                            <div class="media">
                                <a class="pull-left" href="">
                                    <img class="media-object" src="<?php base_url() ?>assets/images/user.png" alt="...">
                                </a>
                                <div class="media-body">
                                    <h4 class="media-heading">Media heading</h4>
                                    Lorem ipsum dolor sit amet, consectetur adipisicing elit. Ut, veniam officiis expedita hic dolores reprehenderit dolor quam dicta impedit, accusamus eaque fugiat saepe rerum, praesentium, obcaecati temporibus a illum ab.
                                    <p style="text-align:right;font-size:12px;">
                                        <i class="icon ion-ios7-time-outline" style="font-size:15px;position:relative;top:2px;"></i> &nbsp 01/01/2014
                                    </p>
                                </div>
                            </div>
                            <?php } ?>
                        </div>
                    </div>
                </div>

                <!-- clients -->
                <div class="col-sm-12 col-md-12 col-lg-12 animated fadeIn">
                    <div class="overview widget" style="border-bottom-color:#AF4E35;height:230px;">
                        <div class="titles">
                            <i class="fa fa-users icon-label"></i>
                            Designers and Clients
                        </div>
                        <br><br>
                        <div id="clients-slider" class="owl-carousel">
                            <?php for ($x = 0; $x < 10; $x++) { ?>
                                <div class="col-xs-12">
                                    <span>
                                        <i class="fa fa-user" style="font-size:60px"></i>
                                        <h4>Name</h4>
                                    </span>
                                </div>
                            <?php } ?>
                        </div>
                    </div>
                </div>
                <script>
                    $(document).ready(function() {

                        $("#clients-slider").owlCarousel({
                            autoPlay:   3400,
                            pagination: true,
                            navigation: false,
                            lazyLoad:   true
                        });

                        $(".owl-prev").html('');
                        $(".owl-next").html('');
                    });
                </script>
            </div>
        </div>
    </div>

    <div style="clear:both"></div>

    <div class="col-xs-12 panel-footer text-center">
        &copy 2014 Dvee. All Rights Reserved.
    </div>




    <script src="<?php echo base_url()?>assets/js/bootstrap.min.js"></script>
    <script src="<?php echo base_url()?>assets/js/bootstrap-tour.min.js"></script>
    <script type="text/javascript" src="<?php echo base_url()?>assets/js/datatables/jquery.dataTables.js"></script>
    <script type="text/javascript" src="<?php echo base_url()?>assets/js/datatables/dataTables.bootstrap.js"></script>
    <script src="<?php echo base_url()?>/assets/lib/owl/owl.carousel.min.js"></script>

<script>
    $(window).load(function() {
        var tour = new Tour({
            storage: true,
            backdrop: true,
            steps: [
                {
                  placement: "bottom",
                  element: "#tour-categories",
                  title: "Categories",
                  content: "Add, edit or remove product categories. Categories are for product differentiation and classification"
                },
                {
                  placement: "bottom",
                  element: "#tour-messages",
                  title: "Messages",
                  content: "An inbox for your products inquiries and orders"
                },
                {
                  placement: "bottom",
                  element: "#tour-products",
                  title: "Products",
                  content: "Add, edit or remove products from the store database"
                },
                {
                  placement: "bottom",
                  element: "#tour-banners",
                  title: "Banners",
                  content: "Add or remove banners and slideshow images"
                },
                {
                  placement: "bottom",
                  element: "#tour-tasks",
                  title: "Tasks",
                  content: "Add quick to-do tasks"
                }
            ]
        });
        // Initialize the tour
        tour.init();

        // Start the tour
        tour.start();
    });
    </script>

    <script type="text/javascript" language="javascript" class="init">
        $(document).ready(function() {
            $('#item-table').dataTable({
                "bPaginate": true,
                "bLengthChange": true,
                "bFilter": false,
                "bSort": true,
                "bInfo": true,
                "bAutoWidth": false
            });
        });
    </script>


</body>
</html>