<?php echo modules::run('template/serve/admin_header'); ?>
    <script type="text/javascript" src="<?php echo base_url()?>assets/js/raphael.js"></script>
    <script type="text/javascript" src="<?php echo base_url()?>assets/js/morris.min.js"></script>
    <style>
    .jvectormap-label {
    position: absolute;
    display: none;
    border: solid 1px #CDCDCD;
    -webkit-border-radius: 3px;
    -moz-border-radius: 3px;
    border-radius: 3px;
    background: #292929;
    color: white;
    font-size: 10px!important;
    padding: 3px;
    z-index: 9999;
}

.jvectormap-zoomin, .jvectormap-zoomout {
    position: absolute;
    left: 10px;
    -webkit-border-radius: 3px;
    -moz-border-radius: 3px;
    border-radius: 3px;
    background: #292929;
    padding: 5px;
    color: white;
    cursor: pointer;
    line-height: 10px;
    text-align: center;
    font-weight: bold;
}

.jvectormap-zoomin {
    top: 10px;
}

.jvectormap-zoomout {
    top: 35px;
}</style>

    <!-- navigation -->
    <div class="c-panel" style="margin-top:2px">
        <div class="col-md-2 nopad navigationHolder">
            <div id="navigation">
                <div class="c-panel-title">Admin panel</div>
                <div class="notif">
                    <div class="">
                        <div class="col-xs-12 col-sm-12 col-md-12 avatar">
                            <a href="<?php base_url() ?>edit"> <?php echo $avatar; ?> </a>
                        </div>
                        <div class="col-xs-12 col-sm-12 col-md-12">
                            <div class="sign-out" title="sing out">
                                <?php echo anchor(base_url().'panel/login', '<i class="icon ion-log-out"></i>'); ?>
                            </div>
                            <div class="welcome">Logged in, </div>
                            <div class="username"><?php echo $username; ?></div>
                        </div>
                        <div style="clear:both"></div>
                    </div>
                </div>
                <div class="dashboard">
                    Dashboard
                    <div class="dashboard-menu">
                        <ul>
                            <li>
                                <a href="<?php echo base_url() ?>panel/sales">
                                    <i class="fa fa-envelope"></i> &nbsp MESSAGE
                                </a>
                            </li>
                            <li>
                                <a href="<?php echo base_url() ?>panel/banners">
                                    <i class="fa fa-image"></i> &nbsp BANNERS
                                </a>
                            </li>
                            <li>
                                <a href="<?php echo base_url() ?>panel/products">
                                    <i class="fa fa-shopping-cart"></i> &nbsp PRODUCTS
                                </a>
                            </li>
                        </ul>
                    </div>
                </div>
            </div>
        </div>
    <div>
    <!-- end of navigation -->

    <!-- cotent -->
    <div class="col-md-10" id="cotent">
        <div class="row">
            <!-- quick navigation icons with time -->
            <div class="col-md-12 nopad" style="height:49px">
                <div id="head">
                    <div class="col-xs-6 col-sm-7 col-md-7 nopad" id="topnavicons">
                        <div class="head-nav">
                            <i class="fa fa-expand" id="fullscreen" data-toggle="tooltip" data-placement="top" title="fullscreen"></i>
                        </div>

                        <div class="head-nav">
                            <a href="<?php echo base_url(); ?>panel">
                                <i class="fa fa-home"></i>
                            </a>
                        </div>

                        <div class="head-nav">
                            <a href="<?php echo base_url() ?>panel/products">
                                <i class="fa fa-shopping-cart"></i>
                            </a>
                        </div>

                        <div class="head-nav">
                            <a href="<?php echo base_url(); ?>panel/banners">
                                <i class="fa fa-image"></i>
                            </a>
                        </div>

                        <div style="clear:both"></div>
                    </div>
                    <div class="col-xs-6 col-sm-5 col-md-5 nopad" id="timeanddate">
                        <div class="head-nav-right" id="time">
                            <div id="clock"></div>
                        </div>  
                        <div class="head-nav-right">
                            <div class="day"></div>
                            <div class="date">
                            </div>
                            <div style="clear:both"></div>
                        </div>
                    </div>
                </div>
            </div>

            <!-- progress bar -->
            <div class="col-md-12">
                <div id="pdt-dis-progress" style="background:#c72a25">
                    <div id="pdt-dis-progress-bar">
                    </div>
                </div>
            </div>

            <!-- Page title -->
            <div class="col-md-12">
                <div class="col-md-12">
                    <div class="cotent-title">
                        <span class="pdt-title-top">
                            <i class="fa fa-briefcase"></i> &nbsp SALES
                        </span>
                    </div>
                </div>
            </div>
        </div>

        <!-- sales display section -->
        <div class="row">
            <div class="col-md-12 animated fadeIn">
                <hr style="margin-bottom:50px;">
                <button class="nav-button active" id="sales-tab-btn">sales</button><button class="nav-button" id="orders-tab-btn">orders</button>

                <div id="displays" style="margin-top:30px;">
                    <div id="sales-display" class="display row">
                        <!-- sales stats -->
                        <div class="col-sm-12 col-md-12 col-lg-6 animated fadeIn">
                            <div class="overview widget" style="border-bottom-color:#777;height:400px">
                                <div class="titles">
                                    <i class="fa fa-globe icon-label"></i>
                                    &nbsp
                                </div>
                                <div id="world-map" style="width:100%;height: 400px;"></div>
                            </div>
                        </div>
                        <div class="col-sm-12 col-md-12 col-lg-6 animated fadeIn">
                            <div class="overview widget" style="border-bottom-color:#777">
                                <div class="titles">
                                    <i class="fa fa-line-chart icon-label"></i>
                                    &nbsp
                                </div>
                                <!-- <div id="world-map" style="width:100%;height: 250px;"></div> -->
                                <div id="revenue-chart" style="width:100%;height: 250px;"></div>
                            </div>
                        </div>
                        <div class="col-sm-12 col-md-12 col-lg-7 animated fadeIn">
                            <div class="overview widget" style="border-bottom-color:#777">
                                <div class="titles">
                                    <i class="fa fa-bar-chart icon-label"></i>
                                    &nbsp
                                </div>
                                <div id="sales-bar-chart" style="width:100%;height: 250px;"></div>
                            </div>
                        </div>
                        <div class="col-sm-12 col-md-12 col-lg-5 animated fadeIn">
                            <div class="overview widget" style="border-bottom-color:#777">
                                <div class="titles">
                                    <i class="fa fa-pie-chart icon-label"></i>
                                    &nbsp
                                </div>
                                <div id="sales-pie-chart" style="width:100%;height: 250px;"></div>
                            </div>
                        </div>
                    </div>
                    <div id="orders-display" class="display row">
                        no orders recorded
                    </div>
                </div>
            </div>
        </div>
    </div>

    <script type="text/javascript" src="<?php echo base_url()?>assets/lib/jvectormap/jquery-jvectormap-1.2.2.min.js"></script>
    <script type="text/javascript" src="<?php echo base_url()?>assets/lib/jvectormap/jquery-jvectormap-world-mill-en.js"></script>

    <!-- tabs -->
    <script>
        $(function(){
            $("#orders-display").hide();

            $("#sales-tab-btn").click(function(){
                showDisplay('sales');
            });
            $("#orders-tab-btn").click(function(){
                if ($(this).hasClass('active') == false){
                    showDisplay('orders');
                };
            });

            function showDisplay(value) {
                $("#displays").children('.display').hide();
                if ($("#displays").find("display").hasClass()) {};
                $(".nav-button").removeClass("active");

                $("#"+value+"-display").show("slow");
                $("#"+value+"-tab-btn").addClass("active");
            }

            new Morris.Bar({
                element: 'sales-bar-chart',
                resize: true,
                barColors: ['rgb(57, 128, 181)'],
                barColors: ['#831C19'],
                data: [
                    { month: 'jan', a: 200 },
                    { month: 'feb', a: 100 },
                    { month: 'march', a: 50 },
                    { month: 'april', a: 50 },
                    { month: 'may', a: 200 }
                ],
                xkey: 'month',
                ykeys: 'a',
                labels: 'Sales a'
            });
            Morris.Donut({
                resize: true,
                colors: ['#831C19'],
                element: 'sales-pie-chart',
                data: [
                    {label: "Download Sales", value: 12},
                    {label: "In-Store Sales", value: 30},
                    {label: "Mail-Order Sales", value: 20}
                ]
            });
            Morris.Area({
                element: 'revenue-chart',
                resize: true,
                data: [
                    {y: '2011 Q1', item1: 2666},
                    {y: '2011 Q2', item1: 2778},
                    {y: '2011 Q3', item1: 4912},
                    {y: '2011 Q4', item1: 3767},
                    {y: '2012 Q1', item1: 6810},
                    {y: '2012 Q2', item1: 5670},
                    {y: '2012 Q3', item1: 4820},
                    {y: '2012 Q4', item1: 15073},
                    {y: '2013 Q1', item1: 10687},
                    {y: '2013 Q2', item1: 8432}
                ],
                xkey: 'y',
                ykeys: ['item1'],
                labels: ['Item 1'],
                lineColors: ['#333333'],
                hideHover: 'auto'
            });
            $('#world-map').vectorMap();
            // var gdpData = {
            //     "AF": 16.63,
            //     "AL": 11.58,
            //     "UG": 11.58,
            //     "DZ": 158.97
            // };
            // $('#world-map-gdp').vectorMap({
            //     map: 'world_mill_en',
            //     series: {
            //         regions: [{
            //             values: gdpData,
            //             scale: ['#C8EEFF', '#0071A4'],
            //             normalizeFunction: 'polynomial'
            //         }]
            //     },
            //     onRegionTipShow: function(e, el, code){
            //         el.html(el.html()+' (Sales - '+gdpData[code]+')');
            //     }
            // });
        });
    </script>

<?php echo modules::run('template/serve/admin_footer'); ?>

