
<?php echo modules::run('template/serve/header'); ?>

<hr style="margin:0"/>

<div class="container">
	<?php if (isset($products[0])): ?>
		<div class="col-md-3">
			<div class="row">
				<button class="btn btn-custom btn-lg visible-xs" id="filter-btn">
					<i class="fa fa-sort"></i> &nbsp Filter
				</button>
				<div class="col-md-12" id="filter-page" style="margin-top:20px">
					<div class="panel panel-default" style="border:0">
		                <div class="panel-heading text-center" style="background:0;color:#333;">
			                <?php echo form_open('category/'.$products[0]->category.'_'.$products[0]->sub_category.'_'.$products[0]->type) ?>
				                Filter attributes &nbsp
								<button type="submit" name="refresh" style="margin:0;border:0;background:none;">
									<i class="fa fa-refresh"></i>
								</button>
			                </form>
		                </div>
		                <div class="panel-body" style="padding:0">
		                    <div class="col-xs-12">
		                    	<div class="panel-group" id="filter-type">
		            			<?php foreach ($attributes as $key => $item): ?>
									<div class="panel panel-default">
										<div class="panel-heading">
											<div class="panel-title">
												<div data-toggle="collapse" data-parent="#filter-type" href="#<?php echo $item['attribute_title']; ?>">
													<i class="fa fa-sort"></i>&nbsp
													<?php echo $item['attribute_title']; ?>
												</div>
											</div>
										</div>
										<?php if (!isset($_SESSION)){session_start();} ?>
											<?php if (isset($_SESSION['attributes'])): ?>
											<?php $toggle = false; ?>
											<?php foreach ($_SESSION['attributes'] as $key => $value): $segment = explode("_", $value); ?>
												<?php if ($item['attribute_title'] === $segment[0]): ?>
													<?php $toggle = true; ?>
												<?php endif; ?>
											<?php endforeach; ?>

												<?php if ($toggle): ?>
													<div id="<?php echo $item['attribute_title']; ?>" class="panel-collapse collapse in">
												<?php else: ?>
													<div id="<?php echo $item['attribute_title']; ?>" class="panel-collapse collapse">
												<?php endif ?>
											<?php else: ?>
												<?php if ($key == 0): ?>
													<div id="<?php echo $item['attribute_title']; ?>" class="panel-collapse collapse in">
												<?php else: ?>
													<div id="<?php echo $item['attribute_title']; ?>" class="panel-collapse collapse">
												<?php endif; ?>
											<?php endif; ?>
											<div class="panel-body">
						                        <?php for ($i=0; $i < count($item); $i++): ?>
													<?php if (isset($item[$i]['attribute_value'])): ?>
														<?php if (isset($products[0])): ?>
															<?php echo form_open('category/'.$products[0]->category.'_'.$products[0]->sub_category.'_'.$products[0]->type) ?>
																<input type="hidden" name="category" value="<?php echo $products[0]->category ?>_<?php echo $products[0]->sub_category ?>_<?php echo $products[0]->type ?>"/>
																<input type="hidden" name="attribute" value="<?php echo $item['attribute_title']; ?>_<?php echo ($item[$i]['attribute_value']); ?>"/>
																<?php if (isset($_SESSION['attributes'])): ?>
																<?php if (in_array($item['attribute_title'].'_'.$item[$i]['attribute_value'], $_SESSION['attributes'])): ?>
																	<button type="submit" name="filter" class="select on">
																		<?php echo ($item[$i]['attribute_value']); ?>
																	</button>
																<?php else: ?>
																	<button type="submit" name="filter" class="select off">
																		<?php echo ($item[$i]['attribute_value']); ?>
																	</button>
																<?php endif ?>
																<?php endif ?>
															</form>
														<?php endif ?>
													<?php endif ?>
						                        <?php endfor; ?>
											</div>
										</div>
										<?php if (!isset($_SESSION)){session_write_close();} ?>
									</div>
		                        <?php endforeach; ?>
								</div>
		                    </div>
		                    <div class="col-xs-12">
		                    	<div class="panel panel-default">
		                    		<div class="panel-heading text-center" style="background:0;color:#333;">
			                    		Price range
			                    	</div>
			                    	<div class="panel-body">
			                    		<input type="range" min="10" max="100" value="0" />
			                    		<br>
			                    		<button class="btn btn-primary">Filter price</button>
			                    	</div>
		                    	</div>
		                    </div>
		                </div>
		            </div>
				</div>
			</div>
		</div>
	<?php endif; ?>
	<?php if (isset($products[0])): ?>
		<div class="col-md-9">
	<?php else: ?>
		<div class="col-md-12">
	<?php endif; ?>
		<div class="row">
			<div class="row">
				<div class="col-md-12 text-left" style="margin-top:40px">
					<?php if (isset($products[0])): ?>
					<div class="row">
						<div class="well">
							<span> &nbsp <?php echo $products[0]->category ?> </span> &nbsp
							<i style="font-size:11px" class="fa fa-chevron-right"></i>
							<span> &nbsp <?php echo $products[0]->sub_category ?> </span> &nbsp
							<i style="font-size:11px" class="fa fa-chevron-right"></i>
							<span> &nbsp <?php echo $products[0]->type ?> </span>
						</div>
					</div>
					<?php else: ?>
						<div class="well text-center">
							<h4>No products in category</h4>
							<h4 class="text-danger">
								<?php echo $category ?>&nbsp
								<i style="font-size:12px" class="fa fa-chevron-right"></i>
								<?php echo $sub_category ?>&nbsp
								<i style="font-size:12px" class="fa fa-chevron-right"></i>
								<?php echo $type ?>
							</h4>
						</div>
						<div class="text-center">
							<img src="<?php echo base_url(); ?>assets/images/empty_box.jpg" alt="">
						</div>
					<?php endif ?>
				</div>
				<div class="">
					<?php echo modules::run("template/serve/product_tiles", $products); ?>
				</div>
			</div>
			<div class="row">
				<div class="">
					<br> <br>
					<div class="dataTables_paginate paging_bootstrap">
						<?php echo $links; ?>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>
<div class="container" style="margin-top:40px">
	<div class="row">
		<hr><br>
		<h4>More from store</h4>
		<?php echo modules::run("template/serve/product_tiles", $other, 'carousel'); ?>
	</div>
</div>

</div>

<script>
	$('#filter-btn').click(function(){
		toggleFilter($('#filter-page'));
	});

	function toggleFilter(page) {
		if (page.hasClass('toggle')) {
			page.stop().animate({maxHeight:0}, 1000);
			page.removeClass('toggle');
		} else {
			page.stop().animate({maxHeight:1000}, 1000);
			page.addClass('toggle');
		}
	}
</script>

<?php echo modules::run('template/serve/footer'); ?>