
<?php echo modules::run('template/serve/header'); ?>

<hr style="margin:0;"/>

<div class="container" style="margin-top:60px">
	<div class="row">
		<!-- headline -->
		<div class="col-xs-12 col-sm-6 col-md-6 col-lg-7" style="float:right">
			<h3 style="margin-top:0px"><?php echo $product['name']; ?></h3>
			<h4 class="text-right text-primary">
				USD <b><?php echo $product['price']; ?></b>
			</h4>
		</div>
		<!-- end of headline -->

		<!-- carousel -->
		<div class="col-xs-12 col-sm-6 col-md-6 col-lg-5">
			<div class="panel panel-default">
				<div class="panel-body text-center">
					<div id="slidesho">
				        <div id="megaImage-slide" class="carousel slide" data-ride="carousel">
				            <?php foreach ($product['images'] as $key => $image) { ?>
			                    <img class="img" src="<?php echo base_url().$image ?>" style="height:auto">
				        	<?php } ?>
					    </div>
					</div>
				</div>
				<div class="well">
					<h4><?php echo $product['name']; ?></h4>
					<?php echo $product['describe']; ?>
				</div>
			</div>
		</div>
	    <!-- end of carousel -->

		<div class="col-xs-12 col-sm-6 col-md-6 col-lg-7" style="float:right">
			<input type="hidden" value="<?php echo $product["ID"] ?>" style="" id="ID" />
			<input type="hidden" value="<?php echo $product["name"] ?>" style="" id="name" />
			<input type="hidden" value="<?php echo $product["thumb"] ?>" style="" id="thumb" />
			<input type="hidden" value="<?php echo $product["price"] ?>" style="" id="pdt_price" />
			<div class="well">
				<form role="form">
					<div class="row">
						<div class="col-xs-12">
							<div class="pdt-form feedback"></div>
						</div>
						<div class="col-xs-12 col-sm-6 col-md-6">
							<div class="form-group">
								<label for="size">Size</label>
								<select class="form-control" name="size" id="size">
									<option style="display:none">size</option>
								<?php foreach($product['sizes'] as $key => $size) { ?>
									<option> <?php echo $size; ?> </option>
						        <?php } ?>
							    </select>
							</div>
						</div>
						<div class="col-xs-12 col-sm-6 col-md-6">
							<div class="form-group">
								<label for="color">Color</label>
								<select class="form-control" name="color" id="color">
									<option style="display:none">color</option>
									<?php foreach ($product['colors'] as $key => $color) { ?>
										<option> <?php echo $color; ?> </option>
							        <?php } ?>
						        </select>
							</div>
						</div>
					</div>
					<div class="row">
						<div class="col-md-12">
							<div id="stock-holder" style="display:none"></div>
							<div id="stock" style="margin-bottom:5px;color:#428bca;"></div>
						</div>

						<div class="col-md-12">
							<label for="quantity">Quantity</label>
								<div id="remaining"></div>
						</div>
						<div class="col-md-12">
							<div id="total" style="margin-bottom:10px;color:#428bca;"></div>
						</div>
						<div class="col-sm-6 col-md-6">
							<div class="form-group">
								<input type="number" class="form-control" id="pdt_quantity" name="quantity" placeholder="Enter Quantity">
							</div>
						</div>
						
						<div class="col-sm-12 col-md-6" style="margin-top:0px">
							<button type="button" class="btn btn-default" id="buy-btn" btn>Buy now</button>&nbsp&nbsp<button type="button" class="btn" id="cart-btn">Add to cart</button>
							<div style="clear:both"></div>
						</div>

						<div id="product_stock_id" style="display:none"><?php echo $product['ID'] ?></div>
					</div>
				</form>
			</div>

			<!-- legal information -->
			<div id="pdt-legal" style="font-size:80%;text-align:right">
				<a data-toggle="modal" data-target="#return_policy">Return policy</a> &nbsp 
				<a data-toggle="modal" data-target="#terms_and_conditions">Terms and conditions</a>
				<hr>
			</div>
			<!-- end of legal information -->
			<!-- payment methods -->
			<div style="font-size:30px;color:#333;text-align:center">
				<i class="fa fa-cc-visa"></i>&nbsp
				<i class="fa fa-cc-mastercard"></i>&nbsp
				<i class="fa fa-cc-paypal"></i>&nbsp
				<i class="fa fa-cc-discover"></i>
			</div>
			<!-- end of payment methods -->
		</div>

		<div class="col-xs-12 visible-xs visible-sm">
			<hr style="margin:50px auto">
		</div>
		<div class="col-xs-12 col-sm-12 col-md-6 col-lg-7" style="float:right;font-size:13px">
			<h4> Similar products </h4>
			<?php echo modules::run("template/serve/product_tiles", $related, 'carousel', 'sm'); ?>
			<div style="clear:both"></div>
		</div>
	</div>
</div>

<div class="row">
	<!-- Product Desciption. -->
	<div class="container" style="padding:0;margin-top:50px">
		<div class="col-md-12" style="margin-bottom:30px">
			<hr>
			<br>
			<h4 class="text-left">product information</h4>
			<span class="badge" style="margin-top: 10px;"> <?php echo $product['category']; ?> </span>
			<i class="fa fa-chevron-right"></i>
			<span class="badge" style="margin-top: 10px;"> <?php echo $product['sub_category']; ?> </span>
			<i class="fa fa-chevron-right"></i>
			<span class="badge" style="margin-top: 10px;"> <?php echo $product['type']; ?> </span>
			<i class="fa fa-chevron-right"></i>
			<span class="badge" style="margin-top: 10px;"> <?php echo $product['name']; ?> </span>
		</div>

		<div class="col-md-12">
			<div class="list-group">
			<?php foreach ($product['attributes'] as $key => $value)
			{
				$string = str_replace(" ", "_", $value->attribute);
				$string = str_replace("-", "_", $string);
			?>
				<?php if($product['description'][$string] !== null): ?>
					<div class="list-group-item">
						<span class="text-primary"><?php echo $value->attribute; ?></span> &nbsp
							<?php echo $product['description'][$string]; ?>
					</div>
				<?php endif ?>
			<?php } ?>
			</div>
		</div>
	</div>
	<!-- end of product description -->

	<!-- Inqury Form. -->
	<div class="container" style="margin-top:40px">
		<hr> <br>
		<h4>Ask about the product</h4>
		<div class="row"style="margin-top:30px">
			<div class="well">
				<?php echo form_open("support/inquiry/product_".$product['ID']) ?>
					<div class="row">
						<div class="col-xs-12">
							<?php if (!isset($_SESSION)): session_start(); ?>
						        <?php if (isset($_SESSION['inquiry'])): ?>
						            <?php if ($_SESSION['inquiry'] == "sent"): ?>
										<div class="alert alert-success alert-dismissible" role="alert" id="message-reply">
						                    <button type="button" class="close" data-dismiss="alert">
						                    	<span aria-hidden="true">&times;</span><span class="sr-only">Close</span>
						                    </button>
						                    message sent
						                </div>
						                <script>
							                $(document).ready(function(){
										        $('html,body').animate({
										            scrollTop: $("#message-reply").offset().top-10
										        }, 1000);
										    });
										</script>
						            <?php else: ?>
										<div class="alert alert-danger alert-dismissible" role="alert" id="message-reply">
						                    <button type="button" class="close" data-dismiss="alert">
						                    	<span aria-hidden="true">&times;</span><span class="sr-only">Close</span>
						                    </button>
						                    message not sent
						                </div>
						                <script>
							                $(document).ready(function(){
										        $('html,body').animate({
										            scrollTop: $("#message-reply").offset().top-10
										        }, 1000);
										    });
										</script>
						            <?php endif; unset($_SESSION['inquiry']); session_destroy(); ?>
						        <?php endif; ?>
					        <?php endif; ?>
						</div>
						<div class="col-xs-12 col-sm-4 col-md-4">
							<div class="form-group">
								<label for="name">Your name</label>
								<input type="text" class="form-control" name="name" placeholder="Your name" />
							</div>
						</div>
						<div class="col-xs-12 col-sm-4 col-md-4">
							<div class="form-group">
								<label for="phone">Phone</label>
								<input type="text" class="form-control" name="phone" placeholder="phone" />
							</div>
						</div>
						<div class="col-xs-12 col-sm-4 col-md-4">
							<div class="form-group">
								<label for="target_price">Target price (USD)</label>
								<input type="text" class="form-control" name="target_price" placeholder="Target price" />
							</div>
						</div>
						<div class="col-xs-12 col-sm-4 col-md-4">
							<div class="form-group">
								<label for="order_quantity">Order quantity</label>
								<input type="text" class="form-control" name="order_quantity" placeholder="Order quantity" />
							</div>
						</div>
						<div class="col-xs-12 col-sm-4 col-md-4">
							<div class="form-group">
								<label for="email">Email address</label>
								<input type="text" class="form-control" name="email" placeholder="email address" />
							</div>
						</div>
						<div class="col-xs-12 col-sm-4 col-md-4">
							<div class="form-group">
								<label for="location">Location</label>
								<input type="text" class="form-control" name="location" placeholder="location" />
							</div>
						</div>

						<div class="col-xs-12">
							<div class="row">
								<div class="col-xs-12 col-sm-4 col-md-4">
									<div class="form-group">
										<br>
										<label for="inquiry">Write an inquiry</label>
										<input type="text" class="form-control" name="title" placeholder="title" />
									</div>
								</div>
								<div class="col-md-12">
									<br/>
									<textarea name="inquiry" id="inguiry" class="form-control" rows="8" placeholder="Inquiry"></textarea>
								</div>
								<div class="col-md-12">
									<br>
									<button type="submit" class="btn btn-default" id="btn" btn>Submit Iquiry</button>
								</div>
							</div>
						</div>
					</div>
				</div>
			</form>
		</div>
	</div>
	<!-- end of Inquiry Form -->

	<!-- display related products. -->
	<div class="container" style="margin-top:60px;padding:0">
		<hr> <br>
		<h4>Other products</h4>
		<div>
	        <?php echo modules::run("template/serve/product_tiles", $other); ?>
	    </div>
		</div>
	</div>
	<!-- end of related products -->
</div>

<div id="nav-to-top">
	<i class="fa fa-chevron-circle-up"></i>
</div>

<!-- return policy Modal -->
<div class="modal fade" id="return_policy" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
	<div class="modal-dialog">
		<div class="modal-content">
			<div class="modal-header">
				<button type="button" class="close" data-dismiss="modal">
					<span aria-hidden="true">&times;</span><span class="sr-only">Close</span>
				</button>
				<h4 class="modal-title" id="myModalLabel">Return policy</h4>
			</div>
			<div class="modal-body">
				Products once sold are not returnable
			</div>
			<div class="modal-footer"></div>
		</div>
	</div>
</div>
<!-- Terms and conditions Modal -->
<div class="modal fade" id="terms_and_conditions" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
	<div class="modal-dialog">
		<div class="modal-content">
			<div class="modal-header">
				<button type="button" class="close" data-dismiss="modal">
					<span aria-hidden="true">&times;</span><span class="sr-only">Close</span>
				</button>
				<h4 class="modal-title" id="myModalLabel">Terms and conditions</h4>
			</div>
			<div class="modal-body">
				Lorem ipsum dolor sit amet, consectetur adipisicing elit. Enim voluptatum voluptas ad quasi perspiciatis, nesciunt accusantium voluptate sint officia nemo asperiores, tenetur voluptatibus eos, aspernatur. Minima doloremque assumenda molestiae. Commodi?
				Lorem ipsum dolor sit amet, consectetur adipisicing elit. Sed sapiente, dicta doloremque repellat deleniti quo quae optio. Repudiandae soluta, et, ad quam, obcaecati repellat esse quibusdam est, harum architecto corporis?
				<br>
				Lorem ipsum dolor sit amet, consectetur adipisicing elit. Sed sapiente, dicta doloremque repellat deleniti quo quae optio. Repudiandae soluta, et, ad quam, obcaecati repellat esse quibusdam est, harum architecto corporis?
				Lorem ipsum dolor sit amet, consectetur adipisicing elit. Sed sapiente, dicta doloremque repellat deleniti quo quae optio. Repudiandae soluta, et, ad quam, obcaecati repellat esse quibusdam est, harum architecto corporis?
				<br>
				Lorem ipsum dolor sit amet, consectetur adipisicing elit. Sed sapiente, dicta doloremque repellat deleniti quo quae optio. Repudiandae soluta, et, ad quam, obcaecati repellat esse quibusdam est, harum architecto corporis?
			</div>
			<div class="modal-footer"></div>
		</div>
	</div>
</div>

<script>
	$(document).ready(function()
	{
        $("#product-slide").owlCarousel({
            autoPlay:   true,
            pagination: true,
            navigation: false,
            lazyLoad:   true
        });
        $("#megaImage-slide").owlCarousel({
        	singleItem: true,
            autoPlay:   true,
            pagination: true,
            navigation: false,
            lazyLoad:   true
        });

        $(".owl-prev").html('');
        $(".owl-next").html('');
    });

	$('#nav-to-top').click(function(){
		$("html, body").animate({ scrollTop: 0 }, "slow");
	});

	$("#pdt_quantity").click(function()
	{
		var color 	 = $('#color').val();
		var size 	 = $('#size').val();
		var quantity = $(this).val();
		var price 	 = $('#pdt_price').val();
		var num 	 = $('#product_stock_id').html();
		if(color === 'color' || size === 'size'){
			$('#remaining').html('<span style="color:red">pick a size and color</span>');
		}else{
			$('#remaining').html('');
			$.ajax({
				url: "<?php echo base_url() ?>product/quantity/"+num+"_"+size+"_"+color,
				cache: false,
				beforeSend: function(){},
				success: function(html){
					if (html == 'unavailable') {
						$('#stock').html('<span style="color:red"><i class="fa fa-warning"></i> Sorry! That size and color is out of stock</span>');
					}else{
						setStock(html);
						$("#stock").html('<i class="fa fa-info-circle"></i>&nbsp '+html+" available");
						$("#stock-holder").html(html);
					}
				},
				error: function(html) {
					alert(html);
				},
				complete: function(){}
			});
			if (quantity==='') {
				$('#total').html('<span style="color:red"><i class="fa fa-warning"></i> Enter a valid amount</span>');
			}
			else{
				if (isNaN(parseInt(quantity))) {
					console.log(parseInt(quantity)+"not number");
					$('#total').html('<span style="color:red"><i class="fa fa-warning"></i> You have entered an invalid amount</span>');
				}
				else{
					var total = parseInt(price) * parseInt(quantity);
					var stock = parseInt($("#stock-holder").html());

					if (isNaN(total) || total === 0) {
						$('#total').html('');
					}
					else{
						$('#total').html("Total price: <b>" + total + "</b>");
						if(stock - parseInt(quantity) < 0 ){
							$('#total').html('<span style="color:red"><i class="fa fa-warning"></i> You exceeded the available amount</span>');
						}else if(total < 0){
							$('#total').html('<span style="color:red"><i class="fa fa-warning"></i> You have entered an invalid amount</span>');
						}
					}
				}
			}
		}
	}).keyup(function()
	{
		var color 	 = $('#color').val();
		var size 	 = $('#size').val();
		var quantity = $(this).val();
		var price 	 = $('#pdt_price').val();
		var num 	 = $('#product_stock_id').html();
		if(color === 'color' || size === 'size'){
			$('#remaining').html('<span style="color:red">pick a size and color</span>');
		}else{
			$('#remaining').html('');

			if (isNaN(parseInt(quantity))) {
				$('#total').html('<span style="color:red"><i class="fa fa-warning"></i> You have entered an invalid amount</span>');
			}
			else{
				var total = parseInt(price) * parseInt(quantity);
				var stock = parseInt($("#stock-holder").html());

				if (isNaN(total) || total === 0) {
					$('#total').html('');
				}
				else{
					$('#total').html("Total price: <b>" + total + "</b>");
					if(stock - parseInt(quantity) < 0 ){
						$('#total').html('<span style="color:red"><i class="fa fa-warning"></i> You exceeded the available amount</span>');
					}else if(total < 0 || isNaN(parseInt(quantity))){
						$('#total').html('<span style="color:red"><i class="fa fa-warning"></i> You have entered an invalid amount</span>');
					}
				}
			}
		}
	});
	var stock;
	function setStock(num) {
		stock = num;
	}
	function getStock() {
		return stock;
	}

	$('#size').click(function()
	{
		$("#pdt_quantity").val('');
		$("#total").html('');
		$("#stock").html('');
	});
	$('#color').click(function()
	{
		$("#pdt_quantity").val('');
		$("#total").html('');
		$("#stock").html('');
	});

	$('#cart-btn').click(function()
	{
		if ($('#size').val() == "" || $('#color').val() == "" || $('#pdt_quantity').val() =="")
		{
			$('.pdt-form.feedback').html('<div class="alert alert-danger">Fill in the form to add to cart</div>');
			$('.pdt-form.feedback').animate({
				maxHeight: 100
			}, 500);
			setTimeout(function(){
				$('.pdt-form.feedback').animate({
					maxHeight: 0
				}, 500);
			} , 3000);
		}
		else{
			$.ajax({
				type: "GET",
				data: {
					ID: 		$('#ID').val(),
					name: 		$('#name').val(),
					thumb: 		$('#thumb').val(),
					price: 		$('#pdt_price').val(),
					quantity: 	$('#pdt_quantity').val(),
					color: 		$('#color').val(),
					stock: 		getStock(),
					size: 		$('#size').val()
				},
				url: "<?php echo base_url() ?>cart/insert/",
				cache: false,
				beforeSend: function(){},
				success: function(html)
				{
					$("#result").html(html);
					$("#cart-number").html(html);
					$('.pdt-form.feedback').html('<div class="alert alert-success">This item has been added to cart</div>');
					$('.pdt-form.feedback').animate({
						maxHeight: 100
					}, 500);
					setTimeout(function(){
						$('.pdt-form.feedback').animate({
							maxHeight: 0
						}, 500);
					} , 3000);
				},
				error: function(){},
				complete: function(){}
			});
		}
	});
</script>
<div id="result"></div>

<script>
	$(document).ready(function()
	{
		$('#body-load').html("");
	    $('#body-load').css("display", "none");
		$('#body').css("display", "block");
	});
</script>

<?php echo modules::run('template/serve/footer'); ?>