<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class User extends MX_Controller
{
	// Deny direct access
	function _remap()
	{
		show_404();
	}

	public function __construct()
	{
		parent::__construct();
		$this->load->helper(array('form', 'url'));
		$this->load->library('session');
	}

	public function display()
	{
		$this->load->model('user_model');

		$pageData['title']		= 'Dvee';
		$pageData['avatar']		= base_url().$this->session->userdata('avatar');
		$pageData['username']	= $this->session->userdata('username');
		$pageData['store']		= $this->user_model->get();

		$this->load->view('settings_view', $pageData);
	}

	public function update()
	{
		$this->user_model->update();
	}
}
