<?php echo modules::run('template/serve/admin_header'); ?>

    <!-- navigation -->
    <div class="c-panel" style="margin-top:2px">
        <div class="col-md-2 nopad navigationHolder">
            <div id="navigation">
                <div class="c-panel-title">Admin panel</div>
                <div class="notif">
                    <div class="">
                        <div class="col-xs-12 col-sm-12 col-md-12 avatar">
                            <a href="<?php base_url() ?>edit">
                                <img src="<?php echo $avatar; ?>" alt=""/>
                            </a>
                        </div>
                        <div class="col-xs-12 col-sm-12 col-md-12">
                            <div class="sign-out" title="sing out">
                                <?php echo anchor(base_url().'panel/login', '<i class="icon ion-log-out"></i>'); ?>
                            </div>
                            <div class="welcome">Logged in, </div>
                            <div class="username"><?php echo $username; ?></div>
                        </div>
                        <div style="clear:both"></div>
                    </div>
                </div>
                <div class="dashboard">
                    Dashboard
                    <div class="dashboard-menu">
                        <ul>
                            <li>
                                <a href="<?php echo base_url() ?>panel/settings/user">
                                    <i class="fa fa-user"></i> &nbsp ACCOUNT
                                </a>
                            </li>
                        </ul>
                    </div>
                </div>
            </div>
        </div>
    <div>
    <!-- end of navigation -->

    <!-- cotent -->
    <div class="col-md-10" id="cotent" style="margin-bottom:100px">
        <div class="row">
            <!-- quick navigation icons with time -->
            <div class="col-md-12 nopad" style="height:49px">
                <div id="head">
                    <div class="col-xs-6 col-sm-7 col-md-7 nopad" id="topnavicons">
                        <div class="head-nav">
                            <i class="fa fa-expand" id="fullscreen" data-toggle="tooltip" data-placement="top" title="fullscreen"></i>
                        </div>

                        <div class="head-nav">
                            <a href="<?php echo base_url(); ?>panel">
                                <i class="fa fa-home"></i>
                            </a>
                        </div>

                        <div style="clear:both"></div>
                    </div>
                    <div class="col-xs-6 col-sm-5 col-md-5 nopad" id="timeanddate">
                        <div class="head-nav-right" id="time">
                            <div id="clock"></div>
                        </div>  
                        <div class="head-nav-right">
                            <div class="day"></div>
                            <div class="date">
                            </div>
                            <div style="clear:both"></div>
                        </div>
                    </div>
                </div>
            </div>

            <!-- progress bar -->
            <div class="col-md-12">
                <div id="pdt-dis-progress" style="background:#c72a25">
                    <div id="pdt-dis-progress-bar">
                    </div>
                </div>
            </div>

            <!-- Page title -->
            <div class="col-md-12">
                <div class="col-md-12">
                    <div class="cotent-title">
                        <span class="pdt-title-top">
                            <i class="fa fa-cogs"></i> &nbsp SETTINGS
                        </span>
                    </div>
                </div>
            </div>
        </div>

        <!-- sales display section -->
        <div class="row">
            <br>
            <div class="col-xs-12 text-center">
                <div data-toggle="modal" data-target="#change-acc-thumb">
                    <img src="<?php echo $avatar; ?>" alt="" class="img-rounded">
                </div>
            </div>
            <div class="col-md-12 animated fadeIn">
                <div class="row">
                    <?php echo form_open('panel/settings/update'); ?>
                        <div class="col-xs-12 text-center">
                            <h2>User information</h2>
                        </div>
                        <div class="col-md-4">
                            <label><i class="fa fa-user"></i> &nbsp username</label>
                            <br>
                            <input class="form-control" type="text" name="username" value="<?php echo $store->name ?>"/>
                        </div>
                        <div class="col-md-4">
                            <label><i class="fa fa-home"></i> &nbsp location</label>
                            <br>
                            <input class="form-control" type="text" name="location" value="<?php echo $store->home ?>"/>
                        </div>
                        <div class="col-md-4">
                            <label><i class="fa fa-file-o"></i> &nbsp slogan</label>
                            <br>
                            <input class="form-control" type="text" name="slogan" value="<?php echo $store->slogan ?>"/>
                        </div>
                        <div class="col-md-4">
                            <label><i class="fa fa-envelope"></i> &nbsp email</label>
                            <br>
                            <input class="form-control" type="text" name="email" value="<?php echo $store->email ?>"/>
                        </div>
                        <div class="col-md-4">
                            <label><i class="fa fa-phone"></i> &nbsp phone</label>
                            <br>
                            <input class="form-control" type="text" name="phone1" value="<?php echo $store->phone1 ?>"/>
                        </div>
                        <div class="col-md-4">
                            <label><i class="fa fa-phone"></i> &nbsp phone</label>
                            <br>
                            <input class="form-control" type="text" name="phone2" value="<?php echo $store->phone2 ?>"/>
                        </div>
                        <div class="col-md-4">
                            <label><i class="fa fa-google-plus"></i> &nbsp google</label>
                            <br>
                            <input class="form-control" type="text" name="google" value="<?php echo $store->google ?>"/>
                        </div>
                        <div class="col-md-4">
                            <label><i class="fa fa-facebook"></i> &nbsp facebook</label>
                            <br>
                            <input class="form-control" type="text" name="facebook" value="<?php echo $store->facebook ?>"/>
                        </div>
                        <div class="col-md-4">
                            <label><i class="fa fa-twitter"></i> &nbsp twitter</label>
                            <br>
                            <input class="form-control" type="text" name="twitter" value="<?php echo $store->twitter ?>"/>
                        </div>
                    </form>
                </div>
                <div class="head-nav active">
                </div>
                <div style="clear:both"></div>

            </div>
        </div>
    </div>
    
    <!-- Modal -->
    <div class="modal fade" id="change-acc-thumb" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
        <div class="modal-dialog">
            <div class="modal-content">
                <?php echo form_open('settings/user/update'); ?>
                    <div class="modal-header">
                        <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
                        <h2 class="modal-title text-center" id="myModalLabel">Change account picture</h2>
                        <h4>The new picture will display when you next login</h4>
                    </div>
                    <div class="modal-body">
                        <div class="col-md-12">
                            <div class="image-upload-title">&nbsp Drag and drop images</div>
                            <div id="image-error-alert"></div>
                            <div class="file_btn">
                                <input type="file" name="files[]" multiple id="file"/>
                            </div>
                            <button id="c-submit" type="submit"> <i class="fa fa-upload"></i> upload </button>
                        </div>
                    </div>
                </form>
                <div style="clear:both"></div>
            </div>
        </div>
    </div>
<?php echo modules::run('template/serve/admin_footer'); ?>

