<?php

class Message_model extends CI_Model
{
	public function __construct()
	{
		$this->load->database();
	}

	public function open_message($message_id)
	{
		$query_array = array('message_id' => $message_id);
		$messages 	 = $this->db->get_where('message', $query_array)->result();

		if (!empty($messages)) {
			if ($messages[0]->type == 'inquiry') {
				$exploded  = explode("_", $messages[0]->reference);
				$reference = $exploded[1];

				$query_array = array('product_id' => $reference);
				$product 	 = $this->db->get_where('product', $query_array)->result();
			}
			if (isset($messages[0]) && !isset($product[0])) {
				return array('message' => $messages[0], 'product' => false);
			}
			if (isset($messages[0]) && isset($product[0])) {
				return array('message' => $messages[0], 'product' => $product[0]);
			}
		} else {
			return false;
		}
	}

	public function get_messages($type = FALSE)
	{
		$messages = $this->db->get_where('message', array('folder' => $type))->result();
		
		if (!empty($messages)) {
			return $messages;
		} else {
			return false;
		}
	}

	public function trash_message($ID = FALSE)
	{
		$this->db->where('message_id', $ID);
		$this->db->update('message', array('folder' => 'deleted'));
	}

	public function delete_message($ID = FALSE)
	{
		$this->db->delete('message', array('message_id' => $ID));
	}

	public function restore_message($ID = FALSE)
	{
		$this->db->where('message_id', $ID);
		$this->db->update('message', array('folder' => 'inbox'));
	}
}

?>