<?php echo modules::run('template/serve/admin_header'); ?>

    <!-- navigation -->
    <div class="c-panel" style="margin-top:2px">
        <div class="col-md-2 nopad navigationHolder">
            <div id="navigation" class=" no-print">
                <div class="c-panel-title">Admin panel</div>
                <div class="notif">
                    <div class="">
                        <div class="col-xs-12 col-sm-12 col-md-12 avatar">
                            <a href="<?php base_url() ?>edit"> <?php echo $avatar; ?> </a>
                        </div>
                        <div class="col-xs-12 col-sm-12 col-md-12">
                            <div class="sign-out" title="sing out">
                                <?php echo anchor(base_url().'panel/login', '<i class="icon ion-log-out"></i>'); ?>
                            </div>
                            <div class="welcome">Logged in, </div>
                            <div class="username"><?php echo $username; ?></div>
                        </div>
                        <div style="clear:both"></div>
                    </div>
                </div>
                <div class="dashboard">
                    Messages Dashboard
                    <div class="dashboard-menu">
                        <ul>
                            <li>
                                <a href="<?php echo base_url() ?>panel/banners">
                                    <i class="fa fa-edit"></i> &nbsp compose
                                </a>
                            </li>
                        </ul>
                    </div>
                </div>
            </div>
        </div>
    <div>
    <!-- end of navigation -->

    <!-- cotent -->
    <div class="col-md-10" id="cotent" style="border:0">
        <div class="row">
            <!-- quick navigation icons with time -->
            <div class="col-md-12 nopad no-print" style="height:49px">
                <div id="head">
                    <div class="col-xs-6 col-sm-7 col-md-7 nopad" id="topnavicons">
                        <div class="head-nav">
                            <i class="fa fa-bars" id="fullscreen" data-toggle="tooltip" data-placement="top" title="fullscreen"></i>
                        </div>

                        <div class="head-nav">
                            <a href="<?php echo base_url(); ?>panel">
                                <i class="fa fa-home" title="home"></i>
                            </a>
                        </div>

                        <div class="head-nav">
                            <a href="">
                                <i class="fa fa-edit" title="compose"></i>
                            </a>
                        </div>

                        <div style="clear:both"></div>
                    </div>
                    <div class="col-xs-6 col-sm-5 col-md-5 nopad" id="timeanddate">
                        <div class="head-nav-right" id="time">
                            <div id="clock"></div>
                        </div>  
                        <div class="head-nav-right">
                            <div class="day"></div>
                            <div class="date">
                            </div>
                            <div style="clear:both"></div>
                        </div>
                    </div>
                </div>
            </div>

            <!-- Page title -->
            <div class="col-md-12 no-print">
                <div class="col-md-12">
                    <div class="cotent-title">
                        <span class="pdt-title-top">
                            <i class="fa fa-envelope"></i> &nbsp MESSAGES <i class="fa-fa-edit"></i>
                        </span>
                    </div>
                </div>
            </div>
            
           <!-- Messages display section -->
           <div class="col-xs-12">
               <div class="col-xs-12">
                    <div class="col-sm-3 col-md-2 cotent-nav-panel no-print" style="padding-top:60px">
                        <div class="cotent-nav-btn active" id="inbox-btn">
                            <i class="fa fa-inbox"></i> &nbsp inbox
                            <span class="indicator"></span>
                        </div>
                        <div class="cotent-nav-btn" id="sent-btn">
                            <i class="fa fa-mail-forward"></i> &nbsp sent
                            <span class="indicator"></span>
                        </div>
                        <div class="cotent-nav-btn" id="delete-btn">
                            <i class="fa fa-trash"></i> &nbsp trash
                            <span class="indicator"></span>
                        </div>
                    </div>
                    <div class="col-sm-9 col-md-10" style="padding-top:10px">
                        <div id="folder-loader"> <i class="fa fa-spinner"></i> </div>
                        <div class="col-md-12 nopad" id="display-messages" style="padding:10px 0px">
                           <?php echo modules::run('panel/mail_box/inbox'); ?>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
   

<?php echo modules::run('template/serve/admin_footer'); ?>

<script>
    var display = $('#display-messages');

    $('#inbox-btn').click(function(){
        if (!$(this).hasClass('active')) {
            loadDisplay("inbox");
        };
    });
    $('#sent-btn').click(function(){
        if (!$(this).hasClass('active')) {
            loadDisplay("sent");
        }
    });
    $('#delete-btn').click(function(){
        if (!$(this).hasClass('active')) {
            loadDisplay("delete");
        }
    });

    function loadDisplay(type)
    {
        var messageApi = "";
        if (type == 'inbox')
        {
            messageApi = "<?php echo base_url(); ?>panel/mail_box/inbox";
        }else if (type == 'sent')
        {
            messageApi = "<?php echo base_url(); ?>panel/mail_box/sent";
        }else if (type == 'delete')
        {
            messageApi = "<?php echo base_url(); ?>panel/mail_box/deleted";
        }
        $.ajax({
            url: messageApi,
            cache: true,
            beforeSend: function()
            {
                if (type == 'inbox')
                {
                    $('#inbox-btn').children('.indicator').html('<i class="fa fa-spinner"></i>'); 
                }else if (type == 'sent')
                {
                    $('#sent-btn').children('.indicator').html('<i class="fa fa-spinner"></i>'); 
                }else if (type == 'delete')
                {
                    $('#delete-btn').children('.indicator').html('<i class="fa fa-spinner"></i>'); 
                }
                display.stop().animate({
                    opacity: 0.2
                }, 700);
            },
            success: function(html)
            {
                display.stop().animate({
                    opacity: 1
                }, 700);
                display.html(html);

                $('#pdt-dis-bar').css('width', '0%');
                deselectBtns();
            },
            complete: function(){
                if (type == 'inbox')
                {
                    $('#inbox-btn').addClass('active');
                    $('#inbox-btn').children('.indicator').html('');
                }else if (type == 'sent')
                {
                    $('#sent-btn').addClass('active');
                    $('#sent-btn').children('.indicator').html('');
                }else if (type == 'delete')
                {
                    $('#delete-btn').addClass('active');
                    $('#delete-btn').children('.indicator').html('');
                }
            },
            error: function(){

                if (type == 'inbox')
                {
                    $('#inbox-btn').append('<i class="fa fa-warning"></i>');
                    setTimeout(
                        function(){$('#inbox-btn .fa-warning').hide();}, 1000); 
                }else if (type == 'sent')
                {
                    $('#sent-btn').append('<i class="fa fa-warning"></i>');
                    setTimeout(
                        function(){$('#sent-btn .fa-warning').hide();}, 1000); 
                }else if (type == 'delete')
                {
                    $('#delete-btn').append('<i class="fa fa-warning"></i>');
                    setTimeout(
                        function(){$('#delete-btn .fa-warning').hide();}, 1000); 
                }
            }
        });
    }

    function deselectBtns()
    {
        $('#sent-btn').removeClass('active');
        $('#inbox-btn').removeClass('active');
        $('#delete-btn').removeClass('active');
    }

</script>