<!DOCTYPE html>
<html ng-app="dvee">
<head>
	<title><?php echo $title; ?></title>
	<link rel="shortcut icon" href="<?php echo base_url()?>assets/images/logo.min.png" type="image/png" />
	<link rel="shortcut icon" type="image/png" href="<?php echo base_url()?>assets/images/log.min.png" />
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1"/>
	<link rel="stylesheet" type="text/css" href="<?php echo base_url()?>assets/css/body-spinner.css" />
	<link rel="stylesheet" type="text/css" href="<?php echo base_url()?>assets/css/animations.css" />
	<link rel="stylesheet" type="text/css" href="<?php echo base_url()?>assets/css/banners.css" />
    <link rel="stylesheet" type="text/css" href="<?php echo base_url()?>assets/lib/owl/owl.carousel.css" />
    <link rel="stylesheet" type="text/css" href="<?php echo base_url()?>assets/lib/owl/owl.theme.css" />
    <link rel="stylesheet" type="text/css" href="<?php echo base_url()?>assets/css/font-awesome.min.css" />
	<link rel="stylesheet" type="text/css" href="<?php echo base_url()?>assets/css/bootstrap.css" />

    <link rel="stylesheet" type="text/css" href="<?php echo base_url()?>assets/css/masonry/component.css" />
    <link rel="stylesheet" type="text/css" href="<?php echo base_url()?>assets/css/style.css" />
	<script src="<?php echo base_url()?>/assets/js/masonry/modernizr.custom.js"></script>
	<script src="<?php echo base_url()?>/assets/js/jquery.js"></script>
</head>
<body>

	<div id="body">
		<div class="conf-header">
			<div class="row">
				<div class="col-sm-6 col-md-6">
					<?php if ( isset($store->phone1) ): ?>
                        <i class="fa fa-phone"></i> <?php echo $store->phone1; ?>
                    <?php endif; ?>
				</div>
				<div class="col-sm-6 col-md-6 text-right">
					<span class="active">EN</span>
					<span>FR</span>
					<span class="gutter"></span>
					<span class="active">USD</span>
					<span>EUR</span>
				</div>
			</div>
		</div>
		<div class="container hidden-xs">
			<div class="col-xs-12 col-sm-6 col-md-6 pull-left text-center">
				<a href="<?php echo base_url(); ?>">
					<!-- store logo -->
					<?php if (empty($store->logo) || $store->logo == "" || $store->logo == null) { ?>
						<div class="logo-default"></div>
					<?php }else{ ?>
						<span class="store-logo"><img src="<?php echo base_url().$store->logo; ?>" alt=""></span>
					<?php } ?>

					<!-- store name -->
					<span class="store-name hidden-xs">
						<?php if (empty($store->name) || $store->name == "" || $store->name == null) { ?>
							DVEE
						<?php }else{ echo $store->name; } ?>
					</span>
				</a>
			</div>
			<div class="col-xs-12 col-sm-6 col-md-6 pull-right text-center">
					<?php echo form_open('search'); ?>
					<span class="input">
						<input class="header text-center" type="text" placeholder="type search keyword" id="search_query" name="search" autocomplete="off">
					</span>
					<button type="submit" class="header-search"></button>
					<div style="clear:both"></div>
				</form>
			</div>
			<div class="clear-fix"></div>
			<div class="col-xs-12">
				<hr style="border-color:#DDD;margin:10px 0"/>
			</div>
		</div>

		<div  id="top-navbar">
			<nav class="navbar navbar-default">
				<div class="container-fluid">
					<div class="navbar-header">
						<button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#bs-example-navbar-collapse-1">
							<span class="sr-only">Toggle navigation</span>
							<span class="icon-bar"></span>
							<span class="icon-bar"></span>
							<span class="icon-bar"></span>
						</button>
						<a class="navbar-brand visible-xs" href="#"><?php echo $store->name ?></a>
					</div>

					<div class="collapse navbar-collapse" id="bs-example-navbar-collapse-1">
						<ul class="nav navbar-nav">
							<?php foreach ($menu as $key => $item): ?>
								<li>
									<a href="<?php echo base_url().'category/'.$item->category; ?>">
										<?php echo $item->category ?>
									</a>
								</li>
							<?php endforeach; ?>
						</ul>
						<?php echo form_open('search'); ?>
							<div class="visible-xs navbar-form navbar-left form-group text-center">
								<input class="header text-center" type="text" placeholder="search keyword" id="search_query" name="search" autocomplete="off">
								<br><br>
							</div>
						</form>
						<ul class="nav navbar-nav navbar-right">
							<li>
								<a href="<?php echo base_url() ?>cart">
									<i class="fa fa-shopping-cart"></i> &nbsp cart
									<span id="cart-number" class="label label-warning"><?php echo $cart_number ?></span>
								</a>
							</li>
							<li>
								<a href="#"><i class="fa fa-user"></i> &nbsp Login</a>
							</li>
						</ul>
					</div>
				</div>
			</nav>
		</div>