<?php if ($option === 'carousel'): ?>
    <div class="text-muted text-center visible-xs" style="margin-bottom:5px">
        Swipe left or right
    </div>
    <div id="slideshow" class="carousel product-slide" data-ride="carousel">
<?php elseif ($option === 'carousel-single'): ?>
    <div class="text-muted text-center visible-xs" style="margin-bottom:5px">
        Swipe left or right
    </div>
    <div id="slideshow" class="carousel product-slide-single" data-ride="carousel">
<?php endif; ?>

<?php foreach ($products as $key => $product): ?>
    
    <?php if (!isset($product->name)): ?>
        <div class="col-xs-6 col-sm-4 col-md-3 col-lg-2-5" style="padding:0">
            <a href="<?php echo base_url()."product/details/".$product['product_id']; ?>" class="thumbnail">
                <div class="tile" style="margin:0">
                    <div class="panel panel-default text-center">
                        <div class="panel-body">
                            <img src="<?php echo base_url().$product['thumb']; ?>" alt="...">
                        </div>
                        <div class="well desc">
                            <div class="desc-name">
                                <?php echo $product['name']; ?>
                            </div>
                            <div class="text-danger">
                                USD
                                <span class="tile-price">
                                    <?php echo $product['price']; ?>
                                </span>
                            </div>
                        </div>
                    </div>
                </div>
            </a>
        </div>
    
    <?php else: ?>
        <?php if ($option === 'carousel' OR $option === 'carousel-single'): ?>
            <div style="padding:0px;">
        <?php else: ?>
            <div class="col-xs-6 col-sm-4 col-md-3 col-lg-2-5" style="padding:0">
        <?php endif; ?>
                <?php if ($size !== 'nil'): ?>
                    <div class="tile" style="margin:0">
                        <a href="<?php echo base_url()."product/details/".$product->product_id; ?>" class="text-center">
                            <div class="panel panel-default text-center">
                                <div class="panel-body">
                                    <img src="<?php echo base_url().$product->thumb; ?>" alt="..."/>
                                </div>
                               <div class="well desc">
                                    <?php if ($size !== 'sm'): ?>
                                        <div class="desc-name" style="height:45px;overflow:hidden">
                                            <?php echo $product->name; ?>
                                        </div>
                                    <?php endif; ?>
                                    <div class="text-danger">
                                        <div style="margin-top:5px;"> USD <span class="tile-price">
                                            <?php echo $product->price; ?>
                                            </span>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </a>
                    </div>
                <?php else: ?>
                    <div class="text-center">
                        <img src="<?php echo base_url().$product->thumb; ?>" alt="..."/>
                    </div>
                <?php endif ?>
        </div>
    <?php endif; ?>
<?php endforeach; ?>

<?php if ($option === 'carousel' OR $option === 'carousel-single'): ?>
    </div>
<?php endif; ?>

<?php if ($option === 'carousel'): ?>
<script>
    $(document).ready(function() {
        $(".product-slide").owlCarousel({
            autoPlay:   4500,
            pagination: false,
            navigation: true,
            lazyLoad:   true
        });
        $(".owl-prev").html('');
        $(".owl-next").html('');
    });
</script>
<?php elseif ($option === 'carousel-single'): ?>
    <script>
    $(document).ready(function() {
        $(".product-slide-single").owlCarousel({
            singleItem: true,
            autoPlay:   3400,
            pagination: false,
            navigation: false,
            lazyLoad:   true
        });
        $(".owl-prev").html('');
        $(".owl-next").html('');
    });
</script>
<?php endif; ?>