

// ============ Stick navigation menu at the top on scroll ===================
$(document).scroll(function(){
	if ($(this).scrollTop() > 100) {
		$('#top-navbar').addClass('stick-navigation-fixed');
	}else{
		$('#top-navbar').removeClass('stick-navigation-fixed');
	}
});

// ==== Deactivate auto complete feature for the navigation search input =====
$('#search_query').attr('autocomplete', 'off');


// ============ Handles top navigation dropdown sub-menu =====================
ismenu = false;
$('#side-cat-nav').addClass('menu-inactive');
$('#side-cat-nav').css('border-top', '0px');
$('.top-nav-menu #menu').click(function(){
	if (ismenu) {
		$('#side-cat-nav').animate({
			opacity: 0,
			height: 0
		}, 500);
		ismenu = false;
	}else{
		$('#side-cat-nav').animate({
			opacity: 1,
			height: 490
		}, 500);
		ismenu = true;
	}
});
$('#triggermenu').click(function(){
	$('#side-cat-nav').animate({
		opacity: 1,
		height: 490
	}, 500);
	ismenu = true;
});


/*
=================== product box quick links ==============================
*/
hideQuickies();

function hideQuickies(){
	$('.quickies').css('width',"0");
	$('.quickies').css('opacity',"0");
	$('.quickies').css('height',"22");
	$('#products .price').css('width', '99.9%');
}

$('#products .box').hover(function(){
	var boxWidth = $(this).width();
	$(this).find('.quickies').stop().animate({
		width: boxWidth/2-2, // minus 1 to consider white spacing
		opacity: 1,
		height: 22
	}, 500);
	$(this).find('.price').stop().animate({
		width: boxWidth/2-2
	}, 500);
});

$('#products .box').mouseleave(function(){
	var boxWidth = $(this).width();
	console.log(boxWidth);
	console.log($('#products .box').find('.description').width());
	$(this).find('.quickies').stop().animate({
		width: 0,
		opacity: 0
	}, 500);
	$(this).find('.price').stop().animate({
		width: boxWidth-1
	}, 500);
});
