-- phpMyAdmin SQL Dump
-- version 4.0.2
-- http://www.phpmyadmin.net
--
-- Host: localhost
-- Generation Time: Mar 24, 2015 at 11:46 PM
-- Server version: 5.6.11-log
-- PHP Version: 5.3.25

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

--
-- Database: `dvee`
--
CREATE DATABASE IF NOT EXISTS `dvee` DEFAULT CHARACTER SET latin1 COLLATE latin1_swedish_ci;
USE `dvee`;

-- --------------------------------------------------------

--
-- Table structure for table `banner`
--

CREATE TABLE IF NOT EXISTS `banner` (
  `id` int(220) NOT NULL AUTO_INCREMENT,
  `banner` varchar(220) NOT NULL,
  `category` varchar(200) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=16 ;

--
-- Dumping data for table `banner`
--

INSERT INTO `banner` (`id`, `banner`, `category`) VALUES
(15, 'assets/images/banner/ginta-lapina-sportmax-7.jpeg', 'women'),
(13, 'assets/images/banner/400_F_26633505_yAU5AdEhoaMTWV2Gk4RKMh8lmY5yyGzm.jpeg', 'women'),
(14, 'assets/images/banner/ginta-lapina-sportmax-1.jpeg', 'women');

-- --------------------------------------------------------

--
-- Table structure for table `message`
--

CREATE TABLE IF NOT EXISTS `message` (
  `message_id` int(220) NOT NULL AUTO_INCREMENT,
  `type` varchar(220) NOT NULL,
  `reference` varchar(220) NOT NULL,
  `folder` varchar(220) NOT NULL,
  `name` varchar(220) NOT NULL,
  `title` varchar(220) NOT NULL,
  `phone` varchar(220) NOT NULL,
  `email` varchar(220) NOT NULL,
  `location` varchar(220) NOT NULL,
  `order_quantity` int(220) NOT NULL,
  `target_price` varchar(220) NOT NULL,
  `message` varchar(220) NOT NULL,
  `date_added` date NOT NULL,
  PRIMARY KEY (`message_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=2 ;

--
-- Dumping data for table `message`
--

INSERT INTO `message` (`message_id`, `type`, `reference`, `folder`, `name`, `title`, `phone`, `email`, `location`, `order_quantity`, `target_price`, `message`, `date_added`) VALUES
(1, 'inquiry', 'product_4', 'inbox', 'customer', 'Lorem ipsum dolor sit amet, consectetur adipisicing elit.', '+123456789', 'demo@email.com', 'street 4', 5, '10', 'Lorem ipsum dolor sit amet, consectetur adipisicing elit. Alias ut, eos eligendi numquam ipsam debitis dignissimos sunt officia praesentium, fuga voluptatem sapiente odio maxime reprehenderit adipisci accusantium iste vo', '2015-02-20');

-- --------------------------------------------------------

--
-- Table structure for table `product`
--

CREATE TABLE IF NOT EXISTS `product` (
  `product_id` int(220) NOT NULL AUTO_INCREMENT,
  `name` varchar(220) NOT NULL,
  `description` varchar(220) NOT NULL,
  `slug` varchar(220) NOT NULL,
  `price` varchar(220) NOT NULL,
  `category` varchar(220) NOT NULL,
  `sub_category` varchar(220) NOT NULL,
  `type` varchar(220) NOT NULL,
  `thumb` varchar(220) NOT NULL,
  PRIMARY KEY (`product_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=16 ;

--
-- Dumping data for table `product`
--

INSERT INTO `product` (`product_id`, `name`, `description`, `slug`, `price`, `category`, `sub_category`, `type`, `thumb`) VALUES
(2, 'dress with pots on shoulders', 'Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua', 'dress_with_pots_on_shoulders', '45', 'women', 'dresses', 'bodycon', 'assets/images/products/thumb/201401211523042418.jpg'),
(3, 'little red dress', 'Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua', 'little_red_dress', '35', 'women', 'dresses', 'bodycon', 'assets/images/products/thumb/201401211721213073.jpg'),
(4, 'floral curtains dress', 'Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua', 'floral_curtains_dress', '15', 'women', 'dresses', 'vintage', 'assets/images/products/thumb/073008_tracyreese_a.jpg'),
(5, 'small swooshy dress', 'Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua', 'small_swooshy_dress', '32', 'women', 'dresses', 'vintage', 'assets/images/products/thumb/Frock-Me.jpg'),
(6, 'antique ancient ear rings', 'Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua vintage old', 'antique_ancient_ear_rings', '120', 'jewelry', 'women''s jewelry', 'ear rings', 'assets/images/products/thumb/pker0461-40044-chique-fashion-dangle-earring-400x400-imadqhhntnh84hps.jpeg'),
(7, 'simple knot ring', 'Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua', 'simple_knot_ring', '140', 'jewelry', 'women''s jewelry', 'rings', 'assets/images/products/thumb/img-thing.jpg'),
(8, 'chic lace top bodycon dress', 'Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua', 'chic_lace_top_bodycon_dress', '76', 'women', 'dresses', 'bodycon', 'assets/images/products/thumb/201401220907552326.jpg'),
(9, 'a basket bag', 'Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua', 'a_basket_bag', '12', 'bags', 'women''s bags', 'casual', 'assets/images/products/thumb/fashion_handbag_hand_made_straw_bag_rattan_bag_knitting_bag.jpg'),
(12, 'strapy woven wedge shoe', 'Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua', 'strapy_woven_wedge_shoe', '24', 'shoes', 'women''s shoes', 'wedges', 'assets/images/products/thumb/strapy woven wedge-shoe.jpg'),
(13, 'african kitende shirt', 'Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua', 'african_kitende_shirt', '32', 'women', 'tops', 'blouses', 'assets/images/products/thumb/menu.jpg'),
(15, 'Ladylike Round Neck Sleeveless Flounced Dress', 'Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua', 'Ladylike_Round_Neck_Sleeveless_Flounced_Dress', '11', 'women', 'dresses', 'bodycon', 'assets/images/products/thumb/1420655811620-P-2344227.jpg');

-- --------------------------------------------------------

--
-- Table structure for table `product_attribute`
--

CREATE TABLE IF NOT EXISTS `product_attribute` (
  `product_attribute_id` int(220) NOT NULL AUTO_INCREMENT,
  `product_type_id` int(220) NOT NULL,
  `attribute` varchar(220) NOT NULL,
  PRIMARY KEY (`product_attribute_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=30 ;

--
-- Dumping data for table `product_attribute`
--

INSERT INTO `product_attribute` (`product_attribute_id`, `product_type_id`, `attribute`) VALUES
(1, 1, 'style'),
(2, 1, 'pattern'),
(3, 1, 'neckline'),
(4, 1, 'length'),
(5, 1, 'material'),
(6, 1, 'season'),
(8, 1, 'closure'),
(9, 15, 'decoration'),
(10, 15, 'sleeves'),
(11, 15, 'length'),
(12, 15, 'pattern'),
(13, 14, 'pattern'),
(14, 14, 'length'),
(15, 14, 'sleeves'),
(16, 14, 'neckline'),
(17, 41, 'metal type'),
(18, 43, 'metal type'),
(19, 41, 'embellishments'),
(21, 44, 'pattern'),
(22, 45, 'heel type'),
(23, 45, 'decoration'),
(24, 26, 'sleeves'),
(25, 26, 'neckline'),
(26, 26, 'pattern'),
(27, 26, 'length'),
(28, 15, 'material'),
(29, 15, 'neckline');

-- --------------------------------------------------------

--
-- Table structure for table `product_attribute_closure`
--

CREATE TABLE IF NOT EXISTS `product_attribute_closure` (
  `id` int(220) NOT NULL AUTO_INCREMENT,
  `product_type_id` int(220) NOT NULL,
  `value` varchar(220) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=2 ;

--
-- Dumping data for table `product_attribute_closure`
--

INSERT INTO `product_attribute_closure` (`id`, `product_type_id`, `value`) VALUES
(1, 1, 'back zipper');

-- --------------------------------------------------------

--
-- Table structure for table `product_attribute_decoration`
--

CREATE TABLE IF NOT EXISTS `product_attribute_decoration` (
  `id` int(220) NOT NULL AUTO_INCREMENT,
  `product_type_id` int(220) NOT NULL,
  `value` varchar(220) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=6 ;

--
-- Dumping data for table `product_attribute_decoration`
--

INSERT INTO `product_attribute_decoration` (`id`, `product_type_id`, `value`) VALUES
(1, 15, 'polka dots'),
(2, 15, 'stripes'),
(3, 45, 'wooven'),
(4, 15, 'fluffy'),
(5, 15, 'lace');

-- --------------------------------------------------------

--
-- Table structure for table `product_attribute_embellishments`
--

CREATE TABLE IF NOT EXISTS `product_attribute_embellishments` (
  `id` int(220) NOT NULL AUTO_INCREMENT,
  `product_type_id` int(220) NOT NULL,
  `value` varchar(220) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=3 ;

--
-- Dumping data for table `product_attribute_embellishments`
--

INSERT INTO `product_attribute_embellishments` (`id`, `product_type_id`, `value`) VALUES
(2, 41, 'beads');

-- --------------------------------------------------------

--
-- Table structure for table `product_attribute_heel_type`
--

CREATE TABLE IF NOT EXISTS `product_attribute_heel_type` (
  `id` int(220) NOT NULL AUTO_INCREMENT,
  `product_type_id` int(220) NOT NULL,
  `value` varchar(220) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=2 ;

--
-- Dumping data for table `product_attribute_heel_type`
--

INSERT INTO `product_attribute_heel_type` (`id`, `product_type_id`, `value`) VALUES
(1, 45, 'wedge');

-- --------------------------------------------------------

--
-- Table structure for table `product_attribute_length`
--

CREATE TABLE IF NOT EXISTS `product_attribute_length` (
  `id` int(220) NOT NULL AUTO_INCREMENT,
  `product_type_id` int(220) NOT NULL,
  `value` varchar(220) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=11 ;

--
-- Dumping data for table `product_attribute_length`
--

INSERT INTO `product_attribute_length` (`id`, `product_type_id`, `value`) VALUES
(1, 1, 'mid-calf'),
(2, 1, 'mini'),
(3, 1, 'knee-length'),
(4, 1, 'ankle-legth'),
(5, 1, 'floor-length'),
(6, 15, 'short'),
(7, 14, 'short'),
(8, 14, 'long'),
(9, 26, 'long'),
(10, 15, 'mini');

-- --------------------------------------------------------

--
-- Table structure for table `product_attribute_material`
--

CREATE TABLE IF NOT EXISTS `product_attribute_material` (
  `id` int(220) NOT NULL AUTO_INCREMENT,
  `product_type_id` int(220) NOT NULL,
  `value` varchar(220) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=12 ;

--
-- Dumping data for table `product_attribute_material`
--

INSERT INTO `product_attribute_material` (`id`, `product_type_id`, `value`) VALUES
(1, 1, 'cotton'),
(2, 1, 'lace'),
(3, 1, 'Denim'),
(4, 1, 'polyester'),
(5, 1, 'chiffon'),
(6, 1, 'leather'),
(7, 1, 'silk'),
(8, 1, 'nylon'),
(9, 1, 'spandex'),
(10, 1, 'canvas'),
(11, 15, 'polyester');

-- --------------------------------------------------------

--
-- Table structure for table `product_attribute_metal_type`
--

CREATE TABLE IF NOT EXISTS `product_attribute_metal_type` (
  `id` int(220) NOT NULL AUTO_INCREMENT,
  `product_type_id` int(220) NOT NULL,
  `value` varchar(220) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=2 ;

--
-- Dumping data for table `product_attribute_metal_type`
--

INSERT INTO `product_attribute_metal_type` (`id`, `product_type_id`, `value`) VALUES
(1, 41, 'bronze');

-- --------------------------------------------------------

--
-- Table structure for table `product_attribute_neckline`
--

CREATE TABLE IF NOT EXISTS `product_attribute_neckline` (
  `id` int(220) NOT NULL AUTO_INCREMENT,
  `product_type_id` int(220) NOT NULL,
  `value` varchar(220) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=13 ;

--
-- Dumping data for table `product_attribute_neckline`
--

INSERT INTO `product_attribute_neckline` (`id`, `product_type_id`, `value`) VALUES
(1, 1, 'round'),
(2, 1, 'v-neck'),
(3, 1, 'spaghetti strap'),
(4, 1, 'halter'),
(5, 1, 'square'),
(6, 1, 'slash'),
(7, 1, 'turn-down'),
(8, 14, 'v-neck'),
(9, 14, 'round'),
(10, 26, 'round'),
(11, 15, 'round'),
(12, 15, 'square');

-- --------------------------------------------------------

--
-- Table structure for table `product_attribute_pattern`
--

CREATE TABLE IF NOT EXISTS `product_attribute_pattern` (
  `id` int(220) NOT NULL AUTO_INCREMENT,
  `product_type_id` int(220) NOT NULL,
  `value` varchar(220) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=22 ;

--
-- Dumping data for table `product_attribute_pattern`
--

INSERT INTO `product_attribute_pattern` (`id`, `product_type_id`, `value`) VALUES
(1, 1, 'animal print'),
(2, 1, 'floral'),
(3, 1, 'striped'),
(4, 1, 'solid'),
(5, 1, 'polkadot'),
(6, 1, 'dotted'),
(7, 1, 'checkered'),
(8, 1, 'goemetry'),
(20, 15, 'solid'),
(19, 26, 'plad'),
(18, 44, 'wooven'),
(17, 14, 'geometry'),
(16, 14, 'floral'),
(21, 15, 'floral');

-- --------------------------------------------------------

--
-- Table structure for table `product_attribute_season`
--

CREATE TABLE IF NOT EXISTS `product_attribute_season` (
  `id` int(220) NOT NULL AUTO_INCREMENT,
  `product_type_id` int(220) NOT NULL,
  `value` varchar(220) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=4 ;

--
-- Dumping data for table `product_attribute_season`
--

INSERT INTO `product_attribute_season` (`id`, `product_type_id`, `value`) VALUES
(1, 1, 'summer'),
(2, 1, 'spring'),
(3, 1, 'winter');

-- --------------------------------------------------------

--
-- Table structure for table `product_attribute_sleeves`
--

CREATE TABLE IF NOT EXISTS `product_attribute_sleeves` (
  `id` int(220) NOT NULL AUTO_INCREMENT,
  `product_type_id` int(220) NOT NULL,
  `value` varchar(220) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=7 ;

--
-- Dumping data for table `product_attribute_sleeves`
--

INSERT INTO `product_attribute_sleeves` (`id`, `product_type_id`, `value`) VALUES
(1, 15, 'short sleeves'),
(2, 14, 'short'),
(6, 15, 'sleeveless'),
(5, 26, 'long');

-- --------------------------------------------------------

--
-- Table structure for table `product_attribute_style`
--

CREATE TABLE IF NOT EXISTS `product_attribute_style` (
  `id` int(220) NOT NULL AUTO_INCREMENT,
  `product_type_id` int(220) NOT NULL,
  `value` varchar(220) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=8 ;

--
-- Dumping data for table `product_attribute_style`
--

INSERT INTO `product_attribute_style` (`id`, `product_type_id`, `value`) VALUES
(1, 1, 'fashion'),
(2, 1, 'formal'),
(3, 1, 'evening'),
(4, 1, 'casual'),
(5, 1, 'cute'),
(6, 1, 'ethnic'),
(7, 1, 'vintage');

-- --------------------------------------------------------

--
-- Table structure for table `product_category`
--

CREATE TABLE IF NOT EXISTS `product_category` (
  `product_category_id` int(220) NOT NULL AUTO_INCREMENT,
  `category` varchar(220) NOT NULL,
  PRIMARY KEY (`product_category_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=6 ;

--
-- Dumping data for table `product_category`
--

INSERT INTO `product_category` (`product_category_id`, `category`) VALUES
(1, 'women'),
(2, 'men'),
(3, 'shoes'),
(4, 'bags'),
(5, 'jewelry');

-- --------------------------------------------------------

--
-- Table structure for table `product_color`
--

CREATE TABLE IF NOT EXISTS `product_color` (
  `product_color_id` int(220) NOT NULL AUTO_INCREMENT,
  `product_id` int(220) NOT NULL,
  `color` varchar(220) NOT NULL,
  PRIMARY KEY (`product_color_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=34 ;

--
-- Dumping data for table `product_color`
--

INSERT INTO `product_color` (`product_color_id`, `product_id`, `color`) VALUES
(27, 2, 'brown'),
(8, 3, 'red'),
(10, 4, 'multi'),
(11, 5, 'brown'),
(33, 6, 'bronze'),
(13, 7, 'gold'),
(25, 8, 'gold and black'),
(17, 9, 'brown'),
(20, 12, 'yellow'),
(21, 13, 'black and white'),
(26, 15, 'black');

-- --------------------------------------------------------

--
-- Table structure for table `product_description`
--

CREATE TABLE IF NOT EXISTS `product_description` (
  `product_description_id` int(220) NOT NULL AUTO_INCREMENT,
  `product_id` int(220) NOT NULL,
  `style` varchar(220) DEFAULT NULL,
  `pattern` varchar(220) DEFAULT NULL,
  `neckline` varchar(220) DEFAULT NULL,
  `length` varchar(220) DEFAULT NULL,
  `material` varchar(220) DEFAULT NULL,
  `season` varchar(200) NOT NULL,
  `closure` varchar(220) DEFAULT NULL,
  `decoration` varchar(220) DEFAULT NULL,
  `sleeves` varchar(220) DEFAULT NULL,
  `metal_type` varchar(220) DEFAULT NULL,
  `embellishments` varchar(220) DEFAULT NULL,
  `heel_type` varchar(220) DEFAULT NULL,
  PRIMARY KEY (`product_description_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=11 ;

--
-- Dumping data for table `product_description`
--

INSERT INTO `product_description` (`product_description_id`, `product_id`, `style`, `pattern`, `neckline`, `length`, `material`, `season`, `closure`, `decoration`, `sleeves`, `metal_type`, `embellishments`, `heel_type`) VALUES
(2, 3, NULL, 'solid', NULL, 'short', NULL, '', NULL, 'stripes', 'short sleeves', NULL, NULL, NULL),
(3, 5, NULL, 'geometry', 'v-neck', 'short', NULL, '', NULL, NULL, 'short', NULL, NULL, NULL),
(4, 8, 'evening', 'floral', 'v-neck', 'knee-length', 'cotton', 'summer', NULL, 'lace', 'short sleeves', NULL, NULL, NULL),
(7, 12, NULL, NULL, NULL, NULL, NULL, '', NULL, 'wooven', NULL, NULL, NULL, 'wedge'),
(8, 13, NULL, 'plad', 'round', 'long', NULL, '', NULL, NULL, 'long', NULL, NULL, NULL),
(10, 15, NULL, 'solid', 'round', 'mini', 'polyester', '', NULL, 'fluffy', 'sleeveless', NULL, NULL, NULL);

-- --------------------------------------------------------

--
-- Table structure for table `product_image`
--

CREATE TABLE IF NOT EXISTS `product_image` (
  `product_image_id` int(220) NOT NULL AUTO_INCREMENT,
  `product_id` int(220) NOT NULL,
  `image_url` varchar(220) NOT NULL,
  PRIMARY KEY (`product_image_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=21 ;

--
-- Dumping data for table `product_image`
--

INSERT INTO `product_image` (`product_image_id`, `product_id`, `image_url`) VALUES
(5, 2, 'assets/images/products/201401211523042418.jpg'),
(6, 2, 'assets/images/products/201401211523044167.jpg'),
(7, 3, 'assets/images/products/201401211721213073.jpg'),
(8, 3, 'assets/images/products/201401211721217256.jpg'),
(9, 4, 'assets/images/products/073008_tracyreese_a.jpg'),
(10, 5, 'assets/images/products/Frock-Me.jpg'),
(11, 6, 'assets/images/products/pker0461-40044-chique-fashion-dangle-earring-400x400-imadqhhntnh84hps.jpeg'),
(12, 7, 'assets/images/products/img-thing.jpg'),
(13, 8, 'assets/images/products/201401220907552326.jpg'),
(14, 8, 'assets/images/products/201401220907557754.jpg'),
(15, 9, 'assets/images/products/fashion_handbag_hand_made_straw_bag_rattan_bag_knitting_bag.jpg'),
(16, 12, 'assets/images/products/strapy woven wedge-shoe.jpg'),
(17, 13, 'assets/images/products/menu.jpg'),
(20, 15, 'assets/images/products/1420655811620-P-2344227.jpg');

-- --------------------------------------------------------

--
-- Table structure for table `product_quantity`
--

CREATE TABLE IF NOT EXISTS `product_quantity` (
  `product_quantity_id` int(220) NOT NULL AUTO_INCREMENT,
  `product_id` int(220) NOT NULL,
  `product_color` varchar(220) NOT NULL,
  `product_size` varchar(220) NOT NULL,
  `quantity` varchar(220) NOT NULL,
  PRIMARY KEY (`product_quantity_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=37 ;

--
-- Dumping data for table `product_quantity`
--

INSERT INTO `product_quantity` (`product_quantity_id`, `product_id`, `product_color`, `product_size`, `quantity`) VALUES
(31, 2, 'brown', 'one-size', '20'),
(8, 3, 'red', 'one-size', '25'),
(12, 4, 'multi', 'medium', '10'),
(11, 4, 'multi', 'small', '5'),
(13, 5, 'brown', 'small', '14'),
(36, 6, 'bronze', 'a-4', '9'),
(15, 7, 'gold', 'G4', '10'),
(28, 8, 'gold and black', 'one-size', '15'),
(19, 9, 'brown', 'medium', '4'),
(22, 12, 'yellow', '5', '5'),
(23, 13, 'black and white', 'medium', '6'),
(24, 13, 'black and white', 'small', '8'),
(29, 15, 'black', 's', '12'),
(30, 15, 'black', 'm', '23');

-- --------------------------------------------------------

--
-- Table structure for table `product_size`
--

CREATE TABLE IF NOT EXISTS `product_size` (
  `product_size_id` int(220) NOT NULL AUTO_INCREMENT,
  `product_id` int(220) NOT NULL,
  `size` varchar(220) NOT NULL,
  PRIMARY KEY (`product_size_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=38 ;

--
-- Dumping data for table `product_size`
--

INSERT INTO `product_size` (`product_size_id`, `product_id`, `size`) VALUES
(31, 2, 'one-size'),
(8, 3, 'one-size'),
(12, 4, 'medium'),
(11, 4, 'small'),
(13, 5, 'small'),
(37, 6, 'a-4'),
(15, 7, 'G4'),
(28, 8, 'one-size'),
(19, 9, 'medium'),
(22, 12, '5'),
(23, 13, 'medium'),
(24, 13, 'small'),
(29, 15, 's'),
(30, 15, 'm');

-- --------------------------------------------------------

--
-- Table structure for table `product_sub_category`
--

CREATE TABLE IF NOT EXISTS `product_sub_category` (
  `product_sub_category_id` int(220) NOT NULL AUTO_INCREMENT,
  `product_category_id` int(220) NOT NULL,
  `sub_category` varchar(220) NOT NULL,
  PRIMARY KEY (`product_sub_category_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=8 ;

--
-- Dumping data for table `product_sub_category`
--

INSERT INTO `product_sub_category` (`product_sub_category_id`, `product_category_id`, `sub_category`) VALUES
(1, 1, 'dresses'),
(2, 1, 'tops'),
(3, 1, 'bottoms'),
(4, 1, 'outerwear'),
(5, 5, 'women''s jewelry'),
(6, 4, 'women''s bags'),
(7, 3, 'women''s shoes');

-- --------------------------------------------------------

--
-- Table structure for table `product_type`
--

CREATE TABLE IF NOT EXISTS `product_type` (
  `product_type_id` int(220) NOT NULL AUTO_INCREMENT,
  `product_category_id` int(220) NOT NULL,
  `product_sub_category_id` int(220) NOT NULL,
  `type` varchar(220) NOT NULL,
  PRIMARY KEY (`product_type_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=46 ;

--
-- Dumping data for table `product_type`
--

INSERT INTO `product_type` (`product_type_id`, `product_category_id`, `product_sub_category_id`, `type`) VALUES
(1, 1, 1, 'bandage'),
(2, 1, 1, 'maxi'),
(3, 1, 1, 'lace'),
(4, 1, 1, 'cute'),
(5, 1, 1, 'chiffon'),
(8, 1, 1, 'mini'),
(12, 1, 1, 'summer'),
(13, 1, 1, 'casual'),
(14, 1, 1, 'vintage'),
(15, 1, 1, 'bodycon'),
(16, 1, 3, 'pants'),
(17, 1, 3, 'shorts'),
(18, 1, 3, 'leggings'),
(19, 1, 3, 'skirts'),
(20, 1, 3, 'denim & jeans'),
(21, 1, 3, 'hoisery'),
(22, 1, 3, 'jumpsuits'),
(25, 1, 2, 'tees & t-shirts'),
(26, 1, 2, 'blouses'),
(27, 1, 2, 'vests'),
(28, 1, 2, 'waistcoats'),
(29, 1, 2, 'capes'),
(30, 1, 4, 'jackets & coats'),
(31, 1, 4, 'blazers'),
(32, 1, 4, 'sweatshirts & hoddies'),
(33, 1, 4, 'sweaters & cardigans'),
(34, 1, 4, 'activewear'),
(35, 1, 5, 'socks & hoisery'),
(36, 1, 5, 'scarves'),
(37, 1, 5, 'hats'),
(38, 1, 5, 'belts'),
(39, 1, 5, 'gloves'),
(40, 1, 5, 'ear muffs'),
(41, 5, 5, 'ear rings'),
(42, 5, 5, 'necklace'),
(43, 5, 5, 'rings'),
(44, 4, 6, 'casual'),
(45, 3, 7, 'wedges');

-- --------------------------------------------------------

--
-- Table structure for table `slideshow`
--

CREATE TABLE IF NOT EXISTS `slideshow` (
  `id` int(200) NOT NULL AUTO_INCREMENT,
  `image` varchar(200) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=4 ;

--
-- Dumping data for table `slideshow`
--

INSERT INTO `slideshow` (`id`, `image`) VALUES
(1, 'assets/images/slideshow/banner4.jpg'),
(2, 'assets/images/slideshow/1394024215326-BeSummerReady_980x459_980_459_mini-770x459.jpg'),
(3, 'assets/images/slideshow/choosing-good-clothes.jpg');

-- --------------------------------------------------------

--
-- Table structure for table `store`
--

CREATE TABLE IF NOT EXISTS `store` (
  `id` int(220) NOT NULL AUTO_INCREMENT,
  `name` varchar(220) NOT NULL,
  `logo` varchar(220) NOT NULL,
  `slogan` varchar(220) NOT NULL,
  `password` varchar(220) NOT NULL,
  `phone1` varchar(220) NOT NULL,
  `phone2` varchar(220) NOT NULL,
  `email` varchar(220) NOT NULL,
  `home` varchar(220) NOT NULL,
  `latitude` varchar(220) NOT NULL,
  `longitude` varchar(220) NOT NULL,
  `google` varchar(220) NOT NULL,
  `twitter` varchar(220) NOT NULL,
  `facebook` varchar(220) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=2 ;

--
-- Dumping data for table `store`
--

INSERT INTO `store` (`id`, `name`, `logo`, `slogan`, `password`, `phone1`, `phone2`, `email`, `home`, `latitude`, `longitude`, `google`, `twitter`, `facebook`) VALUES
(1, 'demo store', 'assets/images/store/epic nature.jpg', 'dressing you since 2009', 'fe01ce2a7fbac8fafaed7c982a04e229', '+2564456789', '+2569856412', 'demo@gmail.com', 'kampala, uganda', '0.313611', '32.581111', 'google-plus.com/demo', 'twitter.com/demo', 'facebook.com/demo');

-- --------------------------------------------------------

--
-- Table structure for table `tasks`
--

CREATE TABLE IF NOT EXISTS `tasks` (
  `id` int(220) NOT NULL AUTO_INCREMENT,
  `task` varchar(220) NOT NULL,
  `date_added` date NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
